<?php

namespace App\Http\Controllers\Admin\AdminApplications;

use App\Http\Controllers\Controller;
use App\Models\UserApplication;
use Illuminate\Http\Request;

class AdminApplicationsController extends Controller
{
    public function __construct()
    {
        $this->middleware(['auth']);
        $this->middleware(['role:admin']);
    }
    public function index()
    {
        $applics = UserApplication::with('user')->get();
        foreach ($applics as $applic) {
            if (isset($applic->rejected_at) && isset($applic->approved_at)) {
                if ($applic->rejected_at->gt($applic->approved_at)) {
                    $applic->status = 'rejected';
                } else {
                    $applic->status = 'approved';
                }
            } else if (isset($applic->rejected_at)) {
                $applic->status = 'rejected';
            } else if (isset($applic->approved_at)) {
                $applic->status = 'approved';
            } else {
                $applic->status = 'submitted';
            }
        }
        return view('admin.admin_applications.index', ['applications' => $applics]);
    }
}
