<?php

namespace App\Http\Controllers\Admin\AdminScripts;

use App\Models\Script;
use App\Models\ScriptRating;
use App\Http\Controllers\Controller;

class AdminScriptsController extends Controller
{
    public function __construct()
    {
        $this->middleware(['auth']);
        $this->middleware(['role:admin']);
    }
    public function index()
    {
        $scripts = Script::with('author')->get();
        foreach ($scripts as $script) {
            $ratings = ScriptRating::select('character','conflict'
            ,'dialogue',
            'logic',
            'originality',
            'pacing',
            'premise',
            'structure',
            'tone')->where('script_id', '=', $script->id)->first();

            $script->analyst_rating = empty($ratings) ? null :array_sum($ratings->toArray());
        }
        return view('admin.admin_scripts.index', ['scripts' => $scripts]);
    }
}
