<?php

namespace App\Http\Controllers\Admin\AdminTeam;

use App\Http\Controllers\Controller;
use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class AdminTeamsController extends Controller
{
    public function __construct()
    {
        $this->middleware(['auth']);
        $this->middleware(['role:admin']);
        $this->middleware(['superadmin']);
    }
    public function index()
    {
        // Get Data regarding Users From Database
        $users = User::where('role', 'admin')
            ->orWhere('role','analyst')->get();

        return view('admin.admin_team.index', [
            'members' => $users,
        ]);
    }

    public function destroy($id)
    {
        DB::table('users')->where('id', $id)->delete();
        return back();
    }
}
