<?php

namespace App\Http\Controllers\Admin\AdminUsers;

use App\Http\Controllers\Controller;
use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class AdminUsersController extends Controller
{
    public function __construct()
    {
        $this->middleware(['auth']);
        $this->middleware(['role:admin']);
    }
    public function index()
    {

        // Get Data regarding Users From Database
        $users = User::where('role', 'screenwriter')
            ->orWhere('role', 'producer')
            ->orWhere('role', null)
            ->get();

        return view('admin.admin_users.index', [
            'users' => $users,
        ]);
    }

    public function destroy($id)
    {
        DB::table('users')->where('id', $id)->delete();
        return back();
    }
}
