<?php

namespace App\Http\Controllers\Analyst\AnalystLogin;

use App\Events\UserRegistered;
use App\Http\Controllers\Controller;
use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class AnalystLoginController extends Controller
{
    public function __construct()
    {
        $this->middleware('guest')->except('logout');
    }
    public function index()
    {
        return view('analyst.analyst_auth.analyst_login');
    }

    public function store(Request $request)
    {
        if ($request->has('email')) {
            // Fields Validations
            $this->validate($request, [
                'email' => 'bail|required|email|max:255',
                'password' => 'bail|required'
            ]);
        } else if ($request->has('unverify_user_uid')) {
            // Take Phone Number based on Uid
            $results = DB::table('users')
                ->select('phone')
                ->where('uid', $request->unverify_user_uid)
                ->where('role', 'analyst')
                ->get();

            foreach ($results as $result) {
                $phone = $result->phone;
            }

            return $phone;
        } else if ($request->has('verified') && $request->has('uid')) {

            // Login User
            $results = DB::table('users')
                ->select('id')
                ->where('uid', $request->uid)
                ->where('role', 'analyst')
                ->get();

            if (!$results->isEmpty()) {

                foreach ($results as $result) {
                    $id = $result->id;
                }

                DB::table('users')
                    ->where('uid', $request->uid)
                    ->update([
                        'verified' => true
                    ]);

                auth()->loginUsingId(['id' => $id]);
            } else {
                return 'Not Found';
            }
        } else if ($request->has('user_email')) {
            if ($request->mf > 0) {
                $results = DB::table('users')
                    ->select('id')
                    ->where('uid', $request->user_uid)
                    ->where('role', 'analyst')
                    ->get();

                foreach ($results as $result) {
                    $id = $result->id;
                }

                auth()->loginUsingId($id, $request->remember);
            } else {
                return "MultiFactor Required";
            }
        }
    }
}
