<?php

namespace App\Http\Controllers\Analyst\AnalystScripts;

use Carbon\Carbon;
use App\Models\Script;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class AnalystScriptsSentController extends Controller
{
    public function __construct()
    {
        $this->middleware(['auth']);
        $this->middleware(['role:analyst']);
    }
    public function index(){
        $scripts = Script::where('publish_status', '=', 'ready')->get();
        $scripts->sent = count($scripts);
        $scripts->inreview = Script::where('publish_status', '=', 'in_review')->count();
        $scripts->inqueue = Script::where('publish_status', '=', 'submitted')->count();
        foreach ($scripts as $script) {
            $uploaded = Carbon::createFromFormat('Y-m-d H:i:s', $script->created_at);
            $scripts->elapsed = $uploaded->diffForHumans();
        }
        return view('analyst.analyst_scripts.scriptssent',['scripts' => $scripts]);
    }
}
