<?php

namespace App\Http\Controllers\Auth\User;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class UserVerificationController extends Controller
{
    public function __construct()
    {
        $this->middleware('guest')->except('logout');
    }
    
    public function index()
    {
        return view('auth.user.verification_user');
    }

    public function store(Request $request)
    {
        if ($request->has('email')) {

             // Fields Validations
             $this->validate($request, [
                'email' => 'bail|required|email|max:255',
                'password' => 'bail|required'
            ]);

        }else if($request->has('user_uid')){
            // Take Phone Number based on Uid
            $phone = DB::table('users')
                ->select('phone','role')
                ->where('uid', $request->user_uid)
                ->get();
            return $phone;             
        }else if($request->has('verified') && $request->has('uid')){
            DB::table('users')
              ->where('uid', $request->uid)
              ->update([
                  'verified' => true
            ]);

            // Login User
            $id = DB::table('users')
            ->select('id')
            ->where('uid', $request->uid)
            ->get();

            auth()->loginUsingId(['id' => $id]);
        }
    }
}
