<?php

namespace App\Http\Controllers\Dwolla\Producer;

use App\Http\Controllers\Controller;
use App\Services\Dwolla\Business\BusinessClassificationApi;
use App\Services\Dwolla\Customers\CustomerApi;
use App\Services\Dwolla\Transfer\TransferApi;
use Illuminate\Http\Request;

class BusinessVerifiedController extends Controller
{
    public function index()
    {
        $business_classifications_api = new BusinessClassificationApi();
        $busClassifications = $business_classifications_api::InitializeBusinessApi();
        $classification_id_array = [];
        $classification_name_array = [];
        foreach ($busClassifications->_embedded->{'business-classifications'} as $classification) {
            array_push($classification_id_array, $classification->id);
            array_push($classification_name_array, $classification->name);
        }
        return view('dwolla.producer.index', [
            'classifications' => $classification_name_array,
            'classificationsId' => $classification_id_array
        ]);
    }

    public function store(Request $request)
    {
        //Validation


        // Initialize Customer API
        // $InitCustomersApi = new CustomerApi();
        // $customersApi = $InitCustomersApi::InitializeCustomerApi();

        // //Create New Customer
        // $newCustomer = $customersApi->create([
        //     'firstName' => 'Business',
        //     'lastName' => 'Owner',
        //     'email' => 'solePropBusiness@email.com',
        //     'ipAddress' => '143.156.7.8',
        //     'type' => 'business',
        //     'dateOfBirth' => '1980-01-31',
        //     'ssn' => '6789',
        //     'address1' => '99-99 33rd St',
        //     'city' => 'Some City',
        //     'state' => 'NY',
        //     'postalCode' => '11101',
        //     'businessClassification' => '9ed3f670-7d6f-11e3-b1ce-5404a6144203',
        //     'businessType' => 'soleProprietorship',
        //     'businessName' => 'Jane Corp'
        // ]);
        // return $newCustomer;

        //Verified Funding Source
        // Get Customer
        // $id = '521f87d5-3f07-4611-ba91-3a0174a9a32f';
        // $customer = $customersApi->getCustomer($id);

        // //Make Customer Url
        // $dwolla_api_env_url = config('services.dwolla.env_url');
        // $customerUrl = $dwolla_api_env_url . '/' . $customer->id . '';

        // $fsToken = $customersApi->getCustomerIavToken($customerUrl);
        // $IAVtoken = $fsToken->token;

        // return redirect()->action([BankVerifyController::class, 'index'])->with('token', $IAVtoken);

        // // Transfer
        $buyerId = '521f87d5-3f07-4611-ba91-3a0174a9a32f';
        $sellerId = '4e242ac9-6acc-4b21-afb9-44f01d74cc40';
        $amount = 200;
        $transferapi = new TransferApi();
        $result = $transferapi::TranferMoney($buyerId,$sellerId,$amount);
        print_r($result);
    }
}
