<?php

// This controller only applies to Screenwriter (Seller) and Producer (Buyer).
//The Analyst and Admin Welcome template (ie. #35) is in the listeners folder.
namespace App\Http\Controllers\Email;

use App\Http\Controllers\Controller;
use App\Services\SendinBlue\SendinBlueApis\TransactionalEmailsApi;
use Illuminate\Http\Request;
use SendinBlue\Client\Model\SendSmtpEmail;

class WelcomeEmailController extends Controller
{
    use TransactionalEmailsApi;
    public function send(Request $request)
    {
        $data = $request->payload['attributes'];
        $email = $data['email'];
        $name = $data['name'];
        $first_name = $data['first_name'];
        $last_name = $data['last_name'];

        $apiInstance = Self::sendtransactionalapi();

        $sendSmtpEmail = new SendSmtpEmail();
        $sendSmtpEmail['templateId'] = 12;
        $sendSmtpEmail['sender'] = array('name' => env('MAIL_FROM_NAME'), 'email' => env('MAIL_FROM_ADDRESS'));
        $sendSmtpEmail['to'] = array(
            array('email' => $email, 'name' => $name)
        );
        $sendSmtpEmail['replyTo'] = array('name' => env('MAIL_FROM_NAME'), 'email' => env('MAIL_FROM_ADDRESS'));
        $sendSmtpEmail['params'] = array('first_name' => $first_name, 'last_name' => $last_name);

        $apiInstance->sendTransacEmail($sendSmtpEmail);
    }
}
