<?php

namespace App\Http\Controllers\Producer\ProducerMarketplace;

use Carbon\Carbon;
use App\Models\Script;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use App\Http\Controllers\Controller;
use App\Models\Checklist;
use Illuminate\Support\Facades\Auth;

class ProducerMarketplaceController extends Controller
{

    public function __construct()
    {
        $this->middleware(['auth']);
        $this->middleware(['role:producer']);
        $this->middleware(['producer.approve.status']);
    }

    public function index(){

        $accessible_scripts = [];

        if( Auth::user()->subscribed()) {
            $accessible_scripts = Script::where('publish_status', '=', 'accepted')
            ->where( 'created_at', '<', Carbon::now()->subHours(72))
            ->get();
        }

        foreach ($accessible_scripts as $script ) {
            $script->elapsed = Carbon::parse($script->created_at)->diffForHumans();
        }

        // Get Checklist
        $checklist_response = Checklist::where('user_id', Auth::user()->id)->get();

        $checks = null;
        foreach ($checklist_response as $checklist) {
            $checks = $checklist;
        }

        return view('producer.producer_marketplace.index', [
            'scripts' => $accessible_scripts,
            'checklist' => $checks
        ]);
    }

    public function early_access()
    {
        $accessible_scripts = Script::where('publish_status', '=', 'accepted')->where('created_at', '>', Carbon::now()->subHours(72))->get();

        foreach ($accessible_scripts as $script ) {
            $script->elapsed = Carbon::parse($script->created_at)->diffForHumans();
        }

        return view('producer.producer_marketplace.index', ['scripts' => $accessible_scripts]);
    }
}
