<?php

namespace App\Http\Controllers\Screenwriter\ScreenwriterDashboard;

use App\Http\Controllers\Controller;
use App\Models\Checklist;
use App\Models\Script;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class ScreenwriterDashboardController extends Controller
{
    public function __construct()
    {
        $this->middleware(['auth']);
        $this->middleware(['role:screenwriter']);
    }

    public function index()
    {

        $current_user = Auth::user();

        // Full Name of User
        $fullname = $current_user->fullname;

        // User Scripts
        $scripts = Script::where('user_id', $current_user->id);

        if ($scripts) {

            $scripts = $scripts->orWhere('publish_status', 'draft')
                ->orWhere('publish_status', 'submitted')
                ->orWhere('publish_status', 'in_review')
                ->orWhere('publish_status', 'accepted')
                ->orWhere('publish_status', 'denied')
                ->orderBy('updated_at', 'DESC')->limit(4)
                ->get();
        } else {
            $scripts = '';
        }

        // Get Checklist
        $checklist_response = Checklist::where('user_id', $current_user->id)->get();

        $checks = null;
        foreach ($checklist_response as $checklist) {
            $checks = $checklist;
        }

        return view('screenwriter.index', [
            'fullname' => $fullname,
            'scripts' => $scripts,
            'checklist' => $checks
        ]);
    }
}
