<?php

namespace App\Http\Controllers\Screenwriter\ScreenwriterMarketplaceScript;

use App\Http\Controllers\Controller;
use App\Models\Script;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class ScreenwriterMarketplaceScriptController extends Controller
{
    public function __construct()
    {
        $this->middleware(['auth']);
        $this->middleware(['role:screenwriter']);
        $this->middleware(['dowalla.auth:Required']);
    }

    public function index()
    {
        $current_user = Auth::user();

        // Full Name of User
        $fullname = $current_user->fullname;

        // User Scripts
        $scripts = Script::where('user_id', $current_user->id);

        if ($scripts) {
            $scripts = $scripts->where('publish_status', 'accepted')
                ->orderBy('updated_at', 'DESC')->get();
        } else {
            $scripts = false;
        }

        return view('screenwriter.screenwriter_marketplace_scripts.index', [
            'fullname' => $fullname,
            'scripts' => $scripts
        ]);
    }
}
