<?php

namespace App\Http\Controllers\Screenwriter\ScreenwriterScripts;

use App\Http\Controllers\Controller;
use App\Models\Script;
use App\Models\ScriptRating;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class ScreenwriterScriptController extends Controller
{
    public function __construct()
    {
        $this->middleware(['auth']);
        $this->middleware(['role:screenwriter']);
        $this->middleware(['dowalla.auth:Required']);
    }

    public function index($id)
    {
        $current_user = Auth::user();

        // Full Name of User
        $fullname = $current_user->fullname;

        // User Specific Script
        $ScriptResult = Script::where('id', $id);

        if ($ScriptResult) {
            $ScriptResult = $ScriptResult->where('user_id', $current_user->id)
                ->get();

            if (!$ScriptResult->isEmpty()) {

                foreach ($ScriptResult as $scriptresult) {
                    if ($scriptresult->publish_status == 'submitted' || $scriptresult->publish_status == 'in_review' || $scriptresult->publish_status = 'denied') {
                        $script = $scriptresult;
                    } else {
                        $script = false;
                    }
                }

                $scriptid = $script->id;

                // User Specific Script Ratings
                $ScriptRatingsResult = ScriptRating::where('script_id', $scriptid)->get();

                if ($ScriptRatingsResult) {

                    if (!$ScriptRatingsResult->isEmpty()) {
                        foreach ($ScriptRatingsResult as $scriptratingsresult) {
                            $script_ratings = $scriptratingsresult;
                        }
                    } else {
                        $script_ratings = false;
                    }
                } else {
                    $script_ratings = false;
                }
            } else {
                $scripts = false;
                $script_ratings = false;
            }
        } else {
            $scripts = false;
            $script_ratings = false;
        }

        return view('screenwriter.screenwriter_scripts.script', [
            'fullname' => $fullname,
            'script' => $script,
            'script_ratings' => $script_ratings,
        ]);
    }
}
