<?php

namespace App\Http\Middleware;

use App\Providers\RouteServiceProvider;
use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class EnsureUserHasNoRole
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle(Request $request, Closure $next)
    {
        if(!is_null(Auth::user()->role)){
            if (Auth::user()->role == 'screenwriter') {
                return redirect(RouteServiceProvider::HOME.'screenwriter');
            }else if(Auth::user()->role == 'producer'){
                return redirect(RouteServiceProvider::HOME.'producer/marketplace');
            }else if(Auth::user()->role == 'analyst'){
                return redirect(RouteServiceProvider::HOME.'analyst/scriptsqueue');
            }else if(Auth::user()->role == 'admin' || Auth::user()->role == 'superadmin'){
                return redirect(RouteServiceProvider::HOME.'wocontrolpanel20');
            }
        }
        return $next($request);
    }
}
