<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class ProducerApproveStatus
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle(Request $request, Closure $next)
    {
        if(!is_null(Auth::user()->producer_info)){
            
            if (!Auth::user()->producer_info->approved) {
                if(Auth::user()->producer_info->producer_type == 'union'){
                    return redirect('/producer/form/union'); 
                }else{
                    return redirect('/producer/form/nonunion'); 
                }
            }
            
        }else{
            return redirect('/producer/form'); 
        }
        return $next($request);
    }
}
