<?php

namespace App\Listeners;

use App\Events\EsignatureContract;
use App\Models\SignatureRequest;
use App\Services\Esignatures\SignatureServices;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;

class SendEsignatureContract
{
    /**
     * Create the event listener.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Handle the event.
     *
     * @param  \App\Events\EsignatureContract  $event
     * @return void
     */
    public function handle(EsignatureContract $event)
    {
        $esignature = new SignatureServices();
        $signatureRequest = SignatureRequest::create([
            'user_id' => $event->user->id,
            'script_id' => $event->scriptId,
            'name' => $event->user->fullname,
            'email' => $event->user->email,
            'delivery_method' => config('services.e-signature.delivery_method'),
            'template_id' => config('services.e-signature.template_id'),
            'webhook_url' => 'https://dev.woaccelerator.com/api/contract/signed',
            'sandbox_mode' => config('services.e-signature.sandbox'),
            'status' => 'signature_requested',
        ]);
        if($signatureRequest){
            $esignature->send($signatureRequest);
        }
    }
}
