<?php

namespace App\Listeners;

use App\Events\TeamInviteEmail;
use App\Services\SendinBlue\SendinBlueApis\TransactionalEmailsApi;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;
use SendinBlue\Client\Model\SendSmtpEmail;

class SendTeamInviteEmail
{
    use TransactionalEmailsApi;
    /**
     * Create the event listener.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Handle the event.
     *
     * @param  \App\Events\TeamInviteEmail  $event
     * @return void
     */
    public function handle(TeamInviteEmail $event)
    {
        $password = $event->password;
        $first_name = $event->user['first_name'];
        $last_name = $event->user['last_name'];
        $name = $event->user['name'];
        $email = $event->user['email'];
        $role = $event->user['role'];

        $apiInstance = Self::sendtransactionalapi();

        $sendSmtpEmail = new SendSmtpEmail();
        $sendSmtpEmail['templateId'] = 35;
        $sendSmtpEmail['sender'] = array('name' => env('MAIL_FROM_NAME'), 'email' => env('MAIL_FROM_ADDRESS'));
        $sendSmtpEmail['to'] = array(
            array('email' => $email, 'name' => $name)
        );
        $sendSmtpEmail['replyTo'] = array('name' => env('MAIL_FROM_NAME'), 'email' => env('MAIL_FROM_ADDRESS'));

        // To check whether analyst is created or Admin
        if($role == 'analyst'){
            $url = route("analyst.login");
            $sendSmtpEmail['params'] = array('first_name' => $first_name, 'last_name' => $last_name, 'password' => $password, 'email' => $email, 'url' => $url);
        }else if($role == 'admin'){
            $url = route("management.login");
            $sendSmtpEmail['params'] = array('first_name' => $first_name, 'last_name' => $last_name, 'password' => $password, 'email' => $email, 'url' => $url);
        }else {
            $url = route("login");
            $sendSmtpEmail['params'] = array('first_name' => $first_name, 'last_name' => $last_name, 'password' => $password, 'email' => $email, 'url' => $url);
        }

        $apiInstance->sendTransacEmail($sendSmtpEmail);
    }
}
