<?php

// This is for Screenwriters/Producers
namespace App\Listeners;

use App\Events\UserRegistered;
use App\Services\PubSub\PubSubServices;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Support\Facades\DB;
use Google\Cloud\PubSub\PubSubClient;

class SendWelcomeEmail
{
    use PubSubServices;
    /**
     * Create the event listener.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Handle the event.
     *
     * @param  \App\Events\UserRegistered  $event
     * @return void
     */
    public function handle(UserRegistered $event)
    {

        $client = self::pubsubConfiguration();
        $client->createTopic("test-default")
        // $client->topic(config('services.pubsub.GET'))
            ->publish([
                'attributes' => [
                    'email' => $event->user['email'],
                    'name' => $event->user['fullname'],
                    'first_name' => $event->user['first_name'],
                    'last_name' => $event->user['last_name'],
                ]
            ]);


    }
}

