<?php

namespace App\Models;

use App\Models\Concerns\Uuids;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class CWApplication extends Model
{
    use Uuids, HasFactory;

    protected $fillable = ['type', 'desc'];

    protected $casts = [
        'type' => 'string',
        'desc' => 'string',
    ];

    /**
     * Get the application.
     */
    public function application()
    {
        return $this->morphOne(
            UserApplication::class,
            'applicationable'
        );
    }
}
