<?php

namespace App\Models;

use App\Models\Concerns\Uuids;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class CourseMaterial_futureTVwriter extends Model
{
    use Uuids, HasFactory, SoftDeletes;

    protected $fillable = [
        'name',
        'path',
    ];

    protected $hidden = [
        'deleted_at',
    ];

    protected $casts = [
        'name' => 'string',
        'path' => 'string',
        'course_id' => 'string'
    ];

    public function course()
    {
        return $this->belongsTo(Course::class);
    }
}
