<?php

namespace App\Models;

use App\Models\Concerns\Uuids;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Course_futureTVwriter extends Model
{
    use Uuids, HasFactory;

    /**
     * The attributes that are mass assignable.
     *
     * @var string[]
     */
    protected $fillable = [
        'name',
        'description',
    ];

    protected $casts = [
        'name' => 'string',
        'description' => 'string',
        'published_at' => 'datetime',
        'archived_at' => 'datetime',
    ];

    /**
     * Get the application.
     */
    public function event()
    {
        return $this->morphOne(
            Event::class,
            'eventable'
        );
    }

    public function status()
    {
        if ($this->archived_at != null) {
            return 'archived';
        }

        if ($this->published_at != null) {
            return 'published';
        }

        return 'draft';
    }

    public static function statuses()
    {
        return [
            'draft',
            'archived',
            'published'
        ];
    }

    public function courseMaterials()
    {
        return $this->hasMany(CourseMaterial::class);
    }
}
