<?php

// This model is related to the "SCHEDULE" for the TV Program located the admin dashboard
namespace App\Models;

use App\Models\Concerns\Uuids;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Event extends Model
{
    use Uuids, HasFactory;

    protected $fillable = [
        'starts_on',
        'ends_on'
    ];

    protected $casts = [
        'eventable_type' => 'string',
        'eventable_id' => 'string',
        'starts_on' => 'datetime',
        'ends_on' => 'datetime',
    ];

    public function eventable()
    {
        return $this->morphTo();
    }
    public function guests()
    {
        return $this->hasMany(EventGuest::class, 'event_id','id');
    }
    public function createEvent(array $data):Event
    {
        return $this->create($data);
    }
    public function getGuests($id)
    {
       return  $this->select('users.id','users.email')
       ->join('event_guests' ,'event_guests.event_id' ,'=','events.id')
       ->join('users' ,'users.id' ,'=','event_guests.user_id')
       ->where('event_id',$id)
       ->get();
    }
}
