<?php
// This model is related to the "SCHEDULE" for the TV Program located the admin dashboard

namespace App\Models;

use App\Models\Concerns\Uuids;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class EventGuest extends Model
{
    use Uuids, HasFactory;

    protected $fillable = [
        'event_id',
        'user_id'
    ];

    protected $casts = [
        'event_id' => 'string',
        'user_id' => 'string',
    ];

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function event()
    {
        return $this->belongsTo(Event::class);
    }
    public function createGuest(array $data): EventGuest
    {
        return $this->create($data);
    }
}
