<?php

// This model is related to the Screenwriters that are applying to the TV Writers Program
namespace App\Models;

use App\Models\Concerns\Uuids;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class InProgramScriptApplication_futureTVWriter extends Model
{
    use Uuids, HasFactory;

    const STATUS_REVISE = 'revise';
    const STATUS_IN_REVIEW = 'in_review';
    const STATUS_RATED = 'rated';

    protected $fillable = ['status'];

    protected $casts = [
        'status' => 'string',
        'accepted_at' => 'datetime',
        'rejected_at' => 'datetime',
    ];

    /**
     * Get the script.
     */
    public function script()
    {
        return $this->morphOne(Script::class, 'application');
    }
}
