<?php

namespace App\Models;

// use App\Models\Concerns\Uuids;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class PlatformSetting extends Model
{
    use HasFactory;
    // use Uuids;

    const EARLY_ACCESS_DURATION = 'EARLY_ACCESS_DURATION';
    const CURRICULUM = 'CURRICULUM';

    protected $fillable = [
        'name',
        'value'
    ];

    protected $casts = [
        'id' => 'integer',
        'name' => 'string',
        'value' => 'string',
        'created_at' => 'datetime',
        'updated_at' => 'datetime',
    ];

    public static function getCurriculum()
    {
        return self::where('name', self::CURRICULUM)->first()->value;
    }


    public static function getEarlyAccessDuration()
    {
        return self::where('name', self::EARLY_ACCESS_DURATION)->first()->value;
    }
}
