<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ProducerApplication extends Model
{
    use HasFactory;

    // The first three constant are not being used.
    const MEETING_PREFERENCE_YES = 'YES';
    const MEETING_PREFERENCE_NOT_SURE = 'NOT_SURE';
    const MEETING_PREFERENCE_NO = 'NO';

    const TRADE_ASSOCIATION_ASC = 'ASC';
    const TRADE_ASSOCIATION_PGA = 'PGA';
    const TRADE_ASSOCIATION_DGA = 'DGA';
    const TRADE_ASSOCIATION_SAG_AFTRA = 'SAG/AFTRA';
    const TRADE_ASSOCIATION_PRODUCER_UNION = 'PRODUCERS_UNION';
    const TRADE_ASSOCIATION_NONE = 'NONE';

    protected $fillable = [
        'pronoun',
        'country',
        'experienced',
        'imdb_link',
        'meeting_preference',
        'trade_associations',
        'more',
        'user_id',
        'producer_type',
        'approved',
    ];

    protected $casts = [
        'country' => 'string',
        'experienced' => 'boolean',
        'imdb_link' => 'string',
        'more' => 'string',
    ];

    /**
     * Get the application.
     */
    public function application()
    {
        return $this->morphOne(
            UserApplication::class,
            'applicationable'
        );
    }

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }
}
