<?php

namespace App\Models;

use App\Models\Concerns\Uuids;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ScriptRating extends Model
{
    use HasFactory;

    protected $fillable = [
        'script_id',
        'character',
        'conflict',
        'dialogue',
        'logic',
        'originality',
        'pacing',
        'premise',
        'structure',
        'tone',
        'feedback'
    ];

    protected $casts = [
        'character' => 'integer',
        'conflict' => 'integer',
        'dialogue' => 'integer',
        'logic' => 'integer',
        'originality' => 'integer',
        'pacing' => 'integer',
        'premise' => 'integer',
        'structure' => 'integer',
        'tone' => 'integer',
        'feedback' => 'string',
        'script_id' => 'integer',
    ];

    /**
     * Get the script that owns the rating.
     */
    public function script()
    {
        return $this->belongsTo(Script::class);
    }

    public function totalRating()
    {
        return $this->character +
            $this->conflict +
            $this->dialogue +
            $this->logic +
            $this->originality +
            $this->pacing +
            $this->premise +
            $this->structure +
            $this->tone;
    }
}
