<?php

namespace App\Models;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class SignatureRequest extends Model
{
    use HasFactory;

    const PRODUCER_TYPE = 'PRODUCER';
    const SCREEN_WRITER_TYPE = 'SCREEN_WRITER';

    const PENDING_STATUS = 'PENDING';
    const SENT_STATUS = 'SENT';
    const SIGNED_STATUS = 'SIGNED';

    protected $table = 'signature_requests';
    protected $fillable = [
        'user_id',
        'script_id',
        'script_order_id',
        'name',
        'email',
        'delivery_method',
        'template_id',
        'webhook_url',
        'sandbox_mode',
        'status',
        'contract_id',
        'contract_title',
        'sent_at',
        'type',
        'signer_id',
        'link_expiry_date',
        'sign_page_url',
    ];

    public $dates = [
        'sent_at'
    ];

    public function scriptOrder()
    {
        return $this->belongsTo(ScriptOrder::class, 'script_order_id', 'id');
    }

    public function script()
    {
        return $this->belongsTo(Script::class, 'script_id', 'id');
    }

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id', 'id');
    }
}
