<?php

////COMMENTSSSSSSSSSSSSSS
namespace App\Models;

use App\Models\Concerns\Uuids;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class WriterApplication_futureTvWriter extends Model
{
    use Uuids, HasFactory;

    const COMMITMENT_STATUS_YES = 'YES';
    const COMMITMENT_STATUS_NO = 'NO';
    const COMMITMENT_STATUS_NOT_SURE = 'NOT_SURE';

    const TV_WRITING = 1;
    const FILM_WRITING = 2;
    const VIDEO_GAME_WRITING= 3;
    const AR_VR_WRITING = 4;
    protected $fillable = [
        'country',
        'commitment_status',
        'industry_admire',
        'lng_term_plans',
        'script_ptn',
        'about_us',
        'other',
        'except_learn',
        'awards_achievements',
        'interested_in',
        'scripted',
        'consider_type',
        'skill_discipline',
        'optioned_before',
        'committed',
        'age_group',
    ];

    protected $casts = [
        'country' => 'string',
        'industry_admire' => 'string',
        'lng_term_plans' => 'string',
        'script_ptn' => 'string',
        'about_us' => 'string',
        'other' => 'string',
        'except_learn' => 'string',
        'awards_achievements' => 'string',
        'interested_in' => 'string',
        'scripted' => 'integer',
        'consider_type' => 'integer',
        'skill_discipline' => 'integer',
        'committed' => 'integer',
        'age_group' => 'integer',
    ];

    /**
     * Get the application.
     */
    public function application()
    {
        return $this->morphOne(
            UserApplication::class,
            'applicationable'
        );
    }

    public function getConsiderTypeAttribute($value) {
        if ($value == self::TV_WRITING){
            return "Tv Writing";
        }elseif($value == self::FILM_WRITING){
            return "Film Writing";
        }elseif($value == self::VIDEO_GAME_WRITING){
            return "Video Game Writing";
        }elseif($value == self::AR_VR_WRITING){
            return "AV/VR Wrtting";
        }
    }
}
