<?php

namespace App\Services\Dwolla;

use DwollaSwagger;


class DwollaServices
{

    // Generate Client API Token
    protected static function generateAchAPIToken()
    {
        $dwolla_api_key = config('services.dwolla.key');
        $dwolla_api_secret = config('services.dwolla.secret');
        $dwolla_api_env_url = config('services.dwolla.env_url');

        $basic_credentials = base64_encode($dwolla_api_key . ':' . $dwolla_api_secret);
        $ch = curl_init($dwolla_api_env_url . '/token');
        curl_setopt($ch, CURLOPT_HTTPHEADER, array('Authorization: Basic ' . $basic_credentials, 'Content-Type: application/x-www-form-urlencoded;charset=UTF-8'));
        curl_setopt($ch, CURLOPT_POSTFIELDS, 'grant_type=client_credentials');
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        $data = json_decode(curl_exec($ch));

        $token = $data->access_token;
        DwollaSwagger\Configuration::$access_token = $token;
        curl_close($ch);
    }

    // public static function verifyCustomerBank($id)
    // {
    //     // generate Dwolla API access token.
    //     self::generateAchAPIToken();

    //     $dwolla_api_env_url = config('services.dwolla.env_url');

    //     $apiClient = new DwollaSwagger\ApiClient($dwolla_api_env_url);
    //     $customersApi = new DwollaSwagger\CustomersApi($apiClient);
    //     $fundingsourcesApi = new DwollaSwagger\FundingsourcesApi($apiClient);
    //     if ($id !=  '') {
    //         $customerUrl = "{$dwolla_api_env_url}/customers/{$id}";
    //         $customer_fund_source = $fundingsourcesApi->getCustomerFundingSources($customerUrl);
    //         if (isset($customer_fund_source->_embedded->{'funding-sources'}[0]->id)) {
    //             $funding_sources = $customer_fund_source->_embedded->{'funding-sources'};
    //             return ['status' => 'exists', 'message' => "Funding source already exists.", 'funding_sources' => $funding_sources];
    //         } else {

    //             $fsToken = $customersApi->getCustomerIavToken($dwolla_api_env_url . "/customers/" . $id);

    //             return  ['status' => true, 'message' => "Funding source verified successfull.", 'funding_sources_token' => $fsToken->token];
    //         }
    //     } else {
    //         return ['status' => false, 'message' => "Customer account is not added."];
    //     }
    // }

    // public static function getCustomer($id)
    // {
    //     self::generateAchAPIToken();
    //     $dwolla_api_env_url = config('services.dwolla.env_url');
    //     $apiClient = new DwollaSwagger\ApiClient($dwolla_api_env_url);

    //     $customersApi = new DwollaSwagger\CustomersApi($apiClient);
    //     $customer = $customersApi->getCustomer($id);
    //     return $customer;
    // }
}
