<?php

namespace App\Services\Stripe\CreateCustomer;

use App\Services\Stripe\StripeServices;

/**
 * Return Stirpe Client
 */
class CreateCustomer extends StripeServices
{
    public static function createCustomer($email, $name, $country = "US")
    {

        $stripe = self::initStripeClient();
        $customer = $stripe->customers->create([
            'email' => $email,
            'name' => $name,
            'address' => [
                'country' => $country,
            ]
        ]);
        return $customer;
    }
}
