<?php
namespace App\Services\Stripe\CreateSubscriptions\ProducerSubscriptions\PremiumSubscription;

use App\Services\Stripe\StripeServices;

/**
 * Return Stirpe Client
 */
class AnnualPremium extends StripeServices
{
    public static function createSubscription($customerID)
    {
        $stripe = self::initStripeClient();
        $subscrption = $stripe->subscriptions->create([
            'customer' => $customerID,
            'items' => [[
                'price' => config('services.stripe.subscriptions.producer_premium_annual.price'),
            ]],
            'payment_behavior' => 'default_incomplete',
            'payment_settings' => ['save_default_payment_method' => 'on_subscription'],
            'expand' => ['latest_invoice.payment_intent'],
        ]);
        return $subscrption;
    }
}
