<?php
namespace App\Services\Stripe\CreateSubscriptions\ProducerSubscriptions\PremiumSubscription;

use Illuminate\Support\Facades\Config;
use App\Services\Stripe\StripeServices;

/**
 * Return Stripe Subscription
 */
class BasicSemiAnnual extends StripeServices
{
    public static function createSubscription($customerID)
    {
        $stripe = self::initStripeClient();
        $subscrption = $stripe->subscriptions->create([
            'customer' => $customerID,
            'items' => [[
                'price' => Config::get('services.stripe.subscriptions.producer_basic_semi_annual.price'),
            ]],
            'payment_behavior' => 'default_incomplete',
            'payment_settings' => ['save_default_payment_method' => 'on_subscription'],
            'expand' => ['latest_invoice.payment_intent'],
        ]);
        return $subscrption;
    }
}
