<?php

return [

    /*
     |--------------------------------------------------------------------------
     | Third Party Services
     |--------------------------------------------------------------------------
     |
     | This file is for storing the credentials for third party services such
     | as Mailgun, Postmark, AWS and more. This file provides the de facto
     | location for this type of information, allowing packages to have
     | a conventional file to locate the various service credentials.
     |
     */

    'mailgun' => [
        'domain' => env('MAILGUN_DOMAIN'),
        'secret' => env('MAILGUN_SECRET'),
        'endpoint' => env('MAILGUN_ENDPOINT', 'api.mailgun.net'),
    ],

    'postmark' => [
        'token' => env('POSTMARK_TOKEN'),
    ],

    'ses' => [
        'key' => env('AWS_ACCESS_KEY_ID'),
        'secret' => env('AWS_SECRET_ACCESS_KEY'),
        'region' => env('AWS_DEFAULT_REGION', 'us-east-1'),
    ],

    'pubsub' => [
        'GAC' => env('GOOGLE_APPLICATION_CREDENTIALS'),
        'GET' => env('GCP_EMAIL_TOPIC'),
    ],

    'gcs' => [
        'storage_api_uri' => env('GOOGLE_CLOUD_STORAGE_API_URI', null)
    ],

    // 'gcs-public' => [
    //     'storage_api_uri' => env('GOOGLE_CLOUD_STORAGE_API_URI', null), // see: Public URLs below
    // ],

    'sendinblue' => [
        'key_identifier' => env('SENDINBLUE_IDENTIFIER'),
        'key' => env('SENDINBLUE_KEY')
    ],

    'stripe' => [
        'key_identifier' => env('STRIPE_KEY'),
        'key' => env('STRIPE_SECRET'),
        'webhook_secret' => env('STRIPE_WEBHOOK_SECRET'),
        'subscriptions' => [
            'writer_semi_annual' => [
                'name' => env('STRIPE_SUB_WRITER_SEMI_NAME'),
                'price' => env("STRIPE_SUB_WRITER_SEMI_PRICE")
            ],
            'writer_annual' => [
                'name' => env('STRIPE_SUB_WRITER_ANNU_NAME'),
                'price' => env('STRIPE_SUB_WRITER_ANNU_PRICE')
            ],

            'producer_basic_semi_annual' => [
                'name' => env('STRIPE_SUB_PROD_BASIC_SEMI_NAME'),
                'price' => env('STRIPE_SUB_PROD_BASIC_SEMI_PRICE')
            ],

            'producer_basic_annual' => [
                'name' => env('STRIPE_SUB_PROD_BASIC_ANNU_NAME'),
                'price' => env('STRIPE_SUB_PROD_BASIC_ANNU_PRICE')
            ],

            'producer_premium_semi_annual' => [
                'name' => env('STRIPE_SUB_PROD_PREM_ANNU_NAME'),
                'price' => env('STRIPE_SUB_PROD_PREM_ANNU_PRICE')
            ],

            'producer_premium_annual' => [
                'name' => env('STRIPE_SUB_PROD_PREM_ANNU_NAME'),
                'price' => env('STRIPE_SUB_PROD_PREM_ANNU_PRICE')
            ],
        ]
    ],


     'e-signature' => [
         'key' => env('ESIGNATURE_API_KEY'),
         'sandbox' => env('ESIGNATURE_SANDBOX', false),
         'delivery_method' => env('ESIGNATURE_DELIVERY_METHOD'),
         'template_id' => env('ESIGNATURE_TEMPLATE_ID'),
         'company_name' => env('ESIGNATURE_COMPANY_NAME'),
         'company_email' => env('ESIGNATURE_COMPANY_EMAIL')
        //  'screen_writer_template_id' => env('ESIGNATURE_SCREEN_WRITER_TEMPLATE_ID', false),
        //  'producer_template_id' => env('ESIGNATURE_PRODUCER_TEMPLATE_ID', false),
        //  'screenwriter_webhook_url' => env('ESIGNATURE_SCREEN_WRITER_WEBHOOK_URL', false),
        //  'producer_webhook_url' => env('ESIGNATURE_PRODUCER_WEBHOOK_URL', false),
     ],

    'dwolla' => [
        'key' => env('DWOLLA_API_KEY'),
        'secret' => env('DWOLLA_API_SECRET'),
        'env_url' => env('DWOLLA_API_ENV')
    ]

];
