<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateProducerApplicationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('producer_applications', function (Blueprint $table) {
            $table->increments('id');
            $table->string('country');
            $table->boolean('experienced');
            $table->text('imdb_link')->nullable();
            $table->text('meeting_preference')->nullable();
            $table->text('trade_associations')->nullable();
            $table->string('pronoun')->nullable();
            $table->enum('producer_type', ['union', 'non-union'])->nullable();

            $table->boolean('approved')->default(false);

            $table->foreignId('user_id')->unique()
                ->constrained('users')->cascadeOnDelete();

            $table->text('more');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('producer_applications');
    }
}
