<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateScriptRatingsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('script_ratings', function (Blueprint $table) {
            $table->increments('id');
            $table->tinyInteger('character')->nullable();
            $table->tinyInteger('conflict')->nullable();
            $table->tinyInteger('dialogue')->nullable();
            $table->tinyInteger('logic')->nullable();
            $table->tinyInteger('originality')->nullable();
            $table->tinyInteger('pacing')->nullable();
            $table->tinyInteger('premise')->nullable();
            $table->tinyInteger('structure')->nullable();
            $table->tinyInteger('tone')->nullable();
            $table->text('feedback')->nullable();

            $table->foreignId('script_id')
                ->constrained('scripts')
                ->cascadeOnDelete();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('script_ratings');
    }
}
