<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateScriptOrdersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('script_orders', function (Blueprint $table) {
            $table->increments('id');

            $table->foreignId('script_id')
                ->constrained('scripts');

            $table->foreignId('user_id')
                ->constrained('users')
                ->cascadeOnDelete();

            $table->string('dwolla_transfer_id')->nullable();

            $table->string('checkout');
            $table->string('stripe_id')->nullable();
            $table->string('period')->nullable();

            $table->integer('checkout_amount')->nullable();
            $table->text('checkout_url')->nullable();
            $table->dateTime('checkout_until')->nullable();
            $table->dateTime('checkout_completed')->nullable();
            $table->dateTime('checkout_canceled')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('script_orders');
    }
}
