<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePlatformSettingsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('platform_settings', function (Blueprint $table) {
            $table->increments('id');
            $table->string('name');
            $table->text('value');
            $table->timestamps();
        });

        \App\Models\PlatformSetting::create([
            'name' => \App\Models\PlatformSetting::EARLY_ACCESS_DURATION,
            'value' => 72
        ]);

        \App\Models\PlatformSetting::create([
            'name' => \App\Models\PlatformSetting::CURRICULUM,
            'value' => 'Sample Curriculum'
        ]);
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('platform_settings');
    }
}
