<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSignatureRequestsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('signature_requests', function (Blueprint $table) {
            $table->increments('id');

            $table->foreignId('user_id');
            $table->foreignId('script_id');
            $table->foreignId('script_order_id')->nullable();
            $table->string('name', 500);
            $table->string('email', 500);
            $table->string('delivery_method', 500);
            $table->string('template_id', 500);
            $table->string('webhook_url', 1000)->nullable();
            $table->boolean('sandbox_mode')->default(false);
            $table->string('type')->nullable();
            $table->string('contract_id', 500)->nullable();
            $table->string('contract_title', 500)->nullable();
            $table->string('signer_id', 500)->nullable();
            $table->date('link_expiry_date')->nullable();
            $table->string('sign_page_url', 500)->nullable();
            $table->dateTime('sent_at')->nullable();
            $table->enum('status',['signature_requested','signature_completed']);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('signature_requests');
    }
}
