<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('dwolla_transactions', function (Blueprint $table) {
            $table->id();
            $table->foreignId('buyer_id',255)->references('id')->on('users');
            $table->foreignId('seller_id',255)->references('id')->on('users');
            $table->string('transaction_id',255);
            $table->enum('payment_name',['treatment_purchased','script_purchased','screenplay_purchased','transfer']);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('dwolla_transactions');
    }
};
