#!/bin/bash

IMAGE_NAME="wa_api"
CONTAINER_NAME="wa_api"
IMAGE_TAG=`date +"%Y.%m.%d.%s"`
LOCATION="us-central1"
PROJECT_ID="woaccelerator-dev"
REPOSITORY="woaccelerator-dev"

# Build Docker Image
echo "Build"
docker build . -t $IMAGE_NAME:$IMAGE_TAG

# Publish to Artifact Registry
echo "Publish"
docker tag $IMAGE_NAME:$IMAGE_TAG $LOCATION-docker.pkg.dev/$PROJECT_ID/$REPOSITORY/$IMAGE_NAME:$IMAGE_TAG
docker push $LOCATION-docker.pkg.dev/$PROJECT_ID/$REPOSITORY/$IMAGE_NAME:$IMAGE_TAG

# Deploy to Cloud Run
gcloud run deploy wa-api --image $LOCATION-docker.pkg.dev/$PROJECT_ID/$REPOSITORY/$IMAGE_NAME:$IMAGE_TAG --region us-central1
