/*
   Screenwriter
       Dashboard
*/

// Setting Section

$(".screenwriter_settings .setting_menu_parent > div.row").on(
    "click",
    function (e) {
        $(".setting_menu_parent > div.row.active").removeClass("active");
        $(e.currentTarget).addClass("active");
        var menu_selected = $(e.currentTarget).attr("class").split(/\s+/)[0];
        switch (menu_selected) {
            case "account_setting_menu":
                $(".account_form").empty();
                $("#customer_portal").hide();
                $(".account_form").html(`
                    <div class="row mx-0 w-100 account_settings_label px-sm-3 px-0">
                        <div class="col-12 px-sm-3 px-0">
                            <h3>Account Settings</h3>
                            <p>Personal Information</p>
                        </div>
                    </div>
                    <div class="row mx-0 w-100 mt-md-5 mt-3 account_setting_avatar px-sm-3 px-0">
                        <div class="col-12 px-sm-3 px-0">
                            <h5>Avatar</h5>
                        </div>
                    </div>
                    <div class="row mx-0 w-100 account_setting_form">
                        <div class="row mx-0 w-100 px-sm-3 px-0">
                            <div class="col-6 col-sm-3 col-xl-auto px-sm-3 px-0">
                                <img src="https://picsum.photos/50/50" alt="Profile Picture" class="image-fluid rounded-circle">
                            </div>
                            <div class="col-6 col-sm-3 col-xl-auto align-self-center px-sm-3 px-0">
                                <button type="button" class="border-0 bg-transparent">Remove</button>
                            </div>
                            <div class="col-6 col-sm-12 col-xl-auto align-self-center mt-xl-0 mt-3 px-sm-3 px-0">
                                <input type="file" value="Upload">
                            </div>
                        </div>
                        <div class="row mx-0 w-100 mt-5 px-sm-3 px-0">
                            <div class="col-sm-6 col-12 px-sm-3 px-0">
                                <label for="first_name" class="form-label">First Name</label>
                                <input type="text" name="first_name" class="form-control w-md-50 w-100" placeholder="Enter the first Name" value="Jon">
                            </div>
                            <div class="col-sm-6 col-12 mt-sm-0 mt-2 px-sm-3 px-0">
                                <label for="last_name" class="form-label">Last Name</label>
                                <input type="text" name="last_name" class="form-control w-md-50 w-100" placeholder="Enter the first Name" value="Doe">
                            </div>
                        </div>
                        <div class="row mx-0 w-100 mt-2 px-sm-3 px-0">
                            <div class="col-12 px-sm-3 px-0">
                                <label for="email" class="form-label">Email</label>
                                <input type="email" name="email" class="form-control w-md-50 w-100" placeholder="Enter the first Name" value="John@gmail.com">
                            </div>
                        </div>
                        <div class="row mx-0 w-100 mb-3 px-sm-3 px-0">
                            <div class="col-12 text-md-end text-center">
                                <span class="me-3">Discard Changes</span>
                                <button type="submit" class="border-0 me-md-5 me-0 mt-3 mb-mt-0">Save Changes</button>
                            </div>
                        </div>
                    </div>
                `);
                break;
            case "password_setting_menu":
                $(".account_form").empty();
                $("#customer_portal").hide();
                $(".account_form").html(`
                    <div class="row w-100 mx-0 password_setting_label px-sm-3 px-0">
                        <div class="col-12 px-sm-3 px-0">
                            <h3 class="mb-4">Security</h3>
                            <img src="https://picsum.photos/50/50" alt="Profile Picture" class="image-fluid rounded-circle">
                            <span class="ms-2">John Doe</span>
                        </div>
                    </div>
                    <div class="row w-100 mx-0 password_setting_form">
                        <div class="row mx-0 w-100 mt-5 px-sm-3 px-0">
                            <div class="col-12 px-sm-3 px-0">
                                <label for="current_password" class="form-label">Current Password</label>
                                <input type="text" name="current_password" class="form-control" placeholder="Enter the Current Password">
                            </div>
                        </div>
                        <div class="row mx-0 w-100 mt-2 px-sm-3 px-0">
                            <div class="col-12 px-sm-3 px-0">
                                <button type="button" class="border-0 bg-transparent" data-bs-toggle="modal" data-bs-target="#screenwriter_reset_password">Reset Password</span>
                            </div>
                        </div>
                        <div class="row mx-0 w-100 mt-5 px-sm-3 px-0">
                            <div class="col-12 px-sm-3 px-0">
                                <h6 class="mb-md-0 mb-2">Two Factor Authentication</h6>
                                <p>We'll ask for the code in addition to your password when you log in on a device we Don't recognize</p>
                            </div>
                        </div>
                        <div class="row mx-0 w-100 mt-4 px-sm-3 px-0">
                            <div class="col-12 px-sm-3 px-0">
                                <label for="phone_number" class="form-label">Enter your Phone Number</label>
                                <input type="tel" name="phone_number" class="form-control" placeholder="Enter your Phone Number">
                            </div>
                        </div>
                        <div class="row mx-0 w-100 mb-3 px-sm-3 px-0">
                            <div class="col-12 text-md-end text-center">
                                <span class="me-md-3 me-0">Discard Changes</span>
                                <button type="submit" class="border-0 me-md-5 me-0 mt-3 mb-mt-0">Save Changes</button>
                            </div>
                        </div>
                    </div>`);
                break;
            case "membership_setting_menu":
                $(".account_form").empty();
                $("#customer_portal").show();
                break;
        }
    }
);

// For Screenwriter Payment Checkboxes on modal Popup (During payment)
$("#screenwriter_script_payment2_to_marketplace .radio_checkbox_parent").on(
    "click",
    (e) => {
        var currentTarget = $(e.currentTarget);
        if (currentTarget.find("input").prop("checked") == false) {
            currentTarget
                .siblings(".radio_checkbox_parent")
                .find("input")
                .prop("checked", false);
            currentTarget.css({ border: "2px solid #FBBB00" });
            currentTarget
                .siblings(".radio_checkbox_parent")
                .css({ border: "none" });
            currentTarget.find("input").prop("checked", true);
        }
        paymentElement.unmount();
        var plan = "";
        if ($("#biannual_sub").is(":checked")) {
            plan = "semi-annual";
            setupStripe(plan);
        }
        if ($("#annual_sub").is(":checked")) {
            plan = "annual";
            setupStripe(plan);
        }
    }
);

// For Screenwriter Marketplace Scripts Switching (Marketplace Menu)

$("#screenwriter_marketplacescript_selection").on("change", () => {
    const SelectTag = $("#screenwriter_marketplacescript_selection");
    if (SelectTag.val() == "Scripts in Marketplace") {
        $(".screenwriter_marketplace_scripts_heading").css("display", "flex");
        $(".screenwriter_marketplace_scripts_content").css("display", "flex");
        $(".screenwriter_marketplace_purchased_scripts_heading").css(
            "display",
            "none"
        );
        $(".screenwriter_marketplace_purchased_scripts_content").css(
            "display",
            "none"
        );
        $(".screenwriter_marketplace_purchased_scripts_heading").removeClass(
            "mt-2"
        );
        $(".screenwriter_marketplace_purchased_scripts_heading").addClass(
            "mt-5"
        );
    } else if (SelectTag.val() == "Purchase Scripts") {
        $(".screenwriter_marketplace_purchased_scripts_heading").css(
            "display",
            "flex"
        );
        $(".screenwriter_marketplace_purchased_scripts_content").css(
            "display",
            "flex"
        );
        $(".screenwriter_marketplace_scripts_heading").css("display", "none");
        $(".screenwriter_marketplace_scripts_content").css("display", "none");
        $(".screenwriter_marketplace_purchased_scripts_heading").removeClass(
            "mt-5"
        );
        $(".screenwriter_marketplace_purchased_scripts_heading").addClass(
            "mt-2"
        );
    } else if (SelectTag.val() == "All") {
        $(".screenwriter_marketplace_scripts_heading").css("display", "flex");
        $(".screenwriter_marketplace_scripts_content").css("display", "flex");
        $(".screenwriter_marketplace_purchased_scripts_heading").css(
            "display",
            "flex"
        );
        $(".screenwriter_marketplace_purchased_scripts_content").css(
            "display",
            "flex"
        );
        $(".screenwriter_marketplace_purchased_scripts_heading").removeClass(
            "mt-2"
        );
        $(".screenwriter_marketplace_purchased_scripts_heading").addClass(
            "mt-5"
        );
    }
});

// For Screenwriter Scripts Switching (Scripts Menu)

$("#screenwriter_scripts_selection").on("change", () => {
    const SelectTag = $("#screenwriter_scripts_selection");
    if (SelectTag.val() == "Draft") {
        $("div.draft").css({ display: "block" });
        $("div.submitted").css({ display: "none" });
        $("div.inreview").css({ display: "none" });
        $("div.denied").css({ display: "none" });
    } else if (SelectTag.val() == "Submitted") {
        $("div.draft").css({ display: "none" });
        $("div.submitted").css({ display: "block" });
        $("div.inreview").css({ display: "none" });
        $("div.denied").css({ display: "none" });
    } else if (SelectTag.val() == "In Review") {
        $("div.draft").css({ display: "none" });
        $("div.submitted").css({ display: "none" });
        $("div.inreview").css({ display: "block" });
        $("div.denied").css({ display: "none" });
    } else if (SelectTag.val() == "Denied") {
        $("div.draft").css({ display: "none" });
        $("div.submitted").css({ display: "none" });
        $("div.inreview").css({ display: "none" });
        $("div.denied").css({ display: "block" });
    } else if (SelectTag.val() == "All") {
        $("div.draft").css({ display: "block" });
        $("div.submitted").css({ display: "block" });
        $("div.inreview").css({ display: "block" });
        $("div.denied").css({ display: "block" });
    }
});

/*
    Ajax
        Calls
*/

// Scripts Section (Upload Script)

// Key Up Event for Frontend Validation in Script Upload Fields
$('form#upload_script_form input[type="text"]').on("keyup", (e) => {
    const targetField = $(e.currentTarget);

    // For Adjusting message according to Field
    const targetFieldName = targetField.attr("name");
    var requireMessage = "";
    switch (targetFieldName) {
        case "title":
            requireMessage = "The Script Title is Required";
            break;
        case "synopsis":
            requireMessage = "The Synopsis is Required";
            break;
        case "tagline":
            requireMessage = "The Tagline is Required";
            break;
        case "logline":
            requireMessage = "The Logline is Required";
            break;
    }

    var fieldValue = targetField.val();
    const errorField = targetField.siblings("div.text-danger");

    // Required Message
    if (fieldValue == "") {
        errorField.text(requireMessage);
        targetField.addClass("border border-danger");
    } else {
        errorField.text("");
        targetField.removeClass("border border-danger");
    }
});

// Form Validation for Select Tag
$("form#upload_script_form select").on("change", (e) => {
    const target = $(e.currentTarget);

    // For Adjusting message according to Field
    const targetFieldName = target.attr("name");
    var requireMessage = "";
    switch (targetFieldName) {
        case "genre":
            requireMessage = "The Genre is Required";
            break;
        case "pages":
            requireMessage = "The Pages is Required";
            break;
        case "mpaa_rating":
            requireMessage = "The MPAA Rating is Required";
            break;
        case "budget":
            requireMessage = "The Budget is Required";
            break;
        case "timeline":
            requireMessage = "The Timeline is Required";
            break;
        case "where":
            requireMessage = "The Region is Required";
            break;
    }

    var fieldValue = target.val();
    const errorCheckfield = target.next("div.text-danger");

    if (fieldValue == null) {
        errorCheckfield.text(requireMessage);
        target.addClass("border border-danger");
    } else {
        errorCheckfield.text("");
        target.removeClass("border border-danger");
    }
});

$('form#upload_script_form input[type="file"]').on("change", (e) => {
    const target = $(e.currentTarget);

    // For Adjusting message according to Field
    const targetFieldName = target.attr("name");
    var requireMessage = "";
    switch (targetFieldName) {
        case "treatment":
            requireMessage = "The Treatment is Required";
            break;
        case "script":
            requireMessage = "The Script is Required";
            break;
    }

    var fieldValue = target.val();
    const errorCheckfield = target.next("div.text-danger");

    if (fieldValue == "") {
        errorCheckfield.text(requireMessage);
        target.addClass("border border-danger");
    } else {
        errorCheckfield.text("");
        target.removeClass("border border-danger");
    }

    if (targetFieldName == "treatment" && errorCheckfield.text() == "") {
        const filetype = target.prop("files")[0].type;
        const filesize = target.prop("files")[0].size / 1024;
        if (filetype != "application/pdf") {
            errorCheckfield.text("Only Pdf are allowed");
            target.addClass("border border-danger");
        } else if (filesize > 1024) {
            errorCheckfield.text("File Size should be less than 1Mb");
            target.addClass("border border-danger");
        } else {
            errorCheckfield.text("");
            target.removeClass("border border-danger");
        }
    }

    if (targetFieldName == "script" && errorCheckfield.text() == "") {
        const filetype = target.prop("files")[0].type;
        const filesize = target.prop("files")[0].size / 1024;
        if (filetype != "application/pdf") {
            errorCheckfield.text("Only Pdf are allowed");
            target.addClass("border border-danger");
        } else if (filesize > 1024) {
            errorCheckfield.text("File Size should be less than 1Mb");
            target.addClass("border border-danger");
        } else {
            errorCheckfield.text("");
            target.removeClass("border border-danger");
        }
    }
});

// Function to check the form validation during submission
function script_upload_submittionTimeValidation(form) {
    var otherResults = true;
    var generalResults = true;

    // Form Values
    const formValues = [
        "genre",
        "pages",
        "mpaa_rating",
        "budget",
        "timeline",
        "where",
        "title",
        "synopsis",
        "tagline",
        "logline",
        "treatment",
        "script",
    ];
    // Loop to check the fields
    formValues.forEach((elem) => {
        if (elem == "treatment" || elem == "script") {
            if (form.get(elem).name == "") {
                otherResults = false;
            }
        } else {
            if (form.get(elem) == "") {
                otherResults = false;
            }
        }
    });

    var allErrorFields = $(".text-danger");
    for (let i = 0; i < allErrorFields.length; i++) {
        if (allErrorFields[i].innerText != "") {
            generalResults = false;
        }
    }

    if (otherResults == false || generalResults == false) {
        return false;
    } else {
        return true;
    }
}

$("form#upload_script_form").on("submit", (e) => {
    e.preventDefault();

    $(".loader-parent").removeClass("d-none");
    var form = new FormData(e.currentTarget);
    form.append("upload", e.originalEvent.submitter.getAttribute("name"));
    // Form Validation during Submission
    const result = script_upload_submittionTimeValidation(form);

    if (result) {
        const page_url = $("#upload_script_form").attr("action");

        const promise = new Promise((resolve, reject) => {
            if (form.get("upload") == "review_upload") {
                $(".loader-parent").addClass("d-none");
                $("div#screenwriter_review_confirmation").modal("show");
                $("div#screenwriter_review_confirmation button.yes").on(
                    "click",
                    () => {
                        $(".loader-parent").removeClass("d-none");
                        resolve();
                    }
                );
            } else {
                $(".loader-parent").removeClass("d-none");
                resolve();
            }
        });

        promise.then(() => {
            // Sending to controller for validation
            $.ajax({
                async: false,
                type: "post",
                url: page_url,
                data: form,
                enctype: "multipart/form-data",
                contentType: false,
                cache: false,
                processData: false,
                success: function (response) {
                    $(".loader-parent").addClass("d-none");
                    $("#screenwriter_script_to_create").modal("hide");
                    if (form.get("upload") == "review_upload") {
                        $("#screenwriter_review_submit_message").modal("show");
                    } else {
                        location.href = location.href;
                    }
                },
                error: function (error) {
                    var errorResponse = JSON.parse(error.responseText).errors;
                    console.log(errorResponse, error);
                    if (errorResponse.genre != undefined) {
                        $(".genre_error").text(errorResponse.genre[0]);
                        $("#genre").addClass("border border-danger");
                    } else {
                        $(".genre_error").text("");
                        $("#genre").removeClass("border border-danger");
                    }
                    if (errorResponse.pages != undefined) {
                        $(".pages_error").text(errorResponse.pages[0]);
                        $("#pages").addClass("border border-danger");
                    } else {
                        $(".pages_error").text("");
                        $("#pages").removeClass("border border-danger");
                    }
                    if (errorResponse.mpaa_rating != undefined) {
                        $(".mpaa_rating_error").text(
                            errorResponse.mpaa_rating[0]
                        );
                        $("#mpaa_rating").addClass("border border-danger");
                    } else {
                        $(".mpaa_rating_error").text("");
                        $("#mpaa_rating").removeClass("border border-danger");
                    }
                    if (errorResponse.budget != undefined) {
                        $(".budget_error").text(errorResponse.budget[0]);
                        $("#budget").addClass("border border-danger");
                    } else {
                        $(".budget_error").text("");
                        $("#budget").removeClass("border border-danger");
                    }
                    if (errorResponse.timeline != undefined) {
                        $(".timeline_error").text(errorResponse.timeline[0]);
                        $("#timeline").addClass("border border-danger");
                    } else {
                        $(".timeline_error").text("");
                        $("#timeline").removeClass("border border-danger");
                    }
                    if (errorResponse.where != undefined) {
                        $(".where_error").text(errorResponse.where[0]);
                        $("#where").addClass("border border-danger");
                    } else {
                        $(".where_error").text("");
                        $("#where").removeClass("border border-danger");
                    }
                    if (errorResponse.title != undefined) {
                        $(".title_error").text(errorResponse.title[0]);
                        $("#title").addClass("border border-danger");
                    } else {
                        $(".title_error").text("");
                        $("#title").removeClass("border border-danger");
                    }
                    if (errorResponse.synopsis != undefined) {
                        $(".synopsis_error").text(errorResponse.synopsis[0]);
                        $("#synopsis").addClass("border border-danger");
                    } else {
                        $(".synopsis_error").text("");
                        $("#synopsis").removeClass("border border-danger");
                    }
                    if (errorResponse.tagline != undefined) {
                        $(".tagline_error").text(errorResponse.tagline[0]);
                        $("#tagline").addClass("border border-danger");
                    } else {
                        $(".tagline_error").text("");
                        $("#tagline").removeClass("border border-danger");
                    }
                    if (errorResponse.logline != undefined) {
                        $(".logline_error").text(errorResponse.logline[0]);
                        $("#logline").addClass("border border-danger");
                    } else {
                        $(".logline_error").text("");
                        $("#logline").removeClass("border border-danger");
                    }
                    if (errorResponse.treatment != undefined) {
                        $(".treatment_error").text(errorResponse.treatment[0]);
                        $("#treatment").addClass("border border-danger");
                    } else {
                        $(".treatment_error").text("");
                        $("#treatment").removeClass("border border-danger");
                    }
                    if (errorResponse.script != undefined) {
                        $(".script_error").text(errorResponse.script[0]);
                        $("#script").addClass("border border-danger");
                    } else {
                        $(".script_error").text("");
                        $("#script").removeClass("border border-danger");
                    }
                    if (
                        errorResponse.genre != undefined &&
                        errorResponse.pages != undefined &&
                        errorResponse.mpaa_rating != undefined &&
                        errorResponse.budget != undefined &&
                        errorResponse.timeline != undefined &&
                        errorResponse.where != undefined &&
                        errorResponse.title != undefined &&
                        errorResponse.synopsis != undefined &&
                        errorResponse.tagline != undefined &&
                        errorResponse.logline != undefined &&
                        errorResponse.treatment != undefined &&
                        errorResponse.script != undefined
                    ) {
                        $("div#upload_script_form .auth_failed").removeClass(
                            "d-none"
                        );
                        $("div#upload_script_form .auth_failed").text(
                            errorResponse
                        );
                        $("div#screenwriter_script_to_create").animate(
                            {
                                scrollTop:
                                    $(
                                        "div#screenwriter_script_to_create .auth_failed"
                                    ).offset().top - 10,
                            },
                            400
                        );
                    }
                    $(".loader-parent").addClass("d-none");
                },
            });
        });
    } else {
        var allErrorFields = $(".text-danger");
        var ifTextAvailable = false;
        $(".loader-parent").addClass("d-none");
        for (let i = 0; i < allErrorFields.length; i++) {
            if (allErrorFields[i].innerText != "") {
                $("div#screenwriter_script_to_create .auth_failed").addClass(
                    "d-none"
                );
                $("div#screenwriter_script_to_create .auth_failed").text("");
                $("div#screenwriter_script_to_create").animate(
                    {
                        scrollTop:
                            $(".text-danger:eq(" + i + ")").offset().top - 100,
                    },
                    400
                );
                ifTextAvailable = true;
                break;
            }
        }

        if (!ifTextAvailable) {
            $("div#screenwriter_script_to_create .auth_failed").removeClass(
                "d-none"
            );
            $("div#screenwriter_script_to_create .auth_failed").text(
                "Enter Full Details"
            );
            $("div#screenwriter_script_to_create").animate(
                {
                    scrollTop:
                        $(
                            "div#screenwriter_script_to_create .auth_failed"
                        ).offset().top - 10,
                },
                400
            );
        }
    }
});

// Draft Script Section ( Save Script)

// Key Up Event for Frontend Validation in Script Upload Fields
$('form#screenwriter_draft_script_details_form input[type="text"]').on(
    "keyup",
    (e) => {
        const targetField = $(e.currentTarget);

        // For Adjusting message according to Field
        const targetFieldName = targetField.attr("name");
        var requireMessage = "";
        switch (targetFieldName) {
            case "title":
                requireMessage = "The Script Title is Required";
                break;
            case "synopsis":
                requireMessage = "The Synopsis is Required";
                break;
            case "tagline":
                requireMessage = "The Tagline is Required";
                break;
            case "logline":
                requireMessage = "The Logline is Required";
                break;
        }

        var fieldValue = targetField.val();
        const errorField = targetField.siblings("div.text-danger");

        // Required Message
        if (fieldValue == "") {
            errorField.text(requireMessage);
            targetField.addClass("border border-danger");
        } else {
            errorField.text("");
            targetField.removeClass("border border-danger");
        }
    }
);

// Form Validation for Select Tag
$("form#screenwriter_draft_script_details_form select").on("change", (e) => {
    const target = $(e.currentTarget);

    // For Adjusting message according to Field
    const targetFieldName = target.attr("name");
    var requireMessage = "";
    switch (targetFieldName) {
        case "genre":
            requireMessage = "The Genre is Required";
            break;
        case "pages":
            requireMessage = "The Pages is Required";
            break;
        case "mpaa_rating":
            requireMessage = "The MPAA Rating is Required";
            break;
        case "budget":
            requireMessage = "The Budget is Required";
            break;
        case "timeline":
            requireMessage = "The Timeline is Required";
            break;
        case "where":
            requireMessage = "The Region is Required";
            break;
    }

    var fieldValue = target.val();
    const errorCheckfield = target.next("div.text-danger");

    if (fieldValue == null) {
        errorCheckfield.text(requireMessage);
        target.addClass("border border-danger");
    } else {
        errorCheckfield.text("");
        target.removeClass("border border-danger");
    }
});

$('form#screenwriter_draft_script_details_form input[type="file"]').on(
    "change",
    (e) => {
        const target = $(e.currentTarget);
        target.attr("value", "");

        // For Adjusting message according to Field
        const targetFieldName = target.attr("name");
        var requireMessage = "";
        switch (targetFieldName) {
            case "treatment":
                requireMessage = "The Treatment is Required";
                break;
            case "script":
                requireMessage = "The Script is Required";
                break;
        }

        var fieldValue = target.val();
        const errorCheckfield = target.parents("p").next("div.text-danger");

        if (fieldValue == "") {
            errorCheckfield.text(requireMessage);
            target.addClass("border border-danger");
        } else {
            errorCheckfield.text("");
            target.removeClass("border border-danger");
        }

        if (targetFieldName == "treatment" && errorCheckfield.text() == "") {
            const filetype = target.prop("files")[0].type;
            const filesize = target.prop("files")[0].size / 1024;
            if (filetype != "application/pdf") {
                errorCheckfield.text("Only Pdf are allowed");
                target.addClass("border border-danger");
            } else if (filesize > 1024) {
                errorCheckfield.text("File Size should be less than 1Mb");
                target.addClass("border border-danger");
            } else {
                errorCheckfield.text("");
                target.removeClass("border border-danger");
            }
        }

        if (targetFieldName == "script" && errorCheckfield.text() == "") {
            const filetype = target.prop("files")[0].type;
            const filesize = target.prop("files")[0].size / 1024;
            if (filetype != "application/pdf") {
                errorCheckfield.text("Only Pdf are allowed");
                target.addClass("border border-danger");
            } else if (filesize > 1024) {
                errorCheckfield.text("File Size should be less than 1Mb");
                target.addClass("border border-danger");
            } else {
                errorCheckfield.text("");
                target.removeClass("border border-danger");
            }
        }
    }
);

// Function to check the form validation during submission
function draft_or_denied_script_upload_submittionTimeValidation(form) {
    var otherResults = true;
    var generalResults = true;

    // Form Values
    const formValues = [
        "genre",
        "pages",
        "mpaa_rating",
        "budget",
        "timeline",
        "where",
        "title",
        "synopsis",
        "tagline",
        "logline",
        "treatment",
        "script",
    ];

    // Loop to check the fields
    formValues.forEach((elem) => {
        if (elem == "treatment" || elem == "script") {
            if (
                form.get(elem).name == "" &&
                $("#" + elem + "").attr("value") == ""
            ) {
                otherResults = false;
            }
        } else {
            if (form.get(elem) == "") {
                otherResults = false;
            }
        }
    });

    var allErrorFields = $(".text-danger");
    for (let i = 0; i < allErrorFields.length; i++) {
        if (allErrorFields[i].innerText != "") {
            generalResults = false;
        }
    }

    if (otherResults == false || generalResults == false) {
        return false;
    } else {
        return true;
    }
}

$("form#screenwriter_draft_script_details_form ").on("submit", (e) => {
    e.preventDefault();

    $(".loader-parent").removeClass("d-none");
    var form = new FormData(e.currentTarget);
    // Form Validation during Submission
    const result = draft_or_denied_script_upload_submittionTimeValidation(form);

    if (result) {
        // Submitting the Form
        $(e.currentTarget).off("submit");
        $(e.currentTarget).trigger("submit");
    } else {
        var allErrorFields = $(".text-danger");
        var ifTextAvailable = false;
        $(".loader-parent").addClass("d-none");
        for (let i = 0; i < allErrorFields.length; i++) {
            if (allErrorFields[i].innerText != "") {
                $(
                    "section.screenwriter_draft_script_details .auth_failed"
                ).addClass("d-none");
                $(
                    "section.screenwriter_draft_script_details .auth_failed"
                ).text("");
                $("html, body").animate(
                    {
                        scrollTop:
                            $(".text-danger:eq(" + i + ")").offset().top - 100,
                    },
                    400
                );
                ifTextAvailable = true;
                break;
            }
        }

        if (!ifTextAvailable) {
            $(
                "section.screenwriter_draft_script_details .auth_failed"
            ).removeClass("d-none");
            $("section.screenwriter_draft_script_details .auth_failed").text(
                "Enter Full Details"
            );
            $("html, body").animate(
                {
                    scrollTop:
                        $(
                            "section.screenwriter_draft_script_details .auth_failed"
                        ).offset().top - 10,
                },
                400
            );
        }
    }
});

// Draft Script Section ( Upload Script)

$("#screenwriter_draft_script_details_form_status_update").on("submit", (e) => {
    e.preventDefault();

    let promise = new Promise((resolve, reject) => {
        $("div#screenwriter_script_esignature_to_submit").modal("show");
        $("div#screenwriter_script_esignature_to_submit button").on(
            "click",
            (e) => {
                if ($(e.currentTarget).hasClass("send")) {
                    $(".loader-parent").removeClass("d-none");
                    resolve();
                }
            }
        );
    });

    promise.then(() => {
        $("#screenwriter_draft_script_details_form_status_update").off(
            "submit"
        );
        $("#screenwriter_draft_script_details_form_status_update").trigger(
            "submit"
        );
    });
});

// Draft Script Section (Also in All scripts page) ( Delete Script)
$("#screenwriter_draft_script_delete").on("submit", (e) => {
    e.preventDefault();

    let promise = new Promise((resolve, reject) => {
        $("div#screenwriter_script_delete").modal("show");
        $("div#screenwriter_script_delete button").on("click", (e) => {
            if ($(e.currentTarget).hasClass("yes")) {
                $(".loader-parent").removeClass("d-none");
                resolve();
            }
        });
    });

    promise.then(() => {
        $("#screenwriter_draft_script_delete").off('submit');
        $("#screenwriter_draft_script_delete").trigger('submit');
    })
})

// Many Chat Script
var script = document.createElement('script');
script.type = 'text/javascript';
script.src = '//widget.manychat.com/111296231362545.js';
script.defer = "defer";
document.head.appendChild(script);

script.src = 'https://mccdn.me/assets/js/widget.js';
document.head.appendChild(script);

/* Start Screenwriter Tv Form */
$('.increase').click(function () {
    var getValue = $(this).parent().find("input");
    var value = parseInt(getValue.val(), 10);
    value = isNaN(value) ? 0 : value;
    value++;
    getValue.val(value);
})
$('.decrease').click(function () {
    var getValue = $(this).parent().find("input");
    var value = parseInt(getValue.val(), 10);
    value = isNaN(value) ? 0 : value;
    value < 1 ? value = 1 : '';
    value--;
    getValue.val(value);
})

document.querySelectorAll(".drop-zone__input").forEach((inputElement) => {
    const dropZoneElement = inputElement.closest(".drop-zone");

    dropZoneElement.addEventListener("click", (e) => {
        inputElement.click();
    });

    inputElement.addEventListener("change", (e) => {
        if (inputElement.files.length) {
            updateThumbnail(dropZoneElement, inputElement.files[0]);
        }
    });

    dropZoneElement.addEventListener("dragover", (e) => {
        e.preventDefault();
        dropZoneElement.classList.add("drop-zone--over");
    });

    ["dragleave", "dragend"].forEach((type) => {
        dropZoneElement.addEventListener(type, (e) => {
            dropZoneElement.classList.remove("drop-zone--over");
        });
    });

    dropZoneElement.addEventListener("drop", (e) => {
        e.preventDefault();

        if (e.dataTransfer.files.length) {
            inputElement.files = e.dataTransfer.files;
            updateThumbnail(dropZoneElement, e.dataTransfer.files[0]);
        }

        dropZoneElement.classList.remove("drop-zone--over");
    });
});

/**
* Updates the thumbnail on a drop zone element.
*
* @param {HTMLElement} dropZoneElement
* @param {File} file
*/
function updateThumbnail(dropZoneElement, file) {
    let thumbnailElement = dropZoneElement.querySelector(".drop-zone__thumb");

    // First time - remove the prompt
    if (dropZoneElement.querySelector(".drop-zone__prompt")) {
        dropZoneElement.querySelector(".drop-zone__prompt").remove();
    }

    // First time - there is no thumbnail element, so lets create it
    if (!thumbnailElement) {
        thumbnailElement = document.createElement("div");
        thumbnailElement.classList.add("drop-zone__thumb");
        dropZoneElement.appendChild(thumbnailElement);
    }

    thumbnailElement.dataset.label = file.name;

    // Show thumbnail for image files
    if (file.type.startsWith("pdf/")) {
        const reader = new FileReader();

        reader.readAsDataURL(file);
        reader.onload = () => {
            thumbnailElement.style.backgroundImage = `url('${reader.result}')`;
        };
    } else {
        thumbnailElement.style.backgroundImage = null;
    }
}


/*jQuery.validator.setDefaults({
  debug: true,
  success: "valid"
});*/




$("#submitbtn").click(function () {
    showAnyerror();



});
var lengthRadioAge, lengthRadioConsider, lengthRadioskill_discipline;
function checkvalidation() {
    var form = $("#myform");

    if (form.valid() && lengthRadioAge > 0 && lengthRadioConsider > 0 && lengthRadioConsider > 0 && lengthRadioskill_discipline > 0) {
        return true;
    }
    return false;
}

function adderror(msg) {
    $("#diverror").append("<li>" + msg + "</li>");
    document.getElementById('diverror').style.display = 'block';
}

function showAnyerror() {
    document.getElementById('diverror').style.display = 'none';
    $("#diverror").html("");
    lengthRadioAge = $('input[name=age_group]:checked').length;
    lengthRadioConsider = $('input[name=consider_type]:checked').length;
    // var lengthRadiocommitted=$('input[name=committed]:checked').length;
    lengthRadioskill_discipline = $('input[name=skill_discipline]:checked').length;
    /*if(lengthRadiocommitted==0){
      adderror("Please select a commitment");
    }*/


    if (lengthRadioAge == 0) {
        adderror("Please select an age");

    }

    if (lengthRadioConsider == 0) {
        adderror("Please select a consider type");
    }

    if (lengthRadioskill_discipline == 0) {
        adderror("Please select a discipline");
    }
}
const meesage = "Required input";


$(window).on('shown.bs.modal', function () {
    $("#inputLastnamef", "#inputFirstnamef", "#inputemailf", "#industry_admire", "#lng_term_plans", "#interested_in", "#other", "#except_learn", "awards_achievements", "#awards_achievements", "#scripted", "#optioned_before", "#checkterms").rules("add", {
        required: true,

        messages: {
            required: meesage

        }
    });

    wordsLength("industry_admire");
    wordsLength("optioned_before");

    wordsLength("except_learn");
    wordsLength("awards_achievements");
    wordsLength("interested_in", 1000);



});
function wordsLength(field, maxWords = 100) {


    $(document).on('keypress', 'textarea[name=' + field + ']', function (e) {
        var $this, wordcount;

        $this = $(this);
        wordcount = $this.val().split(/\b[\s,\.-:;]*/).length;
        if (wordcount > maxWords) {
            //  $('.writing_erorr').text("You've reached the maximum allowed words 1000.");
            return false;
        }
    });

    $('textarea[name=' + field + ']').bind('paste', function (e) {
        // access the clipboard using the api
        var pastedData = e.originalEvent.clipboardData.getData('text');
        //alert(pastedData);
        var $this, wordcount;

        $this = $(this);
        wordcount = $this.val().split(/\b[\s,\.-:;]*/).length;
        if (wordcount > maxWords) {
            // $('.writing_erorr').text("You've reached the maximum allowed words 1000.");
            return false;
        } else {
            // return $('#writing span').text('Total words: ' + wordcount);
        }
    });
}

/*End Screenwriter Form */

// Screenwriter First Experience Dashboard Model 2 Script

$('#screenwriter_first_dashboard_experience_2 button').on('click', (e) => {
    let current_modal = $('#screenwriter_first_dashboard_experience_2');
    let number = current_modal.find('.number');
    let current_number = number.text();
    let title = current_modal.find('.title');
    let description = current_modal.find('.description');
    let tabs = current_modal.find('.tabs_bottom');
    let active_tab = tabs.find('span.active');
    let button = $(e.currentTarget);
    let submit_button = current_modal.find('button[type=submit]');

    switch (current_number) {
        case "1":
            number.text('2');
            title.text('Upload your Script in Draft Mode');
            description.text('Got finishing touches to make? Simply upload your script in draft mode. Submit your final script whenever you are ready.');
            active_tab.next().addClass('active');
            active_tab.removeClass('active');
            break;
        case "2":
            number.text('3');
            title.text('Get qualified to submit');
            description.text('Subscribe to WO\'s quarterly or annual Plans. Start submitting as many scripts as you want. Put your work in front of ready to-buy-producers.');
            active_tab.next().addClass('active');
            active_tab.removeClass('active');
            break;
        case "3":
            number.text('4');
            title.text('Sign the Contract');
            description.text('Stay protected. Sign a binding contract that keeps you, your investment, and film safe.');
            active_tab.next().addClass('active');
            active_tab.removeClass('active');
            button.prop('hidden', true);
            submit_button.attr('hidden', false);
            break;
    }
});

// Screenwriter First Experience Dashboard Model 2 tabs click functionality

$('#screenwriter_first_dashboard_experience_2 .tabs_bottom span').on('click', (e) => {
    let current_modal = $('#screenwriter_first_dashboard_experience_2');
    let number = current_modal.find('.number');
    let title = current_modal.find('.title');
    let description = current_modal.find('.description');
    let button = current_modal.find('button[type=button]');
    let submit_button = current_modal.find('button[type=submit]');
    let click_tab = $(e.currentTarget);
    let active_tab = current_modal.find('.tabs_bottom span.active');
    let tab_number = click_tab.attr('id');

    switch (tab_number) {
        case "tab-1":
            number.text('1');
            title.text('Connect to the WoAccelerator/Dwolla Wallet');
            description.text('Receive payments seamlessly and on time. Connect your WoAccelerator account to Dwolla wallet, or create a new one on your wallet tab here.');
            active_tab.removeClass('active');
            click_tab.addClass('active');
            button.prop('hidden', false);
            submit_button.attr('hidden', true);
            break;
        case "tab-2":
            number.text('2');
            title.text('Upload your Script in Draft Mode');
            description.text('Got finishing touches to make? Simply upload your script in draft mode. Submit your final script whenever you are ready.');
            active_tab.removeClass('active');
            click_tab.addClass('active');
            button.prop('hidden', false);
            submit_button.attr('hidden', true);
            break;
        case "tab-3":
            number.text('3');
            title.text('Get qualified to submit');
            description.text('Subscribe to WO\'s quarterly or annual Plans. Start submitting as many scripts as you want. Put your work in front of ready to-buy-producers.');
            active_tab.removeClass('active');
            click_tab.addClass('active');
            button.prop('hidden', false);
            submit_button.attr('hidden', true);
            break;
        case "tab-4":
            number.text('4');
            title.text('Sign the Contract');
            description.text('Stay protected. Sign a binding contract that keeps you, your investment, and film safe.');
            active_tab.removeClass('active');
            click_tab.addClass('active');
            button.prop('hidden', true);
            submit_button.attr('hidden', false);
            break;
    }
});

// Dwolla Wallet/Balance

$('section.screenwriter_wallet button.get_balance_btn').on('click', (e) => {
    const bank_details_modal = $('#screenwriter_getmoney');
    const password_modal = $('#screenwriter_confirmmoney');
    if (bank_details_modal.length == 1) {
        bank_details_modal.modal('show');
    } else if (password_modal.length == 1) {
        password_modal.modal('show');
    }
});

// Dwolla Wallet/Balance Modal For Bank Add (Jquery Validations)

$("#screenwriter_bank_details_form").validate({
    rules: {
        screenwriter_account_number: "required",
        screenwriter_routing_number: "required"
    },
    messages: {
        screenwriter_account_number: "Account Number is Required",
        screenwriter_routing_number: "Routing Number is Required"
    },
    submitHandler: function (form) {
        const currentForm = $('#screenwriter_bank_details_form');
        $('.loader-parent').removeClass('d-none');
        var form = new FormData(form);
        const action = currentForm.attr('action');
        const token = form.get('_token');
        const screenwriter_account_number = currentForm.find('input#screenwriter_account_number').val();
        const screenwriter_routing_number = currentForm.find('input#screenwriter_routing_number').val();
        $.ajax({
            async: false,
            type: "post",
            url: action,
            data: {
                "_token": token,
                "screenwriter_routing_number": screenwriter_routing_number,
                "screenwriter_account_number": screenwriter_account_number
            },
            success: function (response) {
                $('.loader-parent').addClass('d-none');
                $('#screenwriter_getmoney').modal('hide');
                $('#screenwriter_bank_details_form')[0].reset();
                $('#screenwriter_done_bank').modal('show');
                if(response == 'failure'){
                    $('#screenwriter_done_bank .mark').empty();
                    $('#screenwriter_done_bank .mark').html('<i class="fa-solid fa-xmark"></i>');
                    $('#screenwriter_done_bank h4').text('One Bank is Already Added');
                    $('#screenwriter_done_bank p').text('You cannot add more than one Bank');
                }
            },
            error: function (error) {
                $('.loader-parent').addClass('d-none');
                var errorResponse = JSON.parse(error.responseText).errors;
                if (errorResponse.screenwriter_account_number != undefined) {
                    $('.screenwriter_account_number_error').text(errorResponse.screenwriter_account_number[0]);
                }
                if (errorResponse.screenwriter_routing_number != undefined) {
                    $('.screenwriter_routing_number_error').text(errorResponse.screenwriter_routing_number[0]);
                }
                if(!(errorResponse.screenwriter_account_number != undefined  && errorResponse.screenwriter_account_number != undefined)){
                    $('.screenwriter_getmoney .auth_failed').text(errorResponse);
                }
            }
        });
    }
});

// Dwolla Wallet/Balance Modal For Bank Add (Ajax Call)
// $('form#screenwriter_bank_details_form').on('submit', (e) => {
//     e.preventDefault();

// });

