@extends('../admin/admin_layout.app')
@section('content')
    <div class="page_right">

        <!-- Beardcrumbs -->
        <div class="breadcrumbs">
            <a href="{{ route('management.index') }}">Dashboard</a><span>/{{ ucfirst(Route::current()->getName()) }}</span>
        </div>

        <section class="application_details">
            <div class="row mt-5 w-100 mx-md-auto">
                @if ($application->user->role == 'producer')
                    <div class="col-md-2 text-center pt-md-4 pt-0 px-0 px-md-auto">
                        <img src="https://picsum.photos/75/75" alt="Profile Picture" class="image-fluid rounded-circle">
                        <h5 class="mb-0 mt-2">{{ $application->user->first_name . ' ' . $application->user->last_name }}
                        </h5>
                        <p class="mb-0">Producer</p>
                        <p class="mt-3">
                            <a href="mailto:{{ $application->user->email }}">{{ $application->user->email }}</a>
                        </p>
                        <div class="row w-100 mx-0 mt-5">
                            <div class="col-12 d-flex flex-column align-items-center">
                                <button type="button" class="accept border-0 mb-4" data-bs-toggle="modal"
                                    data-bs-target="#accept">Accept</button>
                                <button type="button" class="schedule border-0 mb-4">Schedule Calendly</button>
                                <button type="button" class="reject border-0 mb-4" data-bs-toggle="modal"
                                    data-bs-target="#reject">Reject</button>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-10 ps-0 ps-md-4 mt-3 mt-md-0 px-0 px-md-auto">
                        <div class="row mx-0 w-100 mb-3">
                            <div class="col-12">
                                <h5 class="text-underline">Basic info</h5>
                            </div>
                        </div>
                        <div class="row mx-0 w-100 mb-4">
                            <div class="col-xl-3 col-md-6 ">
                                <div class="row mx-0 w-100 py-3 bg-light">
                                    <div class="col-6">
                                        <span>Pronoun:</span>
                                    </div>
                                    <div class="col-6">
                                        <span>{{ $application->pronoun }}</span>
                                    </div>
                                </div>
                            </div>
                            {{-- <div class="col-xl-3 col-md-6 mt-3 mt-md-0">
                                <div class="row mx-0 w-100 py-3 bg-light">
                                    <div class="col-6">
                                        <span>Age Ranges:</span>
                                    </div>
                                    <div class="col-6">
                                        <span>18-25</span>
                                    </div>
                                </div>
                            </div> --}}
                            <div class="col-xl-6 col-md-6 mt-3 mt-xl-0">
                                <div class="row mx-0 w-100 py-3 bg-light">
                                    <div class="col-6">
                                        <span>What country are you from?:</span>
                                    </div>
                                    <div class="col-6">
                                        <span>{{ $application->country }}</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row mx-0 w-100 mb-5">
                            <div class="col-xl-3 col-lg-4 col-md-6">
                                <div class="row mx-0 w-100 py-3 bg-light">
                                    <div class="col-6">
                                        <span>Experienced:</span>
                                    </div>
                                    <div class="col-6">
                                        <span>{{ $application->experinced ? 'Yes' : 'No'  }}</span>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-3 col-lg-4 col-md-6 mt-3 mt-md-0">
                                <div class="row mx-0 w-100 py-3 bg-light">
                                    <div class="col-6">
                                        <span>Imdb Link:</span>
                                    </div>
                                    <div class="col-6">
                                        <span><a href="">{{ $application->imdb_link }}</a></span>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4 col-lg-4 col-md-6 mt-3 mt-lg-0">
                                <div class="row mx-0 w-100 py-3 bg-light">
                                    <div class="col-6">
                                        <span>Association:</span>
                                    </div>
                                    <div class="col-6">
                                        <span>{{ $application->trade_associations }}</span>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-2 col-lg-4 col-md-6 mt-3 mt-xl-0">
                                <div class="row mx-0 w-100 py-3 bg-light">
                                    <div class="col-6">
                                        <span class="me-3">Meet:</span>
                                    </div>
                                    <div class="col-6">
                                        <span class="me-3">{{ $application->meeting_preference }}</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row mx-0">
                            <div class="col-12">
                                <div class="row mx-0 w-100 mb-3">
                                    <div class="col-12">
                                        <h5>More</h5>
                                    </div>
                                </div>
                                <div class="row mx-0 w-100">
                                    <div class="col-12">
                                        <ul class="ps-3">
                                            <li class="mt-0">Anything else you would like us to know? (answer)</li>
                                            <li></li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                @elseif($application->user->role == 'screenwriter')
                    <div class="col-md-2 text-center pt-md-4 pt-0 px-0 px-md-auto">
                        <img src="https://picsum.photos/75/75" alt="Profile Picture" class="image-fluid rounded-circle">
                        <h5 class="mb-0 mt-2">{{ $application->user->email }}</h5>
                        <p class="mb-0">{{ $application->user->role }}</p>
                        <p class="mt-3">
                            <a href="mailto:{{ $application->user->email }}">{{ $application->user->email }}</a>
                        </p>
                        <div class="row w-100 mx-0 mt-5">
                            <div class="col-12 d-flex flex-column align-items-center">
                                <button type="button" class="accept border-0 mb-4">Accept</button>
                                <button type="button" class="schedule border-0 mb-4">Schedule Calendly</button>
                                <button type="button" class="reject border-0 mb-4">Reject</button>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-10 ps-0 ps-md-4 mt-3 mt-md-0 px-0 px-md-auto">
                        <div class="row mx-0 w-100 mb-3">
                            <div class="col-12">
                                <h5>Basic info</h5>
                            </div>
                        </div>
                        <div class="row mx-0 w-100 mb-4">
                            <div class="col-xl-3 col-md-6 ">
                                <div class="row mx-0 w-100 py-3 bg-light">
                                    <div class="col-6">
                                        <span>Pronoun:</span>
                                    </div>
                                    <div class="col-6">
                                        <span>Lorem Ipsum</span>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-3 col-md-6 mt-3 mt-md-0">
                                <div class="row mx-0 w-100 py-3 bg-light">
                                    <div class="col-6">
                                        <span>Age Ranges:</span>
                                    </div>
                                    <div class="col-6">
                                        <span>18-25</span>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-6 col-md-6 mt-3 mt-xl-0">
                                <div class="row mx-0 w-100 py-3 bg-light">
                                    <div class="col-6">
                                        <span>What country are you from?:</span>
                                    </div>
                                    <div class="col-6">
                                        <span>{{ $application->user->country }}</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row mx-0 w-100 mb-5">
                            <div class="col-xl-3 col-lg-4 col-md-6">
                                <div class="row mx-0 w-100 py-3 bg-light">
                                    <div class="col-6">
                                        <span>Discipline:</span>
                                    </div>
                                    <div class="col-6">
                                        <span>Film Writing</span>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-3 col-lg-4 col-md-6 mt-3 mt-md-0">
                                <div class="row mx-0 w-100 py-3 bg-light">
                                    <div class="col-6">
                                        <span>Type:</span>
                                    </div>
                                    <div class="col-6">
                                        <span><a href="">Drama</a></span>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-3 col-lg-4 col-md-6 mt-3 mt-lg-0">
                                <div class="row mx-0 w-100 py-3 bg-light">
                                    <div class="col-6">
                                        <span class="me-3">Commitment:</span>
                                    </div>
                                    <div class="col-6">
                                        <span class="me-3">Yes</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row mx-0">
                            <div class="col-12">
                                <div class="row mx-0 w-100 mb-3">
                                    <div class="col-12">
                                        <h5>Screenwriting Background</h5>
                                    </div>
                                </div>
                                <div class="row mx-0 w-100">
                                    <div class="col-12">
                                        <ul class="ps-3">
                                            <li class="mt-0">Please describe to us a time when your script was optioned.
                                                If you have never been optioned (answer)</li>
                                            <li></li>
                                            <li>What interests you most about our accelerator program (answer)</li>
                                            <li></li>
                                            <li>How many scripts have you completed in the past? (answer)</li>
                                            <li></li>
                                            <li>Please provide the breif summary of a script that you would be interested in
                                                working on in the program (answer)</li>
                                            <li></li>
                                            <li>Who is someone in the industry you admire and why? (answer)</li>
                                            <li></li>
                                            <li>What are your long terms plan as it relates to screenwriting? (i.e.
                                                finishing college, going to grad school) (answer)</li>
                                            <li></li>
                                            <li>Anyone else you would like us to know? (answer)</li>
                                            <li></li>
                                            <li>What are you most hoping to learn from this program? (100 words or less)
                                                (answer)</li>
                                            <li></li>
                                            <li>Please list any producer, screenwriter, or other entertainment industry
                                                related awards, or scholarship you have recieved (owner)</li>
                                            <li></li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row mx-0">
                            <div class="col-12">
                                <div class="row mx-0 w-100 mb-3">
                                    <div class="col-12">
                                        <h5>References</h5>
                                    </div>
                                </div>
                                <div class="row mx-0 w-100 mb-4">
                                    <div class="col-xl-4 col-md-6 ">
                                        <div class="row mx-0 w-100 py-3 bg-light h-100">
                                            <div class="col-6">
                                                <span>Fullname:</span>
                                            </div>
                                            <div class="col-6">
                                                <span>Lorem Ipsum</span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xl-4 col-md-6 mt-3 mt-md-0">
                                        <div class="row mx-0 w-100 py-3 bg-light h-100">
                                            <div class="col-6">
                                                <span>Phone Number:</span>
                                            </div>
                                            <div class="col-6">
                                                <span>12345678</span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xl-4 col-md-6 mt-3 mt-xl-0">
                                        <div class="row mx-0 w-100 py-3 bg-light h-100">
                                            <div class="col-6">
                                                <span>Email Address:</span>
                                            </div>
                                            <div class="col-6">
                                                <span class="text-break">LoremIpsum@gmail.com</span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                @endif
            </div>
        </section>

        <!-- Modal For Accept Button-->
        <div class="modal fade" id="accept" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
            aria-labelledby="acceptLabel" aria-hidden="true">
            <div class="modal-dialog m-0 top-50 start-50 translate-middle h-100 pt-5">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body text-center">
                        <span><i class="fa-solid fa-question"></i></span>
                        <p class="mt-3">Warning</p>
                        <p>Are you sure you want to Accept?</p>
                    </div>
                    <form action="{{ route('management.application.accept', ['id' => $application->id]) }}" method="post">
                        @csrf
                        @method('PUT')
                        <div class="modal-footer justify-content-around px-4">
                            <button type="button" data-bs-dismiss="modal">No</button>
                            <button type="submit">Yes</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>

        <!-- Modal For Reject Button-->
        <div class="modal fade" id="reject" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
            aria-labelledby="rejectLabel" aria-hidden="true">
            <div class="modal-dialog m-0 top-50 start-50 translate-middle h-100 pt-5">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body text-center">
                        <span><i class="fa-solid fa-question"></i></span>
                        <p class="mt-3">Warning</p>
                        <p>Are you sure you want to Reject?</p>
                    </div>
                    <form action="{{ route('management.application.reject', ['id' => $application->id]) }}" method="post">
                        @csrf
                        @method('PUT')
                        <div class="modal-footer justify-content-around px-4">
                            <button type="button" data-bs-dismiss="modal">No</button>
                            <button type="submit">Yes</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>

    </div>
@endsection
