@extends('../admin/admin_layout.app')

@section('content')
    <div class="page_right">

        <!-- Beardcrumbs -->
        <div class="breadcrumbs">
            <a href="{{ route('management.index') }}">Dashboard</a><span>/{{ ucfirst(Route::current()->getName()) }}</span>
        </div>

        <!-- Filter -->
        <section class="application mt-2">
            <div class="row w-100 filters mb-3">
                <div class="col-md-auto col-12 me-4">
                    <span>Applications</span>
                </div>
                <div class="col-md-2 col-sm-6 col-12 mt-sm-0 mt-2">
                    <select class="form-select" name="type" id="admin_application_type" aria-label="type">
                        <option selected disabled>Type</option>
                        <option value="all">All</option>
                        <option value="producer">Producer</option>
                        <option value="screenwriter">Screenwriter</option>
                    </select>
                </div>
                <div class="col-md-2 col-sm-6 col-12 mt-sm-0 mt-2">
                    <select class="form-select" name="status" id="admin_application_status" aria-label="status">
                        <option selected disabled>Status</option>
                        <option value="all">All</option>
                        <option value="submitted">Submitted</option>
                        <option value="inreview">In Review</option>
                        <option value="rejected">Rejected</option>
                        <option value="approved">Approved</option>
                    </select>
                </div>
                <div class="col-md-2 col-sm-6 col-12 mt-md-0 mt-2">
                    <select class="form-select" name="date" class="date" aria-label="date">
                        <option selected disabled>Date</option>
                    </select>
                </div>
                <div class="col-md-2 col-sm-6 col-12 mt-md-0 mt-2">
                    <div>
                        <input type="text" id="admin_applications_search" class="form-control" placeholder="Search"
                            aria-describedby="Search">
                        <i class="fa-solid fa-magnifying-glass"></i>
                    </div>
                </div>
            </div>

            <!-- Table -->
            <div class="row w-100">
                <div class="col-12">
                    <table class="table table-light">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Name</th>
                                <th>Application Type</th>
                                <th>Status</th>
                                <th>Submitted</th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($applications as $application)
                                <tr class="admin_application_screenwriter submitted_parent">
                                    <th>{{ $application->id }}</th>
                                    <td><a
                                            href="{{ route('management.application', ['id' => $application->id]) }}">{{ $application->user->first_name." ".$application->user->last_name}}
                                            </a></td>
                                    <td>{{ ucfirst($application->user->role)}}</td>
                                    <td><button class="{{ $application->status }}" disabled>{{ $application->status }}</button></td>
                                    <td>{{ $application->created_at }}</td>
                                    <td>
                                        <form action="{{ route('management.application.destroy', ['id' => $application->id]) }}" method="post">
                                            @csrf
                                            @method('DELETE')
                                            <button type="submit" style="background-color:transparent; border:none; box-shadow: none" >
                                                <span><i class="fa-solid fa-trash text-danger"></i></span>
                                            </button>
                                        </form>
                                    </td>
                                </tr>
                            @endforeach
                            </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </section>
    </div>
@endsection
