@extends('../admin/admin_layout.app')

@section('content')
    <div class="page_right">

        <!-- Beardcrumbs -->
        <div class="breadcrumbs">
            <a href="{{ route('management.index') }}">Dashboard</a><span>/{{ ucfirst(Route::current()->getName()) }}</span>
        </div>

    <!-- Filter -->
    <section class="script mt-2">
        <div class="row w-100 filters mb-3">
            <div class="col-md-auto col-12 me-4">
                <span>Scripts</span>
            </div>
            <div class="col-md-2 col-sm-6 col-12 mt-sm-0 mt-2">
                <select class="form-select" name="rating" id="admin_scripts_ratings_selector" aria-label="rating">
                    <option selected disabled>Rating</option>
                    <option value="all">All</option>
                    <option value="0-20">0-20</option>
                    <option value="21-26">21-26</option>
                    <option value="27-33">27-33</option>
                    <option value="34-36">34-36</option>
                </select>
            </div>
            <div class="col-md-2 col-sm-6 col-12 mt-sm-0 mt-2">
                <select class="form-select" name="status" id="admin_scripts_status_selector" aria-label="status">
                    <option selected disabled>Status</option>
                    <option value="all">All</option>
                    <option value="draft">Draft</option>
                    <option value="submitted">Submitted</option>
                    <option value="in_review">In Review</option>
                    <option value="rejected">Rejected</option>
                    <option value="ready">Ready</option>
                    <option value="in_marketplace">In Marketplace</option>
                    <option value="purchased">Purchased</option>
                </select>
            </div>
            <div class="col-md-2 col-sm-6 col-12 mt-md-0 mt-2">
                <select class="form-select" name="tags" id="admin_scripts_tags_selector" aria-label="tags">
                    <option selected disabled>Tags</option>
                    <option value="all">All</option>
                    <option value="marketplace_screenwriter">Marketplace Screenwriter</option>
                    <option value="program_screenwriter">Program Screenwriter</option>
                </select>
            </div>
            <div class="col-md-2 col-sm-6 col-12 mt-md-0 mt-2">
                <div>
                    <input type="text" id="admin_scripts_search" class="form-control" placeholder="Search" aria-describedby="Search">
                    <i class="fa-solid fa-magnifying-glass"></i>
                </div>
            </div>

            <!-- Table -->
            <div class="row w-100">
                <div class="col-12">
                    <table class="table table-light">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Script Name</th>
                                <th>Writer Name</th>
                                <th>Tags</th>
                                <th>Analyst Rating</th>
                                <th>Status</th>
                                <th></th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($scripts as $script)
                                <tr class="submitted_parent marketplace_screenwriter_parent rating_null">
                                    <th> {{ $script->id }}</th>
                                    <td> {{ $script->title }}</td>
                                    <td><a
                                            href="{{ route('management.scriptwriter',['id' => $script->user_id]) }}">{{ $script->author->fullname }}</a</td>
                                    <td>Marketplace {{ ucfirst($script->role)}}</td>
                                    <td class="rating_number">-</td>
                                    <td><button class="{{ $script->publish_status }}" disabled>{{ $script->publish_status }}</button></td>
                                    <td><span><a href="{{ route('management.script', ['id' => $script->id]) }}?type=marketplace_screenwriter">See
                                                Script</a></span></td>
                                    <td>
                                        <span><a href=""><i class="fa-solid fa-trash"></i></a></span>
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </section>
    </div>
@endsection
