@extends('../admin/admin_layout.app')

@section('content')
<div class="page_right">

    <!-- Beardcrumbs -->
    <div class="breadcrumbs">
        <a href="{{ route('management.index') }}">Dashboard</a><span>/{{ ucfirst(Route::current()->getName()) }}</span>
    </div>

    <!-- Filter -->
    <section class="scriptwriter mt-2">
        <div class="row w-100 filters mb-2">
            <div class="col-12 me-4">
                <span>{{ ucfirst(request()->query('name')) }} Scripts</span>
            </div>
        </div>
        <div class="row w-100 mb-3">
            <div class="col-md-auto col-12 mb-2 mb-sm-0 align-self-center">
                <h6 class="mb-0">
                    <span class="me-2">From:</span>
                    <span>{{ ucfirst(request()->query('name')) }}</span>
                </h6>
            </div>
            <div class="col-md-3 col-sm-6 col-12 mt-sm-0 mt-2">
                <select class="form-select" name="status" id="admin_script_user_status" aria-label="status">
                    <option selected disabled>Status</option>
                    <option value="all">All</option>
                    <option value="draft">Draft</option>
                    <option value="submitted">Submitted</option>
                    <option value="in_review">In Review</option>
                    <option value="rejected">Rejected</option>
                    <option value="ready">Ready</option>
                    <option value="in_marketplace">In Marketplace</option>
                    <option value="purchased">Purchased</option>
                </select>
            </div>
            <div class="col-md-3 col-sm-6 col-12 mt-sm-0 mt-2">
                <div>
                    <input type="text" id="admin_scriptwriter_search" class="form-control" placeholder="Search" aria-describedby="Search">
                    <i class="fa-solid fa-magnifying-glass"></i>
                </div>
            </div>
        </div>

        <!-- Table -->
        <div class="row w-100">
            <div class="col-md-9 col-12">
                <table class="table table-light">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>Script Name</th>
                            <th>Analyst Rating</th>
                            <th>Status</th>
                            <th></th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach($scripts as $script) <tr class="submitted_parent">
                            <th>{{ $script->id }}</th>
                            <td>{{ $script->title }}</td>
                            <td>{{ $script->analyst_ratings }}</td>
                            <td><button class="submitted" disabled>{{ $script->status }}</button></td>
                            <td><span><a href="{{ route('management.script', ['id' => $script->id]) }}">See Script</a></span></td>
                            <td>
                                <span><a href=""><i class="fa-solid fa-trash"></i></a></span>
                            </td>
                            </tr>
                            @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </section>
</div>


@endsection
