@extends('../admin/admin_layout.app')

@section('content')
<div class="page_right">

    <!-- Beardcrumbs -->
    <div class="breadcrumbs">
        <a href="{{ route('management.index') }}">Dashboard</a><span>/{{ ucfirst(Route::current()->getName()) }}</span>
    </div>

    <!-- Filter -->
    <section class="member_showmore mt-2">
        <div class="row w-100 filters mb-3">
            <div class="col-md-auto col-12 me-4">
                <span>{{ ucfirst($member->fullname) }}</span>
            </div>
            @if($member->role == 'analyst')
            <!-- Change this to Analyst has scripts Status like submitted, inreview and send scripts   -->
            <div class="col-lg-auto col-md-2 col-sm-6 col-12 mt-md-0 mt-2">
                <select class="form-select" name="type" id="admin_team_analyst_scripts_status" aria-label="type">
                    <option selected disabled>Script Status</option>
                    <option value="all">All</option>
                    <option value="in_queue">In Queue</option>
                    <option value="in_review">In Review</option>
                    <option value="send">Send</option>
                </select>
            </div>
            @elseif($member->role == 'admin')
            <div class="col-lg-auto col-md-2 col-sm-6 col-12 mt-md-0 mt-2">
                <select class="form-select" name="type" id="admin_team_admin_scripts_results" aria-label="type">
                    <option selected disabled>Script Results</option>
                    <option value="all">All</option>
                    <option value="approved">Approved</option>
                    <option value="rejected">Rejected</option>
                </select>
            </div>
            @endif
            <div class="col-lg-auto col-md-2 col-sm-6 col-12 mt-md-0 mt-2">
                <div>
                    <input type="text" id="admin_team_type_search" class="form-control" placeholder="Search" aria-describedby="Search">
                    <i class="fa-solid fa-magnifying-glass"></i>
                </div>
            </div>
        </div>

        <!-- Table -->
        <div class="row w-100">
            <div class="col-12">
                <table class="table table-light">
                    @if($member->role == 'analyst')
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>Script Title</th>
                            <th>Script Status</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody class="analyst_table">
                        @foreach ($member->scripts as $index => $script)
                        <tr class="{{$script->publish_status}}">
                            <th>{{ $index+1 }}</th>
                            <td>{{$script->title}}</td>
                            <td><button class="{{$script->publish_status}}" disabled>{{ucfirst($script->publish_status)}}</button></td>
                            <td>
                                <form class="admin_member_delele" action="{{ route('management.team.script.destroy', $script->id) }}" method="POST">
                                    @csrf
                                    <button type="submit" class="border-0 bg-transparent">
                                        <span><i class="fa-solid fa-trash"></i></span>
                                    </button>
                                </form>
                            </td>
                        </tr>
                        @endforeach
                    </tbody>
                    @elseif($member->role == 'admin')
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>Script Title</th>
                            <th>Script Result</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody class="admin_table">
                        @foreach ($member->scripts as $index => $script)
                        <tr class="{{$script->publish_status}}">
                            <th>{{ $index+1 }}</th>
                            <td>{{$script->title}}</td>
                            <td><button class="{{$script->publish_status}}" disabled>{{ucfirst($script->publish_status)}}</button></td>
                            <td>
                                <form class="admin_member_delele" action="{{ route('management.team.script.destroy', $script->id) }}" method="POST">
                                    @csrf
                                    <button type="submit" class="border-0 bg-transparent">
                                        <span><i class="fa-solid fa-trash"></i></span>
                                    </button>
                                </form>
                            </td>
                        </tr>
                        @endforeach
                    </tbody>
                    @endif
                </table>
            </div>
        </div>
    </section>
</div>


@endsection
