@extends('../admin/admin_layout.app')

@section('content')

<div class="page_right">

    <!-- Beardcrumbs -->
    <div class="breadcrumbs">
        <a href="{{ route('management.index') }}">Dashboard</a><span>/{{ ucfirst(Route::current()->getName()) }}</span>
    </div>

    <!-- Filter -->
    <section class="user_showmore mt-2">
        <div class="row w-100 filters mb-3">
            <div class="col-sm-auto col-12">
                <span>{{ ucfirst($user->fullname) }}</span>
            </div>
            @if($user->role == 'screenwriter')
            <div class="col-sm-auto col-12 mb-md-0 mb-2 mt-sm-0 mt-2 px-sm-0 px-auto">
                <select class="form-select" name="status" id="admin_users_screenwriter_script_status" aria-label="Scripts Status">
                    <option selected disabled>Status</option>
                    <option value="all">All</option>
                    <option value="draft">Draft</option>
                    <option value="submitted">Submitted</option>
                    <option value="in_review">In Review</option>
                    <option value="rejected">Rejected</option>
                    <option value="ready">Ready</option>
                    <option value="in_marketplace">In Marketplace</option>
                    <option value="purchased">Purchased</option>
                </select>
            </div>
            @endif
            <div class="col-sm-auto col-12 mt-sm-0 mt-2">
                <div>
                    <input type="text" id="admin_user_type_search" class="form-control" placeholder="Search" aria-describedby="Search">
                    <i class="fa-solid fa-magnifying-glass"></i>
                </div>
            </div>
        </div>

        <!-- Table -->
        <div class="row w-100">
            <div class="col-12">
                <table class="table table-light">
                    @If($user->role == 'producer')
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>Script Title</th>
                            <th>Script Purchased</th>
                            <th>Treatment Purchased</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody class="producer_table">
                        @foreach ($user->scripts as $index => $script)
                        <tr>
                            <th>{{$index + 1}}</th>
                            <td>{{$script->title}}</td>
                            <td>Not Purchased</td>
                            <td>Purchased</td>
                            <td>
                                <form class="admin_user_delele" action="{{ route('management.user.script.destroy', $script->id) }}" method="POST">
                                    @csrf
                                    <button type="submit" class="border-0 bg-transparent">
                                        <span><i class="fa-solid fa-trash"></i></span>
                                    </button>
                                </form>
                            </td>
                        </tr>
                        @endforeach
                    </tbody>
                    @elseif($user->role == 'screenwriter')
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>Script Title</th>
                            <th>Script Status</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody class="screeenwriter_table">
                        @foreach ($user->scripts as $index => $script)
                        <tr class="draft">
                            <th>{{ $index + 1 }}</th>
                            <td>{{$script->title}}</td>
                            <td><button class="{{$script->publish_status}}" disabled>{{ucfirst($script->publish_status)}}</button></td>
                            <td>
                                <form class="admin_user_delele" action="{{ route('management.user.script.destroy', $script->id) }}" method="POST">
                                    @csrf
                                    <button type="submit" class="border-0 bg-transparent">
                                        <span><i class="fa-solid fa-trash"></i></span>
                                    </button>
                                </form>
                            </td>
                        </tr>
                        @endforeach
                    </tbody>
                    @endif
                </table>
            </div>
        </div>
    </section>
</div>


@endsection
