@extends('../admin/admin_layout.app')

@section('content')
<div class="page_right">

    <!-- Beardcrumbs -->
    <div class="breadcrumbs">
        <a href="{{ route('management.index') }}">Dashboard</a><span>/{{ ucfirst(Route::current()->getName()) }}</span>
    </div>

    <section class="user_details">
        <div class="row mt-5 w-100 mx-md-auto">
            <div class="col-md-2 text-center pt-md-4 pt-0 px-0 px-md-auto">
                <img src="https://picsum.photos/75/75" alt="Profile Picture" class="image-fluid rounded-circle">
                <h5 class="mb-0 mt-2">{{$user->fullname}}</h5>
                <p class="mb-0">{{ucfirst($user->role)}}</p>
                <p class="mt-3">
                    <a href="mailto:{{$user->email}}" class="text-break">{{$user->email}}</a>
                </p>
            </div>
            @if($user->role == 'producer')
            <div class="col-md-10 ps-0 ps-md-4 mt-3 mt-md-0 px-0 px-md-auto">
                <div class="row mx-0 w-100 mb-3">
                    <div class="col-12">
                        <h5 class="text-underline">Basic info</h5>
                    </div>
                </div>
                <div class="row mx-0 w-100 mb-4">
                    <div class="col-xl-3 col-md-6 ">
                        <div class="row mx-0 w-100 py-3 bg-light">
                            <div class="col-6">
                                <span>Pronoun:</span>
                            </div>
                            <div class="col-6">
                                <span>Lorem Ipsum</span>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-3 col-md-6 mt-3 mt-md-0">
                        <div class="row mx-0 w-100 py-3 bg-light">
                            <div class="col-6">
                                <span>Age Ranges:</span>
                            </div>
                            <div class="col-6">
                                <span>18-25</span>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-6 col-md-6 mt-3 mt-xl-0">
                        <div class="row mx-0 w-100 py-3 bg-light">
                            <div class="col-6">
                                <span>What country are you from?:</span>
                            </div>
                            <div class="col-6">
                                <span>Lorem Ipsum</span>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row mx-0 w-100 mb-5">
                    <div class="col-xl-3 col-lg-4 col-md-6">
                        <div class="row mx-0 w-100 py-3 bg-light">
                            <div class="col-6">
                                <span>Experienced:</span>
                            </div>
                            <div class="col-6">
                                <span>Yes</span>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-3 col-lg-4 col-md-6 mt-3 mt-md-0">
                        <div class="row mx-0 w-100 py-3 bg-light">
                            <div class="col-6">
                                <span>Imdb Link:</span>
                            </div>
                            <div class="col-6">
                                <span><a href="">Link</a></span>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-4 col-lg-4 col-md-6 mt-3 mt-lg-0">
                        <div class="row mx-0 w-100 py-3 bg-light">
                            <div class="col-6">
                                <span>Association:</span>
                            </div>
                            <div class="col-6">
                                <span>Member of PGA</span>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-2 col-lg-4 col-md-6 mt-3 mt-xl-0">
                        <div class="row mx-0 w-100 py-3 bg-light">
                            <div class="col-6">
                                <span class="me-3">Meet:</span>
                            </div>
                            <div class="col-6">
                                <span class="me-3">Yes</span>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row mx-0">
                    <div class="col-12">
                        <div class="row mx-0 w-100 mb-3">
                            <div class="col-12">
                                <h5>More</h5>
                            </div>
                        </div>
                        <div class="row mx-0 w-100">
                            <div class="col-12">
                                <ul class="ps-3">
                                    <li class="mt-0">Anything else you would like us to know? (answer)</li>
                                    <li></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            @endif
        </div>
    </section>

</div>


@endsection
