<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="{{ asset('/css/app.css') }}" rel="stylesheet">
    <script src="{{ asset('/js/app.js') }}" defer></script>
    <title>Analyst Login</title>
    <style>
        body {
            font-family: sans-serif;
            background-color: #fff;
        }

        .Login_body>header>img {
            object-fit: contain;
            padding-left: 4rem;
        }

        .Login_body .container {
            width: 33%;
        }

        .Login_body .container h2 {
            font-weight: 600;
            font-size: 35px;
        }

        .Login_body .container label:not(label[for='admin_rememberme']) {
            font-weight: 600;
        }

        .Login_body .container input:not(input[type='checkbox']) {
            height: 3rem;
            padding-inline: 1.5rem;
        }

        .Login_body .container span {
            color: #2B79BD;
        }

        .Login_body .container button {
            width: 100%;
            background-color: #2B79BD;
            color: #fff;
            border-radius: 10px;
            padding-block: 0.6rem;
            font-size: 18px;
            letter-spacing: 0.1rem;
        }

        /* Small Screens */

        @media screen and (max-width: 1200px) {

            .Login_body .container {
                width: 42%;
            }

        }

        @media screen and (max-width: 992px) {

            .Login_body .container {
                width: 50%;
            }

        }

        @media screen and (max-width: 768px) {

            .Login_body .container {
                width: 100%;
            }

        }

        @media screen and (max-width: 576px) {

            .Login_body>header {
                text-align: center;
            }

            .Login_body>header>img {
                object-fit: contain;
                padding-left: 0;
            }

        }


        /* Modal 1 */

        div#modal_verification_code div.modal-body>div:first-child>div {
            background-color: #3BB54A;
            height: 3rem;
            width: 3rem;
            line-height: 3rem;
        }

        div#modal_verification_code div.modal-body>div:first-child>div>i {
            color: #fff;
            font-size: 18px;
        }

        div#modal_verification_code div.modal-body>h4 {
            font-weight: var(--large-font-weight);
            color: #3BB54A;
        }

        div#modal_verification_code div.modal-body>div:nth-last-child(1) button {
            width: 100%;
            background-color: #207BF3;
            border-radius: 10px;
            padding-block: 0.7rem;
            font-size: 18px;
            letter-spacing: 0.1rem;
            text-decoration: none;
            color: #fff;
        }

        /* Modal 2 */

        div#modal_verification_code_send div.modal-body>div:first-child>div {
            background-color: #3BB54A;
            height: 3rem;
            width: 3rem;
            line-height: 3rem;
        }

        div#modal_verification_code_send div.modal-body>div:first-child>div>i {
            color: #fff;
            font-size: 18px;
        }

        div#modal_verification_code_send div.modal-body>h4 {
            font-weight: var(--large-font-weight);
            color: #3BB54A;
        }

        div#modal_verification_code_send div.modal-body>p {
            font-size: 14px;
        }

        div#modal_verification_code_send div.modal-body>div:nth-last-child(1) button {
            width: 100%;
            background-color: #207BF3;
            border-radius: 10px;
            padding-block: 0.7rem;
            font-size: 18px;
            letter-spacing: 0.1rem;
            text-decoration: none;
            color: #fff;
        }

        /* Loader  */

        .loader-parent {
            display: flex;
            justify-content: center;
            align-items: center;
            min-height: 100vh;
            position: fixed;
            width: 100%;
            z-index: 1;
        }

        .loader {
            border: 8px solid #d8cccc;
            border-radius: 50%;
            border-top: 8px solid #2B79BD;
            /* border-bottom: 16px solid #2B79BD;
            border-left: 16px solid #FF9330;
            border-right: 16px solid #FF9330; */
            width: 70px;
            height: 70px;
            -webkit-animation: spin 1s linear infinite;
            animation: spin 1s linear infinite;
        }

        @-webkit-keyframes spin {
            0% {
                -webkit-transform: rotate(0deg);
            }

            100% {
                -webkit-transform: rotate(360deg);
            }
        }

        @keyframes spin {
            0% {
                transform: rotate(0deg);
            }

            100% {
                transform: rotate(360deg);
            }
        }
    </style>
</head>

<body class="Login_body">
    <div class="loader-parent d-none">
        <div class="loader"></div>
    </div>
    <header>
        <img src="{{ asset('/img/wo accelerator Logo.jpg') }}" width="300px" height="100px" alt="" class="img-fluid">
    </header>
    <div class="container mt-0">
        <div class="row mx-0 w-100">
            <h2 class="text-center mb-5">Login</h2>
            <div class="bg-danger p-4 rounded-lg mb-3 text-light text-center d-none auth_failed"></div>
            <form id="login" action="{{ route('analyst.login') }}" method="post">
                @csrf
                <div class="mb-3">
                    <label for="email" class="form-label">Email Address</label>
                    <input type="email" class="form-control" name="email" id="email" placeholder="Enter your Email Address">
                    <div class="text-danger mt-2 fs-6 email_error"></div>
                </div>
                <div class="mb-3">
                    <label for="password" class="form-label">Password</label>
                    <input type="password" class="form-control" name="password" id="password" placeholder="Enter your Password" autocomplete="on">
                    <div class="text-danger mt-2 fs-6 password_error"></div>
                </div>
                <div class="mb-5 text-sm-start text-center">
                    <label class="form-check-label mb-sm-0 mb-3" for="remember_me">
                        <input type="checkbox" class="form-check-input me-1" name="remember_me" id="remember_me">
                        Remember me
                    </label>
                    <span class="float-sm-end float-none d-sm-inline d-block"><a href="{{ route('resetmail') }}" class="text-decoration-none">Forget your password?</a></span>
                </div>
                <div class="mb-5 text-center">
                    <button type="submit" class="border-0">Login</button>
                </div>
            </form>
            <div id="recaptcha-container" class="d-flex justify-content-center"></div>
        </div>
    </div>

    <!-- Modal 1 -->
    <div class="modal fade" id="modal_verification_code" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="Verification Code Modal" aria-hidden="true">
        <div class="modal-dialog m-0 top-50 start-50 translate-middle h-100 pt-5">
            <div class="modal-content">
                <div class="modal-body px-sm-5 px-2 mt-3">
                    <h4 class="mt-1 mb-4 text-center">A Verification Code has been send to your Phone Number</h4>
                    <div class="mb-4">
                        <input type="text" class="form-control" name="verification_code" id="verification_code" placeholder="Enter Your Verfication Code">
                    </div>
                    <div class="mb-3 text-center">
                        <button type="button" class="border-0 w-75 send_verification_code">
                            Send
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal 2 -->
    <div class="modal fade" id="modal_verification_code_send" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="Verification Done Message Modal" aria-hidden="true">
        <div class="modal-dialog m-0 top-50 start-50 translate-middle h-100 pt-5">
            <div class="modal-content">
                <div class="modal-body px-sm-5 px-2 mt-3">
                    <div class="d-flex justify-content-center">
                        <div class="rounded-circle text-center">
                            <i class="fa-solid fa-check"></i>
                        </div>
                    </div>
                    <h4 class="my-4 text-center modal_multifactor_message">Multi Factor Authentication Setup Completed</h4>
                    <div class="mb-3 text-center">
                        <button type="button" class="border-0 w-75 change_url" data-bs-modal="dismiss">
                            Go To Dashboard
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script type="module" src="{{ asset('/js/firebase-config.js') }}" crossorigin="anonymous" defer></script>
    <script type="module" defer>
        import {
            getAuth,
            multiFactor,
            getMultiFactorResolver,
            RecaptchaVerifier,
            PhoneAuthProvider,
            PhoneMultiFactorGenerator,
            sendEmailVerification,
            signInWithEmailAndPassword,
            sendPasswordResetEmail
        } from 'https://www.gstatic.com/firebasejs/9.8.4/firebase-auth.js';

        // Form Fields Validation on Keyup Event
        $('form input').not('input[type="checkbox"]').on('keyup', (e) => {
            const targetField = $(e.currentTarget);

            // For Adjusting message according to Field
            const targetFieldName = targetField.attr('name');
            var requireMessage = '';
            switch (targetFieldName) {
                case 'email':
                    requireMessage = 'The Email Address is Required Field';
                    break;
                case 'password':
                    requireMessage = 'The Password is Required Field';
                    break;
            }

            var fieldValue = targetField.val();
            const errorField = targetField.next('div.text-danger');

            // Required Message
            if (fieldValue == '') {
                errorField.text(requireMessage);
                targetField.addClass('border border-danger');
            } else {
                errorField.text('');
                targetField.removeClass('border border-danger');
            }

            // Valid Email Message - Note that the below regex does work despite any linting errors you receieve.
            // You can alsways use regexlib.com or regex101.com for testing.
            if (targetFieldName == 'email') {
                if (errorField.text() == '') {
                    let result = fieldValue.match(/^([a-zA-Z0-9_\-\.\+]+)@([a-zA-Z0-9_\-\.]+)\.([a-zA-Z]{2,5})$/);
                    if (!result) {
                        errorField.text('Enter a Valid Email Address');
                        targetField.addClass('border border-danger');
                    }
                }
            }
        });

        // Function to check the form validation during submission
        function submittionTimeValidation(form) {
            var results = true;
            var generalResults = true;

            // Form Values
            const formValues = ['email', 'password'];

            // Loop to check the fields
            formValues.forEach(elem => {
                if (form.get(elem) == '') {
                    results = false;
                }
            });

            var allErrorFields = $('.text-danger');
            for (let i = 0; i < allErrorFields.length; i++) {
                if (allErrorFields[i].innerText != '') {
                    generalResults = false;
                }
            }

            if (results == false || generalResults == false) {
                return false;
            } else {
                return true;
            }

        }

        //Page Refresh
        $('.change_url').on('click', (e) => {
            location.href = (new URL(location.href)).origin + '/analyst/scriptsqueue';
        });

        // Open the Modal to take Verification Code to user phone number
        function userVerification(auth) {
            const user = auth.currentUser;
            const user_email = user.email;
            const uid = user.uid;

            // MultiFactor Authentication
            $.ajax({
                async: false,
                type: "post",
                url: "{{ route('analyst.login') }}",
                data: {
                    "_token": "{{ csrf_token() }}",
                    "unverify_user_uid": uid,
                },
                success: function(response) {

                    if (response != '') {

                        const phone = response;
                        const phoneFormat = '+1' + phone;

                        //Remove the Error Message If any available
                        if (!($('.auth_failed').hasClass('d-none'))) {
                            $('.auth_failed').addClass('d-none');
                            $('.auth_failed').text('');
                        }

                        // If Scucessful then go to firebase
                        // Multifactor Authentication
                        var recaptchaVerifier = new RecaptchaVerifier('recaptcha-container', {}, auth);
                        $('.auth_failed').removeClass('d-none');
                        $('.auth_failed').text('Verify the Capcha to Set Up MultiFactor Authentication');
                        $('.loader-parent').addClass('d-none');
                        multiFactor(user).getSession().then(function(multiFactorSession) {
                                // Specify the phone number and pass the MFA session.
                                var phoneInfoOptions = {
                                    phoneNumber: phoneFormat,
                                    session: multiFactorSession
                                };
                                var phoneAuthProvider = new PhoneAuthProvider(auth);
                                // Send SMS verification code.
                                return phoneAuthProvider.verifyPhoneNumber(
                                    phoneInfoOptions, recaptchaVerifier);
                            })
                            .then(function(verificationId) {

                                $('.loader-parent').removeClass('d-none');
                                $('#modal_verification_code').modal('show');
                                if (!($('.auth_failed').hasClass('d-none'))) {
                                    $('.auth_failed').addClass('d-none');
                                    $('.auth_failed').text('');
                                }
                                // Ask user for the verification code.
                                $('.send_verification_code').on('click', () => {

                                    $('.loader-parent').removeClass('d-none');
                                    if (!($('.auth_failed').hasClass('d-none'))) {
                                        $('.auth_failed').addClass('d-none');
                                        $('.auth_failed').text('');
                                    }
                                    var err = 0;
                                    const promise = new Promise((resolve, reject) => {
                                        const code = $('#verification_code').val();
                                        resolve(code);
                                    })
                                    promise.then((verificationCode) => {
                                            var cred = PhoneAuthProvider.credential(verificationId, verificationCode);
                                            var multiFactorAssertion = PhoneMultiFactorGenerator.assertion(cred);
                                            // Complete enrollment.
                                            return multiFactor(user).enroll(multiFactorAssertion);
                                        })
                                        .catch((error) => {
                                            const errorCode = error.code;
                                            const errorMessage = error.message;
                                            console.log(errorCode);
                                            console.log(errorMessage);
                                            $('.loader-parent').addClass('d-none');
                                            switch (errorCode) {
                                                case 'auth/invalid-verification-code':
                                                    $('.auth_failed').removeClass('d-none');
                                                    $('.auth_failed').text('Incorrect Verification Code');
                                                    break;
                                                case 'auth/second-factor-already-in-use':
                                                    $('.auth_failed').removeClass('d-none');
                                                    $('.auth_failed').text('Phone Number is Already Verified');
                                                    setTimeout(() => {
                                                        location.href = (new URL(location.href)).origin + '/login';
                                                    }, 3000);
                                                    break;
                                                default:
                                                    $('.auth_failed').removeClass('d-none');
                                                    $('.auth_failed').text('Try Again');
                                                    break;
                                            }
                                            err = 1;
                                        })
                                        .then(() => {
                                            if ($('.auth_failed').hasClass('d-none') && err == 0) {
                                                $.ajax({
                                                    async: false,
                                                    type: "post",
                                                    url: "{{ route('analyst.login') }}",
                                                    data: {
                                                        "_token": "{{ csrf_token() }}",
                                                        "verified": 1,
                                                        "uid": uid,
                                                    },
                                                    success: function(response) {
                                                        if (response == '') {
                                                            $('.loader-parent').addClass('d-none');
                                                            $('#modal_verification_code').modal('hide');
                                                            $('#modal_verification_code_send').modal('show');
                                                        } else {
                                                            $('#modal_verification_code').modal('hide');
                                                            $('.auth_failed').removeClass('d-none');
                                                            $('.auth_failed').text('User is not Registered');
                                                            $('.loader-parent').addClass('d-none');
                                                        }
                                                    },
                                                    error: function(error) {
                                                        $('.loader-parent').addClass('d-none');
                                                        var errorResponse = JSON.parse(error.responseText).errors;
                                                        console.log(errorResponse);
                                                    }
                                                })
                                            }
                                        })
                                })
                                $('.loader-parent').addClass('d-none');
                            })
                            .catch((error) => {
                                const errorCode = error.code;
                                const errorMessage = error.message;
                                console.log(errorCode);
                                console.log(errorMessage);
                                $('.loader-parent').addClass('d-none');
                                switch (errorCode) {
                                    case 'auth/unverified-email':
                                        $('.auth_failed').removeClass('d-none');
                                        $('.auth_failed').text('Please Verify Your Email Before Signing In');
                                        break;
                                    case 'auth/missing-verification-code':
                                        $('.auth_failed').removeClass('d-none');
                                        $('.auth_failed').text('Please Enter the Verification Code');
                                        break;
                                    case 'auth/code-expired':
                                        $('.auth_failed').removeClass('d-none');
                                        $('.auth_failed').text('Verification Code is Expired');
                                        break;
                                    case 'auth/captcha-check-failed':
                                        $('.auth_failed').removeClass('d-none');
                                        $('.auth_failed').text('Not Secure Connection');
                                        break;
                                    case 'auth/multi-factor-auth-required':
                                        $('.auth_failed').removeClass('d-none');
                                        $('.auth_failed').text('Phone Number is Already Verified');
                                        setTimeout(() => {
                                            location.href = (new URL(location.href)).origin + '/login';
                                        }, 3000);
                                        break;
                                    case 'auth/too-many-requests':
                                        $('.auth_failed').removeClass('d-none');
                                        $('.auth_failed').text('Too many Attempts! Try Again Later');
                                        break;
                                    case 'auth/requires-recent-login':
                                        $('.auth_failed').removeClass('d-none');
                                        $('.auth_failed').text('Please Login Again');
                                        break;
                                    case 'auth/invalid-phone-number':
                                        $('.auth_failed').removeClass('d-none');
                                        $('.auth_failed').text('InValid Phone Number was Provided');
                                        break;
                                    case 'auth/internal-error':
                                        $('.auth_failed').removeClass('d-none');
                                        $('.auth_failed').text('Request Failed! Try Again');
                                        setTimeout(() => {
                                            location.href = location.href;
                                        }, 5000);
                                        break;
                                }
                            });
                    } else {
                        $('.auth_failed').removeClass('d-none');
                        $('.auth_failed').text('User is not Registered');
                        $('.loader-parent').addClass('d-none');
                    }
                },
                error: function(error) {
                    var errorResponse = JSON.parse(error.responseText).errors;
                    console.log(errorResponse);
                    $('.loader-parent').addClass('d-none');
                    $('.auth_failed').removeClass('d-none');
                    $('.auth_failed').text(errorResponse);
                }
            });
        }

        //USER SIGNIN
        $('#login').submit((e) => {
            $('.loader-parent').removeClass('d-none');
            e.preventDefault();
            var form = new FormData(e.currentTarget);

            //Remember Me Check
            const remember = form.get('remember');

            // Form Validation during Submission
            const result = submittionTimeValidation(form);

            if (result) {

                // Sending to controller for validation
                $.ajax({
                    async: false,
                    type: "post",
                    url: "{{ route('analyst.login') }}",
                    data: {
                        "_token": "{{ csrf_token() }}",
                        "email": form.get('email'),
                        "password": form.get('password'),
                    },
                    success: function(response) {

                        // Remove Error Messages If Any
                        if ($('#email').hasClass('border-danger')) {
                            $('.email_error').text('');
                            $('#email').removeClass('border border-danger');
                        }
                        if ($('#password').hasClass('border-danger')) {
                            $('.password_error').text('');
                            $('#password').removeClass('border border-danger');
                        }

                        // If Scucessful then go to firebase
                        const auth = getAuth();
                        const email = form.get('email');
                        const password = form.get('password');
                        signInWithEmailAndPassword(auth, email, password)
                            .then((userCredential) => {

                                // Multfactor User will always go to catch error

                                if (!($('.auth_failed').hasClass('d-none'))) {
                                    $('.auth_failed').addClass('d-none');
                                    $('.auth_failed').text('');
                                }

                                // Signed in
                                const user = userCredential.user;

                                if (user.emailVerified) {
                                    $('.loader-parent').addClass('d-none');
                                    // Calling Verification Code Function
                                    userVerification(auth);
                                } else {
                                    $('.loader-parent').addClass('d-none');
                                    $('.auth_failed').removeClass('d-none');
                                    $('.auth_failed').text('Verify Your Email Before Signing In');
                                }

                            })
                            .catch((error) => {
                                const errorCode = error.code;
                                const errorMessage = error.message;
                                console.log(errorCode);
                                console.log(errorMessage);
                                if (errorCode != 'auth/multi-factor-auth-required') {
                                    $('.loader-parent').addClass('d-none');
                                }
                                switch (errorCode) {
                                    case 'auth/invalid-email':
                                        if (!($('.auth_failed').hasClass('d-none'))) {
                                            $('.auth_failed').addClass('d-none');
                                            $('.auth_failed').text('');
                                        }
                                        if ($('#password').hasClass('border-danger')) {
                                            $('.password_error').text('');
                                            $('#password').removeClass('border border-danger');
                                        }
                                        $('.email_error').text('Enter the Valid Email Address');
                                        $('#email').addClass('border border-danger');
                                        break;
                                    case 'auth/user-not-found':
                                        if (!($('.auth_failed').hasClass('d-none'))) {
                                            $('.auth_failed').addClass('d-none');
                                            $('.auth_failed').text('');
                                        }
                                        if ($('#password').hasClass('border-danger')) {
                                            $('.password_error').text('');
                                            $('#password').removeClass('border border-danger');
                                        }
                                        $('.email_error').text('Email Address is not Registered');
                                        $('#email').addClass('border border-danger');
                                        break;
                                    case 'auth/internal-error':
                                        if (!($('.auth_failed').hasClass('d-none'))) {
                                            $('.auth_failed').addClass('d-none');
                                            $('.auth_failed').text('');
                                        }
                                        if ($('#email').hasClass('border-danger')) {
                                            $('.email_error').text('');
                                            $('#email').removeClass('border border-danger');
                                        }
                                        $('.password_error').text('Password is a Required Field');
                                        $('#password').addClass('border border-danger');
                                        break;
                                    case 'auth/wrong-password':
                                        if ($('#email').hasClass('border-danger')) {
                                            $('.email_error').text('');
                                            $('#email').removeClass('border border-danger');
                                        }
                                        if ($('#password').hasClass('border-danger')) {
                                            $('.password_error').text('');
                                            $('#password').removeClass('border border-danger');
                                        }
                                        $('.auth_failed').removeClass('d-none');
                                        $('.auth_failed').text('Invalid Email/Password');
                                        break;
                                    case 'auth/too-many-requests':
                                        if ($('#email').hasClass('border-danger')) {
                                            $('.email_error').text('');
                                            $('#email').removeClass('border border-danger');
                                        }
                                        if ($('#password').hasClass('border-danger')) {
                                            $('.password_error').text('');
                                            $('#password').removeClass('border border-danger');
                                        }
                                        $('.auth_failed').removeClass('d-none');
                                        $('.auth_failed').text('Too many Attempts');
                                        break;
                                    case 'auth/network-request-failed':
                                        if ($('#email').hasClass('border-danger')) {
                                            $('.email_error').text('');
                                            $('#email').removeClass('border border-danger');
                                        }
                                        if ($('#password').hasClass('border-danger')) {
                                            $('.password_error').text('');
                                            $('#password').removeClass('border border-danger');
                                        }
                                        $('.auth_failed').removeClass('d-none');
                                        $('.auth_failed').text('Network Request Failed');
                                        break
                                    case 'auth/multi-factor-auth-required':
                                        if (!($('.auth_failed').hasClass('d-none'))) {
                                            $('.auth_failed').addClass('d-none');
                                            $('.auth_failed').text('');
                                        }
                                        const resolver = getMultiFactorResolver(auth, error);
                                        // Ask user which second factor to use.
                                        if (resolver.hints[0].factorId === PhoneMultiFactorGenerator.FACTOR_ID) {
                                            var phoneInfoOptions = {
                                                multiFactorHint: resolver.hints[0],
                                                session: resolver.session
                                            };
                                            var phoneAuthProvider = new PhoneAuthProvider(auth);
                                            // Send SMS verification code
                                            var recaptchaVerifier = new RecaptchaVerifier('recaptcha-container', {}, auth);
                                            $('.auth_failed').removeClass('d-none');
                                            $('.auth_failed').text('Verify the Captcha to get the Verification Code');
                                            $('.loader-parent').addClass('d-none');
                                            return phoneAuthProvider.verifyPhoneNumber(phoneInfoOptions, recaptchaVerifier)
                                                .then(function(verificationId) {
                                                    $('.loader-parent').removeClass('d-none');
                                                    // Ask user for the SMS verification code.
                                                    if (!($('.auth_failed').hasClass('d-none'))) {
                                                        $('.auth_failed').addClass('d-none');
                                                        $('.auth_failed').text('');
                                                    }
                                                    // Open popup for verification code to done multifactor authentication
                                                    $('#modal_verification_code').modal('show');
                                                    $('.send_verification_code').on('click', () => {
                                                        $('.loader-parent').removeClass('d-none');
                                                        if (!($('.auth_failed').hasClass('d-none'))) {
                                                            $('.auth_failed').addClass('d-none');
                                                            $('.auth_failed').text('');
                                                        }
                                                        var err = 0;
                                                        const promise = new Promise((resolve, reject) => {
                                                            const code = $('#verification_code').val();
                                                            resolve(code);
                                                        })
                                                        promise.then((verificationCode) => {
                                                                var cred = PhoneAuthProvider.credential(verificationId, verificationCode);
                                                                var multiFactorAssertion = PhoneMultiFactorGenerator.assertion(cred);
                                                                // Complete sign-in.
                                                                return resolver.resolveSignIn(multiFactorAssertion)
                                                            })
                                                            .catch((error) => {

                                                                const errorCode = error.code;
                                                                const errorMessage = error.message;
                                                                console.log(errorCode);
                                                                console.log(errorMessage);
                                                                $('.loader-parent').addClass('d-none');
                                                                switch (errorCode) {
                                                                    case 'auth/invalid-verification-code':
                                                                        $('.auth_failed').removeClass('d-none');
                                                                        $('.auth_failed').text('Incorrect Verification Code');
                                                                        break;
                                                                    case 'auth/second-factor-already-in-use':
                                                                        $('.auth_failed').removeClass('d-none');
                                                                        $('.auth_failed').text('Phone Number is Already Verified');
                                                                        break;
                                                                    case 'auth/code-expired':
                                                                        $('.auth_failed').removeClass('d-none');
                                                                        $('.auth_failed').text('Verification Code is Expired');
                                                                        break;
                                                                }
                                                                err = 1;
                                                            })
                                                            .then((userCredential) => {
                                                                if ($('.auth_failed').hasClass('d-none') && err == 0) {

                                                                    if (!($('.auth_failed').hasClass('d-none'))) {
                                                                        $('.auth_failed').addClass('d-none');
                                                                        $('.auth_failed').text('');
                                                                    }

                                                                    // Signed in
                                                                    const user = userCredential.user;
                                                                    const user_email = user.email;
                                                                    const user_uid = user.uid;
                                                                    const Is_mf = multiFactor(user).enrolledFactors.length;
                                                                    $.ajax({
                                                                        async: false,
                                                                        type: "post",
                                                                        url: "{{ route('analyst.login') }}",
                                                                        data: {
                                                                            "_token": "{{ csrf_token() }}",
                                                                            "user_email": user_email,
                                                                            "user_uid": user_uid,
                                                                            "mf": Is_mf,
                                                                            "remember": remember,
                                                                        },
                                                                        success: function(response) {
                                                                            console.log(response);
                                                                            $('.loader-parent').addClass('d-none');
                                                                            if (response == 'MultiFactor Required') {
                                                                                userVerification(auth);
                                                                            } else {
                                                                                $('#modal_verification_code').modal('hide');
                                                                                location.href = (new URL(location.href)).origin + '/analyst/scriptsqueue';
                                                                            }
                                                                        },
                                                                        error: function(error) {
                                                                            $('.loader-parent').addClass('d-none');
                                                                            var errorResponse = JSON.parse(error.responseText).errors;
                                                                            console.log(errorResponse);
                                                                            if (errorResponse == undefined) {
                                                                                $('.auth_failed').removeClass('d-none');
                                                                                $('.auth_failed').text('The Email is not Registered');
                                                                            }
                                                                        }
                                                                    })
                                                                }
                                                            })
                                                    })
                                                    $('.loader-parent').addClass('d-none');
                                                })
                                                .catch((error) => {
                                                    const errorCode = error.code;
                                                    const errorMessage = error.message;
                                                    console.log(errorCode);
                                                    console.log(errorMessage);
                                                    $('.loader-parent').addClass('d-none');
                                                    switch (errorCode) {
                                                        case 'auth/unverified-email':
                                                            $('.auth_failed').removeClass('d-none');
                                                            $('.auth_failed').text('Please Verify Your Email Before Signing In');
                                                            break;
                                                        case 'auth/missing-verification-code':
                                                            $('.auth_failed').removeClass('d-none');
                                                            $('.auth_failed').text('Please Enter the Verification Code');
                                                            break;
                                                        case 'auth/code-expired':
                                                            $('.auth_failed').removeClass('d-none');
                                                            $('.auth_failed').text('Verification Code is Expired! Try Again');
                                                            break;
                                                        case 'auth/network-request-failed':
                                                            $('.auth_failed').removeClass('d-none');
                                                            $('.auth_failed').text('Network Request Failed');
                                                            break
                                                        case 'auth/captcha-check-failed':
                                                            $('.auth_failed').removeClass('d-none');
                                                            $('.auth_failed').text('Not Secure Connection');
                                                            break;
                                                        case 'auth/too-many-requests':
                                                            $('.auth_failed').removeClass('d-none');
                                                            $('.auth_failed').text('Too many Attempts! Try Again Later');
                                                            break;
                                                        case 'auth/requires-recent-login':
                                                            $('.auth_failed').removeClass('d-none');
                                                            $('.auth_failed').text('Please Login Again');
                                                            break;
                                                        case 'auth/internal-error':
                                                            $('.auth_failed').removeClass('d-none');
                                                            $('.auth_failed').text('Request Failed! Try Again');
                                                            setTimeout(() => {
                                                                location.href = location.href;
                                                            }, 5000);
                                                            break;
                                                    }
                                                });
                                        }
                                        break;
                                    default:
                                        $('.email_error').text('');
                                        $('#email').removeClass('border border-danger');
                                        $('.password_error').text('');
                                        $('#password').removeClass('border border-danger');
                                        $('.auth_failed').removeClass('d-none');
                                        $('.auth_failed').text('Sorry! Try Again Later');
                                        break;
                                }
                            });
                    },
                    error: function(error) {
                        $('.loader-parent').addClass('d-none');
                        var errorResponse = JSON.parse(error.responseText).errors;
                        if (errorResponse.email != undefined) {
                            $('.email_error').text(errorResponse.email[0]);
                            $('#email').addClass('border border-danger');
                        } else {
                            $('.email_error').text('');
                            $('#email').removeClass('border border-danger');
                        }
                        if (errorResponse.password != undefined) {
                            $('.password_error').text(errorResponse.password[0]);
                            $('#password').addClass('border border-danger');
                        } else {
                            $('.password_error').text('');
                            $('#password').removeClass('border border-danger');
                        }
                    }
                });

            } else {

                var allErrorFields = $('.text-danger');
                var ifTextAvailable = false;
                $('.loader-parent').addClass('d-none');
                for (let i = 0; i < allErrorFields.length; i++) {
                    if (allErrorFields[i].innerText != '') {
                        $('.auth_failed').addClass('d-none');
                        $('.auth_failed').text('');
                        $('html, body').animate({
                            scrollTop: $('.text-danger:eq(' + i + ')').offset().top - 100
                        }, 400);
                        ifTextAvailable = true;
                        break;
                    }
                }

                if (!ifTextAvailable) {
                    $('.auth_failed').removeClass('d-none');
                    $('.auth_failed').text('Enter your Full Details');
                    $('html, body').animate({
                        scrollTop: $('.auth_failed').offset().top - 10
                    }, 400);
                }

            }

        });
    </script>

</body>

</html>
