@extends('../analyst/analyst_layout.app')

@section('content')
    <div class="page_right">

        <!-- Beardcrumbs -->
        <div class="breadcrumbs">
            <a
                href="{{ route('analyst.scriptsqueue') }}">Dashboard</a><span>/{{ ucfirst(Route::current()->getName()) }}</span>
        </div>

        <section class="analyst_scripts scriptsinqueue mb-5">
            <div class="row w-100 mt-5">
                <div class="col-auto ps-lg-0 active">
                    <a href="{{ route('analyst.scriptsqueue') }}">
                        <span class="me-2">In Queue</span>
                    </a>
                    <span id="inqueue_count">{{ $scripts->inqueue }}</span>
                </div>
                <div class="col-auto">
                    <a href="{{ route('analyst.scriptsreview') }}">
                        <span class="me-2">In Review</span>
                    </a>
                    <span id="inreview_count">{{ $scripts->inreview }}</span>
                </div>
                <div class="col-auto">
                    <a href="{{ route('analyst.scriptssent') }}">
                        <span class="me-2">Sent</span>
                    </a>
                    <span id="sent_count">{{ $scripts->sent }}</span>
                </div>
            </div>
            <div class="row w-100 mt-5">
                @foreach ($scripts as $script)
                    <div class="scripttoggle_parent">
                        <div>
                            <img src="/img/branded-script-image.png" width="100%" height="100%" alt="Profile Picture"
                                class="image-fluid">
                            <div class="togglepopup text-center w-100 h-100">
                                <div>
                                    <h6 class="text-center px-2 mb-4">To start reviewing script, toggle right</h6>
                                    <div class="row w-100 mx-0 mb-3">
                                        <div class="col-4">
                                            <span>In Queue</span>
                                        </div>
                                        <div class="col-4">
                                            <span>
                                                <label class="switch">
                                                    <form id='change_status' action="{{ url('analyst/script/'.$script->id) }}">
                                                        @csrf
                                                        <input type="checkbox" class="form-check toggle_status" name="toggle_status"
                                                            >
                                                        <span class="slider round"></span>
                                                    </form>
                                                </label>
                                            </span>
                                        </div>
                                        <div class="col-4">
                                            <span>In Review</span>
                                        </div>
                                    </div>
                                    <p class="mb-0 message">*Note: Status Cannot Be Changed Once in Review</p>
                                </div>
                            </div>
                        </div>
                        <a href="{{ url('anaylist/script/' . $script->id) }}" class="text-decoration-none text-secondary">

                            <h6 class="mt-3 mb-1 text-center">{{ $script->title }}</h6>
                            <p class="text-center">Uploaded . {{ $scripts->elapsed }}</p>
                        </a>
                    </div>
                @endforeach
            </div>
        </section>
    </div>
@endsection
