<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Register</title>
    <link href="{{ asset('/css/app.css') }}" rel="stylesheet">
    <script src="{{ asset('/js/app.js') }} defer"></script>
    <style>
        body {
            font-family: sans-serif;
            background: linear-gradient(287.83deg, #1E518F 0.72%, rgba(30, 81, 143, 0) 264.14%);
        }

        .user_role_body>header>img {
            object-fit: contain;
            padding-left: 4rem;
        }

        .user_role_body>div.container>div.row:nth-child(1) {
            margin-top: 5rem;
            margin-bottom: 3rem;
        }

        .user_role_body>div.container>div.row:nth-child(1)>div>h1 {
            font-size: 3rem;
        }

        .user_role_body>div.container>div.row:nth-child(1)>div>p {
            font-size: 13px;
        }

        .user_role_body>div.container>div.row:nth-child(1)>div>hr {
            transform: rotate(90deg);
            width: 3rem;
            height: 2px;
            margin-top: 2.5rem;
        }

        .user_role_body>div.container>div.row:nth-child(2) input {
            padding: 1.5rem 3rem;
            color: #1E518F;
            font-size: 19px;
        }

        .user_role_body>div.container>div.row:nth-child(2)>div>div {
            font-size: 14px;
            width: 75%;
            margin-inline: auto;
        }

        .user_role_body>footer {
            position: static;
            margin-block: 2rem;
        }

        .user_role_body>footer a {
            color: #fff;
            padding-inline: 2rem;
            margin-inline: auto;
            font-size: 13px;
        }

        /* Small Screen */

        @media screen and (min-width: 992px) {
            .user_role_body>div.container>div.row:nth-child(2) input {
                padding: 1.5rem 5rem;
                font-size: 24px;
            }

        }

        @media screen and (min-width: 768px) {
            .user_role_body>footer {
                position: absolute;
                bottom: 1%;
                left: 0;
                right: 0;
            }

        }

        @media screen and (min-width: 576px) {
            .user_role_body>div.container>div.row:nth-child(2) input {
                padding: 1.5rem 4rem;
                font-size: 22px;
            }

        }

        /* Loader  */

        .loader-parent {
            display: flex;
            justify-content: center;
            align-items: center;
            min-height: 100vh;
            position: fixed;
            width: 100%;
            z-index: 1;
        }

        .loader {
            border: 8px solid #d8cccc;
            border-radius: 50%;
            border-top: 8px solid #2B79BD;
            /* border-bottom: 16px solid #2B79BD;
            border-left: 16px solid #FF9330;
            border-right: 16px solid #FF9330; */
            width: 70px;
            height: 70px;
            -webkit-animation: spin 1s linear infinite;
            animation: spin 1s linear infinite;
        }

        @-webkit-keyframes spin {
            0% {
                -webkit-transform: rotate(0deg);
            }

            100% {
                -webkit-transform: rotate(360deg);
            }
        }

        @keyframes spin {
            0% {
                transform: rotate(0deg);
            }

            100% {
                transform: rotate(360deg);
            }
        }
    </style>
</head>

<body class="user_role_body">
    <div class="loader-parent d-none">
        <div class="loader"></div>
    </div>
    <header class="my-4">
        <img src="{{ asset('/img/wo accelerator Logo.png') }}" width="200px" height="100px" alt="" class="img-fluid">
    </header>
    <div class="container">
        <div class="row w-100 mx-0">
            <div class="col-12 text-light">
                <h1 class="text-center">Which Are You?</h1>
                <p class="text-center">Choose your path to gain access to WO</p>
                <hr class="mx-auto">
            </div>
        </div>
        <div class="row w-100 mx-0">
            <div class="col-12 col-md-6 text-center">
                <div class="mb-2">
                    <svg height="100" viewBox="0 0 120 101" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <g clip-path="url(#clip0_2_70)">
                            <path d="M58.2249 48.4178V50.2917H82.7005V48.2188H67.9628C68.1933 47.8675 68.3674 47.4716 68.4547 47.0339C68.4778 46.9181 68.4944 46.8027 68.5052 46.6877L55.5925 47.89L58.2249 48.4178Z" fill="white" />
                            <path d="M31.2194 77.5561V76.6389C38.8952 76.1317 44.66 73.9859 44.66 71.415C44.66 68.9239 20.4833 68.5379 12.9891 70.2569L7.19374 54.7853C9.66478 58.65 12.2112 60.8415 13.926 60.196C16.6791 59.1596 4.77635 27.3823 2.02331 28.4186C-0.220597 29.2633 -0.347507 34.7036 1.4617 41.4382C1.25745 41.4109 1.04488 41.4263 0.838313 41.5041C0.170162 41.7556 -0.168075 42.5026 0.08285 43.1724L10.865 71.9582C10.8946 72.0372 10.9331 72.11 10.9756 72.1794C11.987 74.4024 17.3401 76.183 24.2407 76.6389V77.5561H26.4379V88.4664L11.3173 93.1305V95.0392C10.3484 95.5182 9.68009 96.5155 9.68009 97.6717C9.68009 99.2936 10.9916 100.608 12.6094 100.608C14.2272 100.608 15.5388 99.2936 15.5388 97.6717C15.5388 96.5181 14.8736 95.5227 13.9083 95.0425L26.4379 91.1777V95.0392C25.469 95.5182 24.8007 96.5155 24.8007 97.6717C24.8007 99.2936 26.1122 100.608 27.73 100.608C29.3479 100.608 30.6594 99.2936 30.6594 97.6717C30.6594 96.5157 29.9914 95.5185 29.0227 95.0395V91.1776L41.5521 95.0424C40.5866 95.5225 39.9214 96.518 39.9214 97.6717C39.9214 99.2935 41.2328 100.608 42.8507 100.608C44.4685 100.608 45.78 99.2935 45.78 97.6717C45.78 96.5156 45.112 95.5184 44.1433 95.0394V93.1304L29.0227 88.4663V77.556H31.2194V77.5561Z" fill="white" />
                            <path d="M68.7771 37.5189L62.4634 28.5662L60.6343 29.8625L66.1919 37.7432L68.4221 37.5355C68.5408 37.5244 68.6592 37.5208 68.7771 37.5189Z" fill="white" />
                            <path d="M72.0061 45.3522L74.2112 47.169L73.0212 43.8806C72.851 44.2753 72.6252 44.6487 72.3436 44.9888C72.2373 45.1173 72.1238 45.2374 72.0061 45.3522Z" fill="white" />
                            <path d="M56.8404 63.9778C56.5461 61.833 54.9523 60.0971 52.8441 59.626L38.2052 56.3526C38.5381 52.6885 39.3248 48.0709 41.1951 42.6399L32.8539 31.6947C32.1163 30.7268 31.7988 29.5287 31.9598 28.3214C32.1208 27.1139 32.7418 26.0418 33.707 25.3024C34.5072 24.6896 35.4613 24.3657 36.4664 24.3657C37.8976 24.3657 39.2162 25.0188 40.084 26.158L50.0574 39.2454L50.3876 39.2147L42.9404 21.9046C42.5847 21.0785 41.9376 20.4707 41.1726 20.1437C36.9689 17.5226 31.3356 18.4938 28.5966 24.9545C25.815 31.5131 32.261 35.61 22.1617 52.3842C16.826 61.2465 25.4584 65.1512 31.9108 65.5522C31.9841 65.572 32.0552 65.5962 32.13 65.613L47.0871 68.9576L50.8622 96.4833C51.2186 99.0795 53.4348 100.961 55.9771 100.96C56.2114 100.96 56.4491 100.944 56.6879 100.911C57.4054 100.812 58.0674 100.569 58.6507 100.217V77.1759L56.8404 63.9778Z" fill="white" />
                            <path d="M49.5128 40.4933L39.1395 26.8815C38.0133 25.4033 35.9041 25.1199 34.4295 26.2497C32.9549 27.379 32.6727 29.4929 33.7994 30.9711L45.3015 46.0644C45.9406 46.903 46.9301 47.3881 47.971 47.3881C48.0745 47.3881 48.1785 47.3833 48.2825 47.3737L69.1541 45.4303C71.0018 45.2583 72.3603 43.6171 72.1887 41.7648C72.017 39.9123 70.389 38.5485 68.5322 38.7223L49.5128 40.4933Z" fill="white" />
                            <path d="M49.9411 12.0229C47.4417 13.4685 44.6036 14.1203 42.3005 14.1203C41.2402 14.1203 40.2956 13.9808 39.5471 13.7185C40.4584 18.8042 44.8229 22.7273 50.1788 22.8753C56.2686 23.0435 61.3431 18.2665 61.5843 12.1811C59.3403 11.2284 54.1972 9.5623 49.9411 12.0229Z" fill="white" />
                            <path d="M38.7814 11.4144V11.4146C38.7779 11.5523 38.7663 11.9706 39.4079 12.3539C41.1713 13.4088 45.6875 13.1075 49.348 10.9905C54.1368 8.2205 59.8313 10.1269 62.1792 11.1403C62.1448 10.4524 62.0477 9.77414 61.8963 9.1105C57.4707 5.89839 52.7111 6.22077 52.7111 6.22077C55.9664 4.82939 59.3202 5.84454 60.9839 6.54384C60.5345 5.63212 59.9681 4.77353 59.2851 3.99401C57.1426 1.54815 54.0525 0.0939024 50.808 0.0046122C50.6969 0.00150285 50.5864 0 50.4758 0C47.4716 0 44.6284 1.13362 42.4369 3.21232C40.1652 5.36772 38.8672 8.28072 38.7814 11.4144Z" fill="white" />
                            <path d="M110.049 101H113.409V59.3892H116.209V54.8116H120V52.2205H53.6104V54.8116H57.4014V59.3892H60.2014V101H63.5615V94.6932H110.049V101Z" fill="white" />
                        </g>
                        <defs>
                            <clipPath id="clip0_2_70">
                                <rect width="120" height="101" fill="white" />
                            </clipPath>
                        </defs>
                    </svg>
                </div>
                <form action="{{ route('selectrole') }}" method="POST">
                    @csrf
                    <input type="submit" name="submit" value="I'm a Screenwriter" class="border-0 rounded-pill bg-light">
                </form>
                <div class="text-light mt-4">
                    Gain access to our courses and mentorship programs to hone your skills, perfect your craft, and write marketable scripts that producers want to buy.
                </div>
            </div>
            <div class="col-12 col-md-6 mt-md-0 mt-5 text-center">
                <div class="mb-2">
                    <svg height="100" viewBox="0 0 102 102" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M94.0312 44.9437C93.075 44.3062 91.8 44.3062 90.8438 44.9437L76.1812 52.2749C75.5437 47.8124 71.7188 44.6249 66.9375 44.6249H22.3125C16.8937 44.6249 12.75 48.7687 12.75 54.1875V73.3124C12.75 78.7312 16.8937 82.875 22.3125 82.875H38.5688L29.0063 96.8999C28.05 98.4937 28.3687 100.406 29.9625 101.362C31.5562 102.319 33.4688 102 34.425 100.406L44.625 85.1062L54.825 100.406C55.4625 101.362 56.4188 101.681 57.375 101.681C58.0125 101.681 58.65 101.362 59.2875 101.044C60.8813 100.087 61.2 98.1749 60.2437 96.5812L50.6812 82.5562H66.9375C71.7188 82.5562 75.5437 79.3687 76.1812 74.9062L90.8438 82.2374C91.4812 82.8749 91.8 82.875 92.4375 82.875C93.075 82.875 93.7125 82.5562 94.0312 82.5562C94.9875 81.9187 95.625 80.9624 95.625 79.6875V47.8124C95.625 46.8562 94.9875 45.5812 94.0312 44.9437Z" fill="white" />
                        <path d="M60.5625 3.1875C53.8688 3.1875 48.1312 6.69375 44.625 11.7937C41.1187 6.69375 35.3813 3.1875 28.6875 3.1875C18.1687 3.1875 9.5625 11.7937 9.5625 22.3125C9.5625 32.8312 18.1687 41.4375 28.6875 41.4375C35.3813 41.4375 41.1187 37.9313 44.625 32.8313C48.1312 37.9313 53.8688 41.4375 60.5625 41.4375C71.0812 41.4375 79.6875 32.8312 79.6875 22.3125C79.6875 11.7937 71.0812 3.1875 60.5625 3.1875ZM28.6875 28.6875C25.1812 28.6875 22.3125 25.8188 22.3125 22.3125C22.3125 18.8062 25.1812 15.9375 28.6875 15.9375C32.1938 15.9375 35.0625 18.8062 35.0625 22.3125C35.0625 25.8188 32.1938 28.6875 28.6875 28.6875ZM60.5625 28.6875C57.0563 28.6875 54.1875 25.8188 54.1875 22.3125C54.1875 18.8062 57.0563 15.9375 60.5625 15.9375C64.0687 15.9375 66.9375 18.8062 66.9375 22.3125C66.9375 25.8188 64.0687 28.6875 60.5625 28.6875Z" fill="white" />
                    </svg>
                </div>
                <form action="{{ route('selectrole') }}" method="POST">
                    @csrf
                    <input type="submit" name="submit" value="I'm a Producer" class="border-0 rounded-pill bg-light">
                </form>
                <div class="text-light mt-4">
                    Join our invite-only marketplace, browse, option, and purchase production-ready scripts from trained writers across the globe.
                </div>
            </div>
        </div>
    </div>
    <footer>
        <div class="text-center">
            <a href="">Privacy Policy</a>
            <a href="">Terms & Conditions</a>
        </div>
    </footer>
</body>

</html>