<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="{{ asset('/css/app.css') }}" rel="stylesheet">
    <script src="{{ asset('/js/app.js') }}" defer></script>
    <title>Reset Password</title>
    <style>
        body{
            background-color: #fff;
        }
        .Reset_Password_body>header>img {
            object-fit: contain;
            padding-left: 5rem;
            
        }

        .Reset_Password_body .container {
            width: fit-content;
            margin-inline: auto;
            display: flex;
            justify-content: center;
        }

        .Reset_Password_body .container > div.row{
            width: 100%;
        }

        .Reset_Password_body .container h4 {
            font-weight: 600;
            margin-top: -30px;
            
        }

        .Reset_Password_body .container p {
            font-size: 14px;
            font-weight: 600;
        }

        .Reset_Password_body .container label {
            font-weight: 600;
        }

        .Reset_Password_body .container input {
            height: 3rem;
            padding-inline: 2.5rem;
        }

        .Reset_Password_body .container button {
            width: 100%;
            background-color: #207BF3;
            color: #fff;
            border-radius: 10px;
            padding-block: 0.6rem;
            font-size: 18px;
        }

        .Reset_Password_body .inputfield_eye {
            position: relative;
        }

        .Reset_Password_body .inputfield_eye span {
            position: absolute;
            top: 11px;
            right: 15px;
            color: #C2C2C2;
        }

        div#reset_password_success div.modal-body>div:first-child>div {
            background-color: #3BB54A;
            height: 3rem;
            width: 3rem;
            line-height: 3rem;
        }

        div#reset_password_success div.modal-body>div:first-child>div>i {
            color: #fff;
            font-size: 18px;
        }

        div#reset_password_success div.modal-body>h4 {
            font-weight: var(--large-font-weight);
            color: #3BB54A;
        }

        div#reset_password_success div.modal-body>p {
            font-size: 14px;
        }

        div#reset_password_success div.modal-body>div:nth-last-child(1) button {
            width: 100%;
            background-color: #207BF3;
            border-radius: 10px;
            padding-block: 0.7rem;
            font-size: 18px;
            letter-spacing: 0.1rem;
        }

        div#reset_password_success div.modal-body>div:nth-last-child(1) button > a{
            text-decoration: none;
            color: #fff;
        }

        /* Small Screens */

        @media screen and (min-width: 768px) {

            .Reset_Password_body .container > div.row{
                width: 75%;
            }

        }

        @media screen and (max-width: 768px) {

            .Reset_Password_body>header{
                text-align: center;
            }
            .Reset_Password_body>header>img {
                object-fit: contain;
                padding-left: 0;
            }

        }
    </style>
</head>

<body class="Reset_Password_body">
    <header>
        <img src="{{ asset('/img/wo accelerator Logo.jpg') }}" width="300px" height="100px" alt="" class="img-fluid">
    </header>
    <div class="container mt-md-5 mt-0">
        <div class="row">
            <h4 class="text-center">Reset Password</h4>
            <p class="text-center mb-5">Enter your new password</p>
            <form action="" class="px-3 px-sm-0">
                @csrf
                <div class="mb-5">
                    <label for="screenwriter_reset_password" class="form-label">New Password</label>
                    <div class="inputfield_eye">
                        <input type="password" class="form-control" name="screenwriter_reset_password" id="screenwriter_reset_password" placeholder="New Password" autocomplete="on">
                        <span class="password_eye"><i class="fa-solid fa-eye"></i></span>
                    </div>
                </div>
                <div class="mb-5">
                    <label for="screenwriter_reset_password_confirm" class="form-label">Confirm New Password</label>
                    <input type="password" class="form-control" name="screenwriter_reset_password_confirmation" id="screenwriter_reset_password_confirm" placeholder="Confirm Your Password" autocomplete="on">
                </div>
                <div class="mb-5 text-center">
                    <button type="button" class="border-0" data-bs-toggle="modal" data-bs-target="#reset_password_success">Continue</button>
                </div>
            </form>
        </div>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="reset_password_success" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="reset_password_success_Label" aria-hidden="true">
        <div class="modal-dialog m-0 top-50 start-50 translate-middle h-100 pt-5">
            <div class="modal-content">
                <div class="modal-body px-sm-5 px-2 mt-3">
                    <div class="d-flex justify-content-center">
                        <div class="rounded-circle text-center">
                            <i class="fa-solid fa-check"></i>
                        </div>
                    </div>
                    <h4 class="mt-3 mb-3 text-center">The password has been updated</h4>
                    <p class="text-center mb-1">Your password has been successfully reset.</p>
                    <p class="text-center mb-5">Click below to log in magically.</p>
                    <div class="mb-3 text-center">
                        <button type="button" class="border-0 w-75" data-bs-dismiss="modal" data-bs-toggle="modal">
                            <a href="">Continue</a>
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script>
        $(document).ready(function() {
            var eyeIcon = $('.password_eye i');
            eyeIcon.on('click', (e) => {
                if ($(e.target).hasClass('fa-eye')) {
                    $(e.target).removeClass('fa-eye');
                    $(e.target).addClass('fa-eye-slash');
                    $(e.target).parent().prev().attr('type', 'text');
                } else {
                    $(e.target).removeClass('fa-eye-slash');
                    $(e.target).addClass('fa-eye');
                    $(e.target).parent().prev().attr('type', 'password');
                }
            })
        })
    </script>
</body>

</html>