<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="{{ asset('/css/app.css') }}" rel="stylesheet">
    <script src="{{ asset('/js/app.js') }}"></script>
    <title>Reset Password</title>
    <style>
        body {
            background-color: #fff;
        }

        .Reset_Password_body>header>img {
            object-fit: contain;
            padding-left: 5rem;

        }

        .Reset_Password_body .container {
            width: 33%;
        }

        .Reset_Password_body .container h2 {
            font-weight: 600;
            margin-top: -30px;

        }

        .Reset_Password_body .container p {
            font-size: 14px;
            margin-bottom: 3.5rem;
        }

        .Reset_Password_body .container form>div:nth-of-type(1) {
            margin-bottom: 3.5rem;
        }

        .Reset_Password_body .container label {
            font-weight: 500;
        }

        .Reset_Password_body .container input {
            height: 3rem;
            padding-inline: 1rem;
        }

        .Reset_Password_body .container button {
            width: 100%;
            background-color: #207BF3;
            color: #fff;
            border-radius: 10px;
            padding-block: 0.6rem;
            font-size: 18px;
        }

        div#reset_password_link_send div.modal-body>div:first-child>div {
            background-color: #3BB54A;
            height: 3rem;
            width: 3rem;
            line-height: 3rem;
        }

        div#reset_password_link_send div.modal-body>div:first-child>div>i {
            color: #fff;
            font-size: 18px;
        }

        div#reset_password_link_send div.modal-body>h4 {
            font-weight: var(--large-font-weight);
            color: #3BB54A;
        }

        div#reset_password_link_send div.modal-body>p {
            font-size: 14px;
        }

        div#reset_password_link_send div.modal-body>div:nth-last-child(1) a {
            text-decoration: none;
        }

        div#reset_password_link_send div.modal-body>div:nth-last-child(1) button {
            width: 100%;
            background-color: #207BF3;
            border-radius: 10px;
            padding-block: 0.7rem;
            font-size: 18px;
            letter-spacing: 0.1rem;
            color: #fff;
        }

        /* Small Screens */
        @media screen and (max-width: 1200px) {

            .Reset_Password_body .container {
                width: 42%;
            }

        }

        @media screen and (max-width: 992px) {

            .Reset_Password_body .container {
                width: 50%;
            }

        }

        @media screen and (max-width: 768px) {

            .Reset_Password_body .container {
                width: 100%;
            }

        }

        @media screen and (max-width: 768px) {

            .Reset_Password_body>header {
                text-align: center;
            }

            .Reset_Password_body>header>img {
                object-fit: contain;
                padding-left: 0;
            }

        }

        /* Loader  */

        .loader-parent {
            display: flex;
            justify-content: center;
            align-items: center;
            min-height: 100vh;
            position: fixed;
            width: 100%;
            z-index: 1;
        }

        .loader {
            border: 8px solid #d8cccc;
            border-radius: 50%;
            border-top: 8px solid #2B79BD;
            /* border-bottom: 16px solid #2B79BD;
            border-left: 16px solid #FF9330;
            border-right: 16px solid #FF9330; */
            width: 70px;
            height: 70px;
            -webkit-animation: spin 1s linear infinite;
            animation: spin 1s linear infinite;
        }

        @-webkit-keyframes spin {
            0% {
                -webkit-transform: rotate(0deg);
            }

            100% {
                -webkit-transform: rotate(360deg);
            }
        }

        @keyframes spin {
            0% {
                transform: rotate(0deg);
            }

            100% {
                transform: rotate(360deg);
            }
        }
    </style>
</head>

<body class="Reset_Password_body">
    <div class="loader-parent d-none">
        <div class="loader"></div>
    </div>
    <header>
        <img src="{{ asset('/img/wo accelerator Logo.jpg') }}" width="300px" height="100px" alt="" class="img-fluid">
    </header>
    <div class="container mt-md-5 mt-0">
        <div class="row mx-0 w-100">
            <h2 class="text-center">Reset Your Password</h2>
            <p class="text-center">Enter the email address you used when you joined and we'll send you instructions to reset your password</p>
            <form id="resetForm" action="" class="px-3 px-sm-0">
                @csrf
                <div class="bg-danger p-4 rounded-lg mb-5 text-light text-center d-none auth_failed"></div>
                <div class="mb-5">
                    <label for="email" class="form-label">Email Address</label>
                    <input type="enail" class="form-control" name="email" id="email" placeholder="Enter your Email Address" required>
                    <div class="text-danger mt-2 fs-6 email_error"></div>
                </div>
                <div class="mb-5 text-center">
                    <button type="submit" class="border-0">Reset Password</button>
                </div>
            </form>
        </div>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="reset_password_link_send" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="reset_password_link_send_Label" aria-hidden="true">
        <div class="modal-dialog m-0 top-50 start-50 translate-middle h-100 pt-5">
            <div class="modal-content">
                <div class="modal-body px-sm-5 px-2 mt-3">
                    <div class="d-flex justify-content-center">
                        <div class="rounded-circle text-center">
                            <i class="fa-solid fa-check"></i>
                        </div>
                    </div>
                    <h4 class="mt-3 mb-3 text-center">The Reset Password Link has been Send</h4>
                    <div class="mb-3 text-center">
                        <a href="{{ route('login') }}">
                            <button type="button" class="border-0 w-75">Continue</button>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script type="module" src="{{ asset('/js/firebase-config.js') }}" defer></script>
    <script type="module" defer>
        import {
            getAuth,
            sendPasswordResetEmail,
        } from 'https://www.gstatic.com/firebasejs/9.8.4/firebase-auth.js';

        // Form Fields Validation on Keyup Event
        $('form input').on('keyup', (e) => {
            const targetField = $(e.currentTarget);

            // For Adjusting message according to Field
            const targetFieldName = targetField.attr('name');
            var requireMessage = '';
            switch (targetFieldName) {
                case 'email':
                    requireMessage = 'The Email Address is Required Field';
                    break;
            }

            var fieldValue = targetField.val();
            const errorField = targetField.next('div.text-danger');

            // Required Message
            if (fieldValue == '') {
                errorField.text(requireMessage);
                targetField.addClass('border border-danger');
            } else {
                errorField.text('');
                targetField.removeClass('border border-danger');
            }

            // Valid Email Message
            if (errorField.text() == '') {
                let result = fieldValue.match(/^([a-zA-Z0-9_\-\.\+]+)@([a-zA-Z0-9_\-\.]+)\.([a-zA-Z]{2,5})$/);
                if (!result) {
                    errorField.text('Enter a Valid Email Address');
                    targetField.addClass('border border-danger');
                }
            }
        });

        // Function to check the form validation during submission
        function submittionTimeValidation(form) {
            var results = true;
            var generalResults = true;

            // Form Values
            const formValues = ['email'];

            // Loop to check the fields
            formValues.forEach(elem => {
                if (form.get(elem) == '') {
                    results = false;
                }
            });

            var allErrorFields = $('.text-danger');
            for (let i = 0; i < allErrorFields.length; i++) {
                if (allErrorFields[i].innerText != '') {
                    generalResults = false;
                }
            }

            if (results == false || generalResults == false) {
                return false;
            } else {
                return true;
            }

        }

        $("#resetForm").on('submit', (e) => {
            e.preventDefault();
            $('.loader-parent').removeClass('d-none');
            var form = new FormData(e.currentTarget);

            // Form Validation during Submission
            const result = submittionTimeValidation(form);

            if (result) {
                const auth = getAuth();
                const email = form.get('email');

                if (email == '') {
                    $('.loader-parent').addClass('d-none');
                    $('.email_error').text('Email is Required Field');
                } else {
                    $.ajax({
                        async: false,
                        type: "post",
                        url: "{{ route('resetmail') }}",
                        data: {
                            "_token": "{{ csrf_token() }}",
                            "user_email": email,
                        },
                        success: function(response) {
                            if (response == "") {
                                $('.loader-parent').addClass('d-none');
                                $('.auth_failed').removeClass('d-none');
                                $('.auth_failed').text('The Email Address is not Registered');
                            } else {
                                const phone = response[0];
                                const role = response[1];

                                // Remove Error Message If any
                                if (!$('.auth_failed').hasClass('d-none')) {
                                    $('.auth_failed').addClass('d-none');
                                    $('.auth_failed').text('');
                                }

                                // Check if phone Number is Valid US Number
                                if (phone) {
                                    var current_url = new URL(location.href);
                                    var host_name = current_url.origin;
                                    if (host_name == 'http://127.0.0.1:8000') {
                                        host_name = 'http://localhost:8000';
                                    }

                                    const url = current_url.pathname;
                                    var lastPartUrl = '';

                                    if(role == 'screenwriter' || role == 'producer' || role == null){
                                        lastPartUrl = '/login';
                                    }else if(role == 'analyst'){
                                        lastPartUrl = '/analyst/login';
                                    }else if(role == 'admin'){
                                        lastPartUrl = '/wocontrolpanel20/login';
                                    }else if(role == 'superadmin'){
                                        lastPartUrl = '/superadmin/login';
                                    }

                                    const custom_url = host_name + lastPartUrl;
                                    const actionCodeSettings = {
                                        // URL you want to redirect back to. The domain (www.example.com) for this
                                        // URL must e in the authorized domains list in the Firebase Console.
                                        url: custom_url,
                                        // This must be true.
                                        handleCodeInApp: true,
                                    };

                                    sendPasswordResetEmail(auth, email, actionCodeSettings)
                                        .then(() => {
                                            $('.loader-parent').addClass('d-none');
                                            $('#reset_password_link_send').modal('show');
                                        })
                                        .catch((error) => {
                                            $('.loader-parent').addClass('d-none');
                                            const errorCode = error.code;
                                            const errorMessage = error.message;
                                            console.log(errorCode, errorMessage);
                                            $('.auth_failed').removeClass('d-none');
                                            $('.auth_failed').text(errorMessage);
                                        });
                                } else {
                                    $('.loader-parent').addClass('d-none');
                                    $('.auth_failed').removeClass('d-none');
                                    $('.auth_failed').text('Users Sign In with Providers cannot Reset Password');
                                }
                            }

                        },
                        error: function(error) {
                            var errorResponse = JSON.parse(error.responseText).errors;
                            console.log(errorResponse);
                            $('.loader-parent').addClass('d-none');
                            $('.auth_failed').removeClass('d-none');
                            $('.auth_failed').text(errorResponse);
                        }
                    });
                }
            } else {

                var allErrorFields = $('.text-danger');
                var ifTextAvailable = false;
                $('.loader-parent').addClass('d-none');
                for (let i = 0; i < allErrorFields.length; i++) {
                    if (allErrorFields[i].innerText != '') {
                        $('.auth_failed').addClass('d-none');
                        $('.auth_failed').text('');
                        ifTextAvailable = true;
                        break;
                    }
                }

                if (!ifTextAvailable) {
                    $('.auth_failed').removeClass('d-none');
                    $('.auth_failed').text('Enter your Full Details');
                }
            }

        });
    </script>

</body>

</html>