<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="{{ asset('/css/app.css') }}" rel="stylesheet">
    <script src="{{ asset('/js/app.js') }}" defer></script>
    <title>Register</title>
    <style>
        body {
            font-family: sans-serif;
            background-color: #fff;
        }

        .Login_Password_body>header>img {
            object-fit: contain;
            padding-left: 4rem;
        }

        .Login_Password_body .container {
            width: 33%;
        }

        .Login_Password_body .container h2 {
            font-weight: 500;
            font-size: 35px;
            margin-top: -30px;
        }

        .Login_Password_body .container>div>div.provider>div {
            display: inline-block;
            padding-block: 0.7rem;
            border: 2px solid #EAECEE;
            width: 100%;
            text-decoration: none;
            color: #000;
            border-radius: 7px;
            text-align: center;
            cursor: pointer;
        }

        .Login_Password_body .container>div>div:nth-of-type(1)>div>i {
            color: #2B79BD;
        }

        .Login_Password_body .container>div>div:nth-of-type(1)>div>span {
            margin-left: 0.7rem;
        }

        .Login_Password_body .container>div>div:nth-of-type(2)>div>i {
            color: #2B79BD;
        }

        .Login_Password_body .container>div>div:nth-of-type(2)>div>span {
            margin-left: 1rem;
        }

        .Login_Password_body .container>div>div:nth-of-type(3)>div>span {
            margin-left: 1rem;
        }

        .Login_Password_body .container>div>div.linerow>div:nth-child(1) {
            width: 47%;
        }

        .Login_Password_body .container>div>div.linerow>div:nth-child(2) {
            width: 6%;
        }

        .Login_Password_body .container>div>div.linerow>div:nth-child(3) {
            width: 47%;
        }

        .Login_Password_body .container label:not(label[for='admin_rememberme']) {
            font-weight: 500;
            font-size: 14px;
        }

        .Login_Password_body .container input:not(input[type='checkbox']) {
            height: 3rem;
            padding-inline: 1.5rem;
        }

        .Login_Password_body .container form span {
            color: #2B79BD;
        }

        .Login_Password_body .container button {
            width: 100%;
            background-color: #2B79BD;
            color: #fff;
            border-radius: 10px;
            padding-block: 0.6rem;
            font-size: 18px;
            letter-spacing: 0.1rem;
        }

        /* Small Screens */

        @media screen and (max-width: 1200px) {

            .Login_Password_body .container {
                width: 42%;
            }

        }

        @media screen and (max-width: 992px) {

            .Login_Password_body .container {
                width: 50%;
            }

        }

        @media screen and (max-width: 768px) {

            .Login_Password_body .container {
                width: 100%;
            }

        }

        @media screen and (max-width: 576px) {

            .Login_Password_body>header {
                text-align: center;
            }

            .Login_Password_body>header>img {
                object-fit: contain;
                padding-left: 0;
            }

        }

        /* Modal */

        div#verification_send div.modal-body>div:first-child>div {
            background-color: #3BB54A;
            height: 3rem;
            width: 3rem;
            line-height: 3rem;
        }

        div#verification_send div.modal-body>div:first-child>div>i {
            color: #fff;
            font-size: 18px;
        }

        div#verification_send div.modal-body>h4 {
            font-weight: 700;
            color: #3BB54A;
        }

        div#verification_send div.modal-body>p {
            font-size: 14px;
        }

        div#verification_send div.modal-body>div:nth-last-child(1) button {
            width: 100%;
            background-color: #207BF3;
            border-radius: 10px;
            padding-block: 0.7rem;
            font-size: 18px;
            letter-spacing: 0.1rem;
            text-decoration: none;
            color: #fff;
        }

        /* Loader  */

        .loader-parent {
            display: flex;
            justify-content: center;
            align-items: center;
            min-height: 100vh;
            position: fixed;
            width: 100%;
            z-index: 1;
        }

        .loader {
            border: 8px solid #d8cccc;
            border-radius: 50%;
            border-top: 8px solid #2B79BD;
            /* border-bottom: 16px solid #2B79BD;
            border-left: 16px solid #FF9330;
            border-right: 16px solid #FF9330; */
            width: 70px;
            height: 70px;
            -webkit-animation: spin 1s linear infinite;
            animation: spin 1s linear infinite;
        }

        @-webkit-keyframes spin {
            0% {
                -webkit-transform: rotate(0deg);
            }

            100% {
                -webkit-transform: rotate(360deg);
            }
        }

        @keyframes spin {
            0% {
                transform: rotate(0deg);
            }

            100% {
                transform: rotate(360deg);
            }
        }
    </style>
</head>

<body class="Login_Password_body">
    <div class="loader-parent d-none">
        <div class="loader"></div>
    </div>
    <header>
        <img src="{{ asset('/img/wo accelerator Logo.jpg') }}" width="300px" height="100px" alt="" class="img-fluid">
    </header>
    <div class="container mt-0">
        <div class="row mx-0 w-100">
            <h2 class="text-center mb-4">Register</h2>
            <div class="provider position-relative mb-3 google_provider">
                <div>
                    <i class="fa-brands fa-google"></i>
                    <span>Sign In With Google</span>
                </div>
            </div>
            <div class="provider position-relative mb-3 facebook_provider">
                <div>
                    <i class="fa-brands fa-facebook-f"></i>
                    <span>Sign In With Facebook</span>
                </div>
            </div>
            <!-- <div class="provider position-relative mb-3 apple_provider">
                <div>
                    <i class="fa-brands fa-apple"></i>
                    <span>Sign In with Apple</span>
                </div>
            </div> -->
            <div class="row mx-0 w-100 linerow mb-3">
                <div class="ps-0">
                    <hr>
                </div>
                <div class="text-center px-0">or</div>
                <div class="pe-0">
                    <hr>
                </div>
            </div>
            <form action="{{ route('signup') }}" id="signup" method="post">
                @csrf
                <div class="bg-danger p-4 rounded-lg mb-5 text-light text-center d-none auth_failed"></div>
                <div class="mb-3">
                    <label for="first_name" class="form-label">First Name</label>
                    <input type="text" class="form-control" name="first_name" id="first_name" value="">
                    <div class="text-danger mt-2 fs-6 first_name_error"></div>
                </div>
                <div class="mb-3">
                    <label for="last_name" class="form-label">Last Name</label>
                    <input type="text" class="form-control" name="last_name" id="last_name" value="">
                    <div class="text-danger mt-2 fs-6 last_name_error"></div>
                </div>
                <div class="mb-3">
                    <label for="email" class="form-label">Email Address</label>
                    <input type="email" class="form-control" name="email" id="email" value="">
                    <div class="text-danger mt-2 fs-6 email_error"></div>
                </div>
                <div class="mb-3">
                    <label for="phone" class="form-label">Phone Number</label>
                    <input type="tel" class="form-control" name="phone" id="phone" value="" placeholder="323-239-3493 OR 3248948384">
                    <div class="text-danger mt-2 fs-6 phone_error"></div>
                </div>
                <div class="mb-4">
                    <label for="password" class="form-label">Password</label>
                    <input type="password" class="form-control" name="password" id="password" value="" autocomplete="on">
                    <div class="text-danger mt-2 fs-6 password_error"></div>
                </div>
                <div class="mb-4">
                    <label for="password_confirmation" class="form-label">Confirm Password</label>
                    <input type="password" class="form-control" name="password_confirmation" id="password_confirmation" value="" autocomplete="on">
                    <div class="text-danger mt-2 fs-6 confirmed_password_error"></div>
                </div>
                <div class="mb-3 text-sm-start text-center">
                    <label class="form-check-label mb-sm-0 mb-3" for="terms">
                        <input type="checkbox" class="form-check-input me-1" name="terms" id="terms">
                        Accept Terms & Privacy Policy
                    </label>
                    <div class="text-danger mt-2 fs-6 terms_error"></div>
                </div>
                <div class="mb-4 text-center">
                    <button type="submit" class="border-0">Create An Account</button>
                </div>
                <p class="text-center">Already have an account? <a href='{{route("login")}}'>Login</a></p>
                <div id="recaptcha-container" class="d-flex justify-content-center"></div>
            </form>
        </div>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="verification_send" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="verification_send_Label" aria-hidden="true">
        <div class="modal-dialog m-0 top-50 start-50 translate-middle h-100 pt-5">
            <div class="modal-content">
                <div class="modal-body px-sm-5 px-2 mt-3">
                    <div class="d-flex justify-content-center">
                        <div class="rounded-circle text-center">
                            <i class="fa-solid fa-check"></i>
                        </div>
                    </div>
                    <h4 class="mt-3 mb-3 text-center">Verification Email Sent</h4>
                    <p class="text-center mb-1">A Verification Email has been send to your Email Address</p>
                    <p class="text-center mb-5">Please Verify to Login to the account.</p>
                    <div class="mb-3 text-center">
                        <button type="button" class="border-0 w-75 change_url" data-bs-modal="dismiss">
                            OK
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script type="module" src="{{ asset('/js/firebase-config.js') }}" crossorigin="anonymous" defer></script>
    <script type="module" defer>
        import {
            getAuth,
            onAuthStateChanged,
            multiFactor,
            getMultiFactorResolver,
            RecaptchaVerifier,
            PhoneAuthProvider,
            PhoneMultiFactorGenerator,
            createUserWithEmailAndPassword,
            sendEmailVerification,
            signInWithPopup,
            GoogleAuthProvider,
            FacebookAuthProvider,
        } from 'https://www.gstatic.com/firebasejs/9.8.4/firebase-auth.js';

        //GOOGLE SIGN IN
        $('.google_provider').on('click', () => {
            $('.auth_failed').addClass('d-none');
            $('.auth_failed').text('');
            const googleAuth = getAuth();
            const Gprovider = new GoogleAuthProvider();
            signInWithPopup(googleAuth, Gprovider)
                .then((result) => {
                    $('.loader-parent').removeClass('d-none');
                    // This gives you a Google Access Token. You can use it to access the Google API.
                    const credential = GoogleAuthProvider.credentialFromResult(result);
                    const token = credential.accessToken;
                    // The signed-in user info.
                    const user = result.user;
                    const uid = user.uid;
                    const fullName = user.providerData[0].displayName;
                    var first_name = '';
                    var last_name = '';
                    const nameArray = fullName.split(' ');
                    if (nameArray.length > 0) {
                        first_name = nameArray[0];
                        var last = '';
                        for (let i = 1; i < nameArray.length; i++) {
                            if (nameArray.length = 2) {
                                last += nameArray[i];
                            } else {
                                last += nameArray[i] + ' ';
                            }
                        }
                        last_name = last;
                    } else {
                        first_name = fullName;
                        last_name = ' ';
                    }
                    const email = user.providerData[0].email;
                    const terms = 'on';
                    console.log(user);
                    // Ajax call to Controller
                    $.ajax({
                        async: false,
                        type: "post",
                        url: "{{ route('signup') }}",
                        data: {
                            "_token": "{{ csrf_token() }}",
                            "provider_first_name": first_name,
                            "provider_last_name": last_name,
                            "provider_email": email,
                            "provider_uid": uid,
                        },
                        success: function(response) {
                            $('.loader-parent').addClass('d-none');
                            location.href = (new URL(location.href)).origin + '/role';
                        },
                        error: function(error) {
                            const error_message = JSON.parse(error.responseText).message;
                            console.log(error_message);
                            if (error_message == 'The given data was invalid.') {
                                $('.auth_failed').removeClass('d-none');
                                $('.auth_failed').text('Email is already Registered');
                            } else {
                                $('.auth_failed').removeClass('d-none');
                                $('.auth_failed').text('' + error_message + '');
                            }
                            $('.loader-parent').addClass('d-none');
                        }
                    });
                }).catch((error) => {
                    // Handle Errors here.
                    const errorCode = error.code;
                    const errorMessage = error.message;
                    const credential = GoogleAuthProvider.credentialFromError(error);
                    console.log(errorCode, errorMessage, credential);
                });
        });


        //FACEBOOK SIGN IN
        $('.facebook_provider').on('click', () => {
            const facebookAuth = getAuth();
            const FBprovider = new FacebookAuthProvider();
            signInWithPopup(facebookAuth, FBprovider)
                .then((result) => {
                    $('.loader-parent').removeClass('d-none');
                    // This gives you a Facebook Access Token. You can use it to access the Facebook API.
                    const credential = FacebookAuthProvider.credentialFromResult(result);
                    const accessToken = credential.accessToken;
                    // The signed-in user info.
                    const user = result.user;
                    const uid = user.uid;
                    const fullName = user.providerData[0].displayName;
                    var first_name = '';
                    var last_name = '';
                    const nameArray = fullName.split(' ');
                    if (nameArray.length > 0) {
                        first_name = nameArray[0];
                        var last = '';
                        for (let i = 1; i < nameArray.length; i++) {
                            if (nameArray.length = 2) {
                                last += nameArray[i];
                            } else {
                                last += nameArray[i] + ' ';
                            }
                        }
                        last_name = last;
                    } else {
                        first_name = fullName;
                        last_name = ' ';
                    }
                    const email = user.providerData[0].email;
                    const terms = 'on';
                    console.log(user);

                    // Ajax call to Controller
                    $.ajax({
                        async: false,
                        type: "post",
                        url: "{{ route('signup') }}",
                        data: {
                            "_token": "{{ csrf_token() }}",
                            "provider_first_name": first_name,
                            "provider_last_name": last_name,
                            "provider_email": email,
                            "provider_uid": uid,
                        },
                        success: function(response) {
                            $('.loader-parent').addClass('d-none');
                            console.log(response);
                            location.href = (new URL(location.href)).origin + '/role';
                        },
                        error: function(error) {
                            const error_message = JSON.parse(error.responseText).message;
                            console.log(error_message);
                            if (error_message == 'The given data was invalid.') {
                                $('.auth_failed').removeClass('d-none');
                                $('.auth_failed').text('Email is already Registered');
                            } else {
                                $('.auth_failed').removeClass('d-none');
                                $('.auth_failed').text('' + error_message + '');
                            }
                            $('.loader-parent').addClass('d-none');
                        }
                    });
                })
                .catch((error) => {
                    // Handle Errors here.
                    const errorCode = error.code;
                    const errorMessage = error.message;
                    // The email of the user's account used.
                    const email = error.customData.email;
                    // The AuthCredential type that was used.
                    const credential = FacebookAuthProvider.credentialFromError(error);
                    console.log(errorCode, errorMessage, email, credential);
                });
        });


        $('.change_url').on('click', () => {
            location.href = (new URL(location.href)).origin + '/login';
        });

        // Form Fields Validation on Keyup Event
        $('form input').not('input[type="checkbox"]').on('keyup', (e) => {
            const targetField = $(e.currentTarget);

            // For Adjusting message according to Field
            const targetFieldName = targetField.attr('name');
            var requireMessage = '';
            switch (targetFieldName) {
                case 'first_name':
                    requireMessage = 'The First Name is Required';
                    break;
                case 'last_name':
                    requireMessage = 'The Last Name is Required';
                    break;
                case 'email':
                    requireMessage = 'The Email Address is Required';
                    break;
                case 'phone':
                    requireMessage = 'The Phone Number is Required';
                    break;
                case 'password':
                    requireMessage = 'The Password is Required';
                    break;
                case 'password_confirmation':
                    requireMessage = 'The Password Confirmation is Required';
                    break;
            }

            var fieldValue = targetField.val();
            const errorField = targetField.next('div.text-danger');

            // Required Message
            if (fieldValue == '') {
                errorField.text(requireMessage);
                targetField.addClass('border border-danger');
            } else {
                errorField.text('');
                targetField.removeClass('border border-danger');
            }

            // Valid Email Message - Note that the below regex does work despite any linting errors you receieve.
            // You can alsways use regexlib.com or regex101.com for testing.
            if (targetFieldName == 'email') {
                if (errorField.text() == '') {
                    let result = fieldValue.match(/^([a-zA-Z0-9_\-\.\+]+)@([a-zA-Z0-9_\-\.]+)\.([a-zA-Z]{2,5})$/);
                    if (!result) {
                        errorField.text('Enter a Valid Email Address');
                        targetField.addClass('border border-danger');
                    }
                }
            }

            // Valid Phone Number
            if (targetFieldName == 'phone') {
                if (errorField.text() == '') {
                    let result = fieldValue.match(/(^(\([0-9]{3}\) |[0-9]{3}-)[0-9]{3}-[0-9]{4}$)|(^[0-9]{10}$)/);
                    if (!result) {
                        errorField.text('The Phone Number is not Valid');
                        targetField.addClass('border border-danger');
                    }
                }
            }

            // Confirm Password
            if (targetFieldName == 'password_confirmation') {
                if (errorField.text() == '') {
                    let password = $('form input[name="password"]').val();
                    if (fieldValue != password) {
                        errorField.text('The Password is not Confirmed');
                        targetField.addClass('border border-danger');
                    }else{
                        $('form input[name="password"]').next('div.text-danger').text('');
                        $('form input[name="password"]').removeClass('border border-danger');
                    }
                }
            }

            // Confirm Password 2
            if (targetFieldName == 'password') {
                if (errorField.text() == '') {
                    let password = $('form input[name="password_confirmation"]').val();
                    if(password != ''){
                        if (fieldValue != password) {
                            $('form input[name="password_confirmation"]').next('div.text-danger').text('The Password is not Confirmed');
                            $('form input[name="password_confirmation"]').addClass('border border-danger');
                        }else{
                            $('form input[name="password_confirmation"]').next('div.text-danger').text('');
                            $('form input[name="password"]').removeClass('border border-danger');
                        }
                    }
                }
            }
        });

        // Form Validation for checkbox
        $('form input[type="checkbox"]').on('change', (e) => {
            const target = $(e.currentTarget);
            const errorCheckfield = target.parent().next('div.text-danger');
            if (!target.is(':checked')) {
                errorCheckfield.text('The terms must be accepted');
                target.addClass('border border-danger');
            } else {
                errorCheckfield.text('');
                target.removeClass('border border-danger');
            }
        });

        // Function to check the form validation during submission
        function submittionTimeValidation(form) {

            var termsResult = true;
            var otherResults = true;
            var generalResults = true;

            // Form Values
            const formValues = ['first_name', 'last_name', 'email', 'phone', 'terms'];

            // Loop to check the fields
            formValues.forEach(elem => {
                if (elem == 'terms') {
                    if (form.get(elem) != 'on') {
                        termsResult = false;
                    }
                } else {
                    if (form.get(elem) == '') {
                        otherResults = false;
                    }
                }
            });

            var allErrorFields = $('.text-danger');
            for (let i = 0; i < allErrorFields.length; i++) {
                if (allErrorFields[i].innerText != '') {
                    generalResults = false;
                }
            }

            if (termsResult == false || otherResults == false || generalResults == false) {
                return false;
            } else {
                return true;
            }

        }

        // Form Registration
        $('#signup').submit((e) => {
            e.preventDefault();

            $('.loader-parent').removeClass('d-none');
            var form = new FormData(e.currentTarget);

            // Form Validation during Submission
            const result = submittionTimeValidation(form);
            if (result) {
                // Sending to controller for validation
                $.ajax({
                    async: false,
                    type: "post",
                    url: "{{ route('signup') }}",
                    data: {
                        "_token": "{{ csrf_token() }}",
                        "first_name": form.get('first_name'),
                        "last_name": form.get('last_name'),
                        "email": form.get('email'),
                        "password": form.get('password'),
                        "password_confirmation": form.get('password_confirmation'),
                        "phone": form.get('phone'),
                        "terms": form.get('terms')
                    },
                    success: function(response) {
                        // Remmove Error Meesssages if any
                        if ($('#first_name').hasClass('border-danger')) {
                            $('.first_name_error').text('');
                            $('#first_name').removeClass('border border-danger');
                        }
                        if ($('#last_name').hasClass('border-danger')) {
                            $('.last_name_error').text('');
                            $('#last_name').removeClass('border border-danger');
                        }
                        if ($('#email').hasClass('border-danger')) {
                            $('.email_error').text('');
                            $('#email').removeClass('border border-danger');
                        }
                        if ($('#phone').hasClass('border-danger')) {
                            $('.phone_error').text('');
                            $('#phone').removeClass('border border-danger');
                        }
                        if ($('#password').hasClass('border-danger')) {
                            $('.password_error').text('');
                            $('#password').removeClass('border border-danger');
                        }
                        if ($('#terms').hasClass('border-danger')) {
                            $('.terms_error').text('');
                            $('#terms').removeClass('border border-danger');
                        }

                        // If Scucessful then go to firebase
                        const auth = getAuth();
                        const first_name = form.get('first_name');
                        const last_name = form.get('last_name');
                        const email = form.get('email');
                        const phone = form.get('phone');
                        const password = form.get('password');


                        createUserWithEmailAndPassword(auth, email, password)
                            .then((userCredential) => {

                                if ($('#email').hasClass('border-danger')) {
                                    $('.email_error').text('');
                                    $('#email').removeClass('border border-danger');
                                }
                                if (!($('.auth_failed').hasClass('d-none'))) {
                                    $('.auth_failed').addClass('d-none');
                                    $('.auth_failed').text('');
                                }

                                const user = userCredential.user;
                                const user_email = user.email;
                                const user_uid = user.uid;
                                console.log(user);

                                onAuthStateChanged(auth, (user) => {
                                    if (user) {
                                        var current_url = new URL(location.href);
                                        var host_name = current_url.origin;
                                        if (host_name == 'http://127.0.0.1:8000') {
                                            host_name = 'http://localhost:8000';
                                        }
                                        const custom_url = host_name + '/login';

                                        const actionCodeSettings = {
                                            // URL you want to redirect back to. The domain (www.example.com) for this
                                            // URL must be in the authorized domains list in the Firebase Console.
                                            url: custom_url,
                                            // This must be true.
                                            handleCodeInApp: true,
                                        };
                                        sendEmailVerification(user, actionCodeSettings)
                                            .catch((error) => {
                                                const errorCode = error.code;
                                                const errorMessage = error.message;
                                                console.log(errorCode);
                                                console.log(errorMessage);
                                                $('.loader-parent').addClass('d-none');
                                                switch (errorCode) {
                                                    case 'auth/unverified-email':
                                                        $('.auth_failed').removeClass('d-none');
                                                        $('.auth_failed').text('Please Verify Your Email Before Signing In');
                                                        break;
                                                    case 'auth/missing-verification-code':
                                                        $('.auth_failed').removeClass('d-none');
                                                        $('.auth_failed').text('Please Enter the Verification Code');
                                                        break;
                                                    case 'auth/code-expired':
                                                        $('.auth_failed').removeClass('d-none');
                                                        $('.auth_failed').text('Verification Code is Expired! Try Again');
                                                        break;
                                                    case 'auth/network-request-failed':
                                                        $('.auth_failed').removeClass('d-none');
                                                        $('.auth_failed').text('Network Request Failed');
                                                        break
                                                    case 'auth/captcha-check-failed':
                                                        $('.auth_failed').removeClass('d-none');
                                                        $('.auth_failed').text('Not Secure Connection');
                                                        break;
                                                    case 'auth/too-many-requests':
                                                        $('.auth_failed').removeClass('d-none');
                                                        $('.auth_failed').text('Too many Attempts! Try Again Later');
                                                        break;
                                                    case 'auth/requires-recent-login':
                                                        $('.auth_failed').removeClass('d-none');
                                                        $('.auth_failed').text('Please Login Again');
                                                        break;
                                                    case 'auth/internal-error':
                                                        $('.auth_failed').removeClass('d-none');
                                                        $('.auth_failed').text('Request Failed! Try Again');
                                                        setTimeout(() => {
                                                            location.href = location.href;
                                                        }, 5000);
                                                        break;
                                                    default:
                                                        $('.auth_failed').removeClass('d-none');
                                                        $('.auth_failed').text('Try Again!');
                                                        break;
                                                }
                                            })
                                            .then(() => {
                                                // Ajax call to Controller
                                                if ($('.auth_failed').hasClass('d-none')) {
                                                    $.ajax({
                                                        async: false,
                                                        type: "post",
                                                        url: "{{ route('signup') }}",
                                                        data: {
                                                            "_token": "{{ csrf_token() }}",
                                                            "user_first_name": first_name,
                                                            "user_last_name": last_name,
                                                            "user_email": user_email,
                                                            "user_phone": phone,
                                                            "user_uid": "" + user_uid + "",
                                                        },
                                                        success: function(response) {
                                                            $('.loader-parent').addClass('d-none');
                                                            $('#verification_send').modal("show");
                                                        },
                                                        error: function(error) {
                                                            const error_message = JSON.parse(error.responseText).message;
                                                            console.log(error_message);
                                                            $('.auth_failed').removeClass('d-none');
                                                            $('.auth_failed').text('' + error_message + '');
                                                            $('.loader-parent').addClass('d-none');
                                                        }
                                                    });
                                                }
                                            });

                                    }
                                });

                            })
                            .catch((error) => {
                                const errorCode = error.code;
                                const errorMessage = error.message;
                                console.log(errorCode);
                                console.log(errorMessage);
                                $('.loader-parent').addClass('d-none');
                                switch (errorCode) {
                                    case 'auth/email-already-in-use':
                                        if (!($('.auth_failed').hasClass('d-none'))) {
                                            $('.auth_failed').addClass('d-none');
                                            $('.auth_failed').text('');
                                        }
                                        $('.email_error').text('Email is Already in Use');
                                        $('#email').addClass('border border-danger');
                                        break;
                                    case 'auth/network-request-failed':
                                        $('.auth_failed').removeClass('d-none');
                                        $('.auth_failed').text('Network Request Failed');
                                        break;
                                }
                            });
                    },
                    error: function(error) {
                        var errorResponse = JSON.parse(error.responseText).errors;
                        console.log(errorResponse);
                        if (errorResponse.first_name != undefined) {
                            $('.first_name_error').text(errorResponse.first_name[0]);
                            $('#first_name').addClass('border border-danger');
                        } else {
                            $('.first_name_error').text('');
                            $('#first_name').removeClass('border border-danger');
                        }
                        if (errorResponse.last_name != undefined) {
                            $('.last_name_error').text(errorResponse.last_name[0]);
                            $('#last_name').addClass('border border-danger');
                        } else {
                            $('.last_name_error').text('');
                            $('#last_name').removeClass('border border-danger');
                        }
                        if (errorResponse.email != undefined) {
                            $('.email_error').text(errorResponse.email[0]);
                            $('#email').addClass('border border-danger');
                        } else {
                            $('.email_error').text('');
                            $('#email').removeClass('border border-danger');
                        }
                        if (errorResponse.phone != undefined) {
                            $('.phone_error').text(errorResponse.phone[0]);
                            $('#phone').addClass('border border-danger');
                        } else {
                            $('.phone_error').text('');
                            $('#phone').removeClass('border border-danger');
                        }
                        if (errorResponse.password != undefined) {
                            $('.password_error').text(errorResponse.password[0]);
                            $('#password').addClass('border border-danger');
                        } else {
                            $('.password_error').text('');
                            $('#password').removeClass('border border-danger');
                        }
                        if (errorResponse.terms != undefined) {
                            $('.terms_error').text(errorResponse.terms[0]);
                            $('#terms').addClass('border border-danger');
                        } else {
                            $('.terms_error').text('');
                            $('#terms').removeClass('border border-danger');
                        }
                        $('.loader-parent').addClass('d-none');
                    }
                });
            } else {
                var allErrorFields = $('.text-danger');
                var ifTextAvailable = false;
                $('.loader-parent').addClass('d-none');
                for (let i = 0; i < allErrorFields.length; i++) {
                    if (allErrorFields[i].innerText != '') {
                        $('.auth_failed').addClass('d-none');
                        $('.auth_failed').text('');
                        $('html, body').animate({
                            scrollTop: $('.text-danger:eq(' + i + ')').offset().top - 100
                        }, 400);
                        ifTextAvailable = true;
                        break;
                    }
                }

                if (!ifTextAvailable) {
                    $('.auth_failed').removeClass('d-none');
                    $('.auth_failed').text('Enter your Full Details');
                    $('html, body').animate({
                        scrollTop: $('.auth_failed').offset().top - 10
                    }, 400);
                }
            }




        });
    </script>
</body>

</html>