<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Dwolla - Producer</title>
    <link href="{{ asset('/css/app.css') }}" rel="stylesheet">
    <script src="{{ asset('/js/app.js') }}" defer></script>
</head>
<style>
    body .container {
        width: 33%;
    }
</style>

<body>
    <header class="my-3">
        <h3 class="text-center">Business Verified Account</h3>
    </header>
    <div class="container">
        <form action="{{ route('dwollaproducer') }}" method="POST">
            @csrf
            <div class="mb-3">
                <label for="account_type" class="form-label">Type</label>
                <input type="text" class="form-control" name="account_type" id="account_type" placeholder="Account Type">
            </div>
            <div class="mb-3">
                <label for="address" class="form-label">Address</label>
                <input type="text" class="form-control" name="address" id="address" placeholder="Residence Address">
            </div>
            <div class="mb-3">
                <label for="city" class="form-label">City</label>
                <input type="text" class="form-control" name="city" id="city">
            </div>
            <div class="mb-3">
                <label for="state" class="form-label">State</label>
                <input type="text" class="form-control" name="state" id="state">
            </div>
            <div class="mb-3">
                <label for="postal_code" class="form-label">Postal Code</label>
                <input type="number" class="form-control" name="postal_code" id="postal_code">
            </div>
            <div class="mb-3">
                <label for="dob" class="form-label">Date Of Birth</label>
                <input type="date" class="form-control" name="dob" id="dob">
            </div>
            <div class="mb-3">
                <label for="business_name" class="form-label">Business Name</label>
                <input type="text" class="form-control" name="business_name" id="business_name" placeholder="Registered Business Name">
            </div>
            <div class="mb-3">
                <label for="business_type" class="form-label">Business Type</label>
                <input type="text" class="form-control" name="business_type" id="business_type">
            </div>
            <div class="mb-3">
                <label for="business_classification" class="form-label">Business Classification</label>
                <select class="form-select" name="business_classification" id="business_classification">
                    @if(count($classifications))
                        @foreach ($classifications as $index => $classification)
                            <option value="{{$classificationsId[$index]}}">{{$classification}}</option>
                        @endforeach
                    @endif
                </select>
            </div>
            <div class="mb-3">
                <label for="ssn" class="form-label">SSN</label>
                <input type="number" class="form-control" name="ssn" id="ssn" placeholder="Last 4 Digit">
            </div>
            <div class="mb-3 text-center">
                <button type="submit" class="btn btn-primary">Submit</button>
            </div>
        </form>
    </div>
</body>

</html>