<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Dwolla - Screenwriter</title>
    <link href="{{ asset('/css/app.css') }}" rel="stylesheet">
    <script src="{{ asset('/js/app.js') }}" defer></script>
    <style>
        body {
            background-color: #fff;
            margin: 0;
            padding: 0;
            box-sizing: border-box;
            display: flex;
            justify-content: center;
            align-items: center;
            min-height: 100vh;
        }

        div.container {
            width: 33%;
            padding: 0.5rem 1rem;
            box-shadow: 0px 0px 10px 10px #c7c7c7;
        }

        div.dwolla-customer-checkbox {
            display: inline-block;
        }

        div.container form label {
            font-weight: 500;
        }

        div.container button[type="submit"] {
            width: 100%;
        }
    </style>
</head>

<body>
    <div class="container my-3">
        <header class="mb-4">
            <h3 class="text-center">Personal Verified Account</h3>
        </header>
        <form action="{{ route('dwolla.writer') }}" method="POST" id="dwolla_writer_form">
            @csrf
            <div class="bg-danger p-4 rounded-lg mb-5 text-light text-center d-none auth_failed"></div>
            <div class="mb-3">
                <label for="address" class="form-label">Address</label>
                <input type="text" class="form-control" name="address" id="address" placeholder="Residencial Address" value="{{ old('address') }}">
                <div class="text-danger mt-2 fs-6 address_error">@error('address') {{$message}} @enderror</div>
            </div>
            <div class="mb-3">
                <label for="city" class="form-label">City</label>
                <input type="text" class="form-control" name="city" id="city" value="{{ old('city') }}">
                <div class="text-danger mt-2 fs-6 city_error">@error('city') {{$message}} @enderror</div>
            </div>
            <div class="mb-3">
                <label for="state" class="form-label">State</label>
                <select class="form-select" name="state" id="state">
                    <option selected>Select the State</option>
                    <option value="AL">AL</option>
                    <option value="AK">AK</option>
                    <option value="AS">AS</option>
                    <option value="AZ">AZ</option>
                    <option value="AR">AR</option>
                    <option value="CA">CA</option>
                    <option value="CO">CO</option>
                    <option value="CT">CT</option>
                    <option value="DC">DC</option>
                    <option value="DE">DE</option>
                    <option value="FL">FL</option>
                    <option value="GA">GA</option>
                    <option value="GU">GU</option>
                    <option value="HI">HI</option>
                    <option value="ID">ID</option>
                    <option value="IL">IL</option>
                    <option value="IN">IN</option>
                    <option value="IA">IA</option>
                    <option value="KS">KS</option>
                    <option value="KY">KY</option>
                    <option value="LA">LA</option>
                    <option value="ME">ME</option>
                    <option value="MD">MD</option>
                    <option value="MA">MA</option>
                    <option value="MI">MI</option>
                    <option value="MN">MN</option>
                    <option value="MP">MP</option>
                    <option value="MS">MS</option>
                    <option value="MO">MO</option>
                    <option value="MT">MT</option>
                    <option value="NE">NE</option>
                    <option value="NV">NV</option>
                    <option value="NH">NH</option>
                    <option value="NJ">NJ</option>
                    <option value="NM">NM</option>
                    <option value="NY">NY</option>
                    <option value="NC">NC</option>
                    <option value="ND">ND</option>
                    <option value="OH">OH</option>
                    <option value="OK">OK</option>
                    <option value="OR">OR</option>
                    <option value="PA">PA</option>
                    <option value="PR">PR</option>
                    <option value="RI">RI</option>
                    <option value="SC">SC</option>
                    <option value="SD">SD</option>
                    <option value="TN">TN</option>
                    <option value="TX">TX</option>
                    <option value="UM">UM</option>
                    <option value="UT">UT</option>
                    <option value="VT">VT</option>
                    <option value="VI">VI</option>
                    <option value="VA">VA</option>
                    <option value="WA">WA</option>
                    <option value="WV">WV</option>
                    <option value="WI">WI</option>
                    <option value="WY">WY</option>
                </select>
                <div class="text-danger mt-2 fs-6 state_error">@error('state') {{$message}} @enderror</div>
            </div>
            <div class="mb-3">
                <label for="postal_code" class="form-label">Postal Code</label>
                <input type="number" class="form-control" name="postal_code" id="postal_code" value="{{ old('postal_code') }}">
                <div class="text-danger mt-2 fs-6 postal_code_error">@error('postal_code') {{$message}} @enderror</div>
            </div>
            <div class="mb-3">
                <label for="dob" class="form-label">Date Of Birth</label>
                <input type="date" class="form-control" name="dob" id="dob" value="{{ old('dob') }}" placeholder="Date of Birth">
                <div class="text-danger mt-2 fs-6 dob_error">@error('dob') {{$message}} @enderror</div>
            </div>
            <div class="mb-3">
                <label for="ssn" class="form-label">SSN</label>
                <input type="number" class="form-control" name="ssn" id="ssn" placeholder="Last 4 Digit of Social Security Number" value="{{ old('ssn') }}">
                <div class="text-danger mt-2 fs-6 ssn_error">@error('ssn') {{$message}} @enderror</div>
            </div>
            <div class="mb-4">
                <div class="dwolla-customer-checkbox me-2">
                    <label for="terms" style="display:none;">Terms of Service Agreement</label>
                    <input id="terms" type="checkbox" name="terms" aria-label="Terms of Service Checkbox">
                </div>
                <span class="dwolla-customer-text">
                    By checking this box you agree to our Vendor
                    <a class="dwolla-link" href="https://www.dwolla.com/legal/tos/" target="_blank" rel="noopener">Dwolla’s Terms of Service</a>
                    and
                    <a class="dwolla-link" href="https://www.dwolla.com/legal/privacy/" target="_blank" rel="noopener">Privacy Policy</a>
                </span>
                <div class="text-danger mt-2 fs-6 _error"></div>
            </div>
            <div class="mb-4 text-center">
                <button type="submit" class="btn btn-primary">Submit</button>
            </div>
        </form>
    </div>
    <script>
        /*
            Producer Form Validation
        */

        // Form Fields Validation on Keyup Event
        window.onload = function() {
            $('form#dwolla_writer_form input').not('input[type="checkbox"]').on('keyup', (e) => {
                const targetField = $(e.currentTarget);

                // For Adjusting message according to Field
                const targetFieldName = targetField.attr('name');
                var requireMessage = '';
                switch (targetFieldName) {
                    case 'address':
                        requireMessage = 'Address is Required Field';
                        break;
                    case 'city':
                        requireMessage = 'City is Required Field';
                        break;
                    case 'postal_code':
                        requireMessage = 'Postal Code is Required Field';
                        break;
                    case 'dob':
                        requireMessage = 'Date of Birth is Required Field';
                        break;
                    case 'ssn':
                        requireMessage = 'SSN is Required Field';
                        break;
                }

                var fieldValue = targetField.val();
                const errorField = targetField.next('div.text-danger');

                // Required Message
                if (fieldValue == '') {
                    errorField.text(requireMessage);
                    targetField.addClass('border border-danger');
                } else {
                    errorField.text('');
                    targetField.removeClass('border border-danger');
                }

                if (targetFieldName == 'ssn') {
                    if (errorField.text() == '') {
                        let result = fieldValue.match(/^([0-9]{4})$/);
                        if (!result) {
                            errorField.text('Enter a Valid Number');
                            targetField.addClass('border border-danger');
                        }
                    }
                }
            });

            // Form Validation for checkbox
            $('form#dwolla_writer_form input[type="checkbox"]').on('change', (e) => {
                const target = $(e.currentTarget);
                const errorCheckfield = target.parent().nextAll('div.text-danger');
                if (!target.is(':checked')) {
                    errorCheckfield.text('The terms must be accepted');
                    target.addClass('border border-danger');
                } else {
                    errorCheckfield.text('');
                    target.removeClass('border border-danger');
                }
            });

            // Form Validation for Select
            $('form#dwolla_writer_form select').on('change', (e) => {
                const targetField = $(e.currentTarget);

                // For Adjusting message according to Field
                const targetFieldName = targetField.attr('name');
                var requireMessage = 'The Meeting Field is Required';

                var fieldValue = targetField.val();
                const errorField = targetField.next('div.text-danger');

                // Required Message
                if (fieldValue == null) {
                    errorField.text(requireMessage);
                    targetField.addClass('border border-danger');
                } else {
                    errorField.text('');
                    targetField.removeClass('border border-danger');
                }
            });

            // Function to check the form validation during submission
            function submittionTimeValidation(form) {
                var termsResult = true;
                var selectResult = true;
                var otherResults = true;
                var generalResults = true;

                // Form Values
                const formValues = ['address', 'city', 'state', 'postal_code', 'dob', 'ssn', 'terms'];

                // Loop to check the fields
                formValues.forEach(elem => {
                    if (elem == 'terms') {
                        if (form.get(elem) != 'on') {
                            termsResult = false;
                        }
                    } else if (elem == 'state') {
                        if (form.get(elem) == null) {
                            selectResult = false;
                        }
                    } else {
                        if (form.get(elem) == '') {
                            otherResults = false;
                        }
                    }
                });

                var allErrorFields = $('.text-danger');
                for (let i = 0; i < allErrorFields.length; i++) {
                    if (allErrorFields[i].innerText != '') {
                        generalResults = false;
                    }
                }

                if (termsResult == false || selectResult == false || otherResults == false || generalResults == false) {
                    return false;
                } else {
                    return true;
                }

            }


            $('form#dwolla_writer_form').on('submit', (e) => {
                e.preventDefault();
                var form = new FormData(e.currentTarget);
                // Form Validation during Submission
                const result = submittionTimeValidation(form);

                if (result) {
                    $('form#dwolla_writer_form').off('submit');
                    $('form#dwolla_writer_form').trigger('submit');
                } else {
                    var allErrorFields = $('.text-danger');
                    var ifTextAvailable = false;
                    for (let i = 0; i < allErrorFields.length; i++) {
                        if (allErrorFields[i].innerText != '') {
                            $('.auth_failed').addClass('d-none');
                            $('.auth_failed').text('');
                            $('html, body').animate({
                                scrollTop: $('.text-danger:eq(' + i + ')').offset().top - 100
                            }, 400);
                            ifTextAvailable = true;
                            break;
                        }
                    }

                    if (!ifTextAvailable) {
                        $('.auth_failed').removeClass('d-none');
                        $('.auth_failed').text('Enter the Required Details');
                        $('html, body').animate({
                            scrollTop: $('.auth_failed').offset().top - 10
                        }, 400);
                    }
                }
            })
        }
    </script>
</body>

</html>