@extends('../producer/producer_layout.app')

@section('content')
<div class="page_right">

    <header class="producer_balance_header mt-2">
        <div class="row mx-0 w-100">
            <div class="col-sm-6 text-sm-start text-center mt-sm-0 mt-2">
                <h3>
                    <span>Account Balance</span>
                </h3>
            </div>
        </div>
    </header>

    <section class="producer_balance">
        <div class="row w-100 mx-0">
            <div class="col-md-7 col-12 order-md-1 order-2 mt-md-0 mt-2">
                <div class="row mx-0 w-100">
                    <div class="col-12 px-3 py-2">
                        <div class="text-sm-start text-center">Balance</div>
                        <div class="mt-2 text-sm-start text-center">$
                            <span>0</span>
                        </div>
                        <div class="text-sm-end text-center mt-sm-0 mt-2">
                            <button class="border-0" data-bs-dismiss="modal" data-bs-toggle="modal" data-bs-target="#producer_fund_1">Fund Wallet</button>
                        </div>
                    </div>
                </div>
                <div class="row w-100 mx-100 mt-4 mb-4">
                    <div>
                        <span>Latest Transactions</span>
                    </div>
                </div>
                <div class="row w-100 mx-0 mb-4">
                    <table class="table table-light">
                        <thead>
                            <tr>
                                <th>Date</th>
                                <th>Payment name</th>
                                <th>Payment</th>
                            </tr>
                        </thead>
                        <tbody>
                            @for ($i = 1; $i < 4; $i++) <tr>
                                <th>Today</th>
                                <td>
                                    <span class="script_treatment">Script Treatment</span>
                                </td>
                                <td>
                                    <span>$ 400</span>
                                </td>
                                </tr>
                                @endfor
                                <tr>
                                    <th>Yesterday</th>
                                    <td>
                                        <span class="transfer">Transfer</span>
                                    </td>
                                    <td>
                                        <span>$ 200</span>
                                    </td>
                                </tr>
                                <tr>
                                    <th>Yesterday</th>
                                    <td>
                                        <span class="screenplay">Script Screenplay</span>
                                    </td>
                                    <td>
                                        <span>$ 220</span>
                                    </td>
                                </tr>
                                <tr>
                                    <th>Yesterday</th>
                                    <td>
                                        <span class="scriptpurchase">Script Purchase</span>
                                    </td>
                                    <td>
                                        <span>$ 230</span>
                                    </td>
                                </tr>

                        </tbody>
                    </table>
                </div>
            </div>
            <div class="col-md-5 col-12 order-md-2 order-1">
                <div class="row mx-0 w-100 flex-column align-items-center text-center mb-4 mb-md-2 mt-4">
                    <img src="https://picsum.photos/100/100" alt="Profile Picture" class="image-fluid rounded-circle w-50">
                    <h5 class="mt-2">Karem Benmbarek</h5>
                    <span class="mb-4 mt-2 premium_producer_text">Premium Producer</span>
                    <a href="{{ route('producer.settings') }}"><button type="button"> View Full Profile</button></a>
                </div>
            </div>
        </div>
    </section>

    <!-- Modal - 1 -->
    <div class="modal fade" id="producer_fund_1" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="producer_fund_1_Label" aria-hidden="true">
        <div class="modal-dialog m-0 top-50 start-50 translate-middle h-100 pt-5">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body px-3">
                    <div class="row mx-0 w-100">
                        <div class="col-12">
                            <div class="d-flex justify-content-center">
                                <span>1</span>
                                <div></div>
                                <span>2</span>
                                <div></div>
                                <span>3</span>
                            </div>
                        </div>
                    </div>
                    <form action="" class="mt-4">
                        <div class="d-flex justify-content-center mb-3">
                            <div class="text-center">
                                <div class="col-6 float-start">
                                    <i class="fa-solid fa-building-columns mt-2"></i>
                                </div>
                                <div class="col-6 float-end text-start">Bank Transfer</div>
                            </div>
                        </div>
                        <p class="text-center mb-0">Get your money to your bank</p>
                        <p class="text-center">(wire transfer)</p>
                        <div class="text-center">
                            <label>Fund Amount:</label>
                            <input type="number" class="form-control mx-auto mt-1" name="amount" id="amount" min="0" placeholder="$">
                        </div>
                        <div class="mb-2 text-center">
                            <button type="button" class="border-0" data-bs-dismiss="modal" data-bs-toggle="modal" data-bs-target="#producer_fund_2">Continue</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal - 2 -->
    <div class="modal fade" id="producer_fund_2" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="producer_fund_2_Label" aria-hidden="true">
        <div class="modal-dialog m-0 top-50 start-50 translate-middle h-100 pt-5">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body px-3">
                    <div class="row mx-0 w-100">
                        <div class="col-12">
                            <div class="d-flex justify-content-center">
                                <span>
                                    <i class="fa-solid fa-check"></i>
                                </span>
                                <div></div>
                                <span>2</span>
                                <div></div>
                                <span>3</span>
                            </div>
                        </div>
                    </div>
                    <form action="">
                        <div class="d-flex justify-content-center mb-4">
                            <div class="text-center shadow">
                                12345678
                            </div>
                        </div>
                        <p class="text-center mb-0">This is your virtual account number created by stripe</p>
                        <p class="text-center">This transfer should not be more than 30 mins</p>
                        <div class="mb-2 text-center">
                            <button type="button" class="border-0" data-bs-dismiss="modal" data-bs-toggle="modal" data-bs-target="#producer_fund_3">Continue</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal - 1 -->
    <div class="modal fade" id="producer_fund_3" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="producer_fund_3_Label" aria-hidden="true">
        <div class="modal-dialog m-0 top-50 start-50 translate-middle h-100 pt-5">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body px-3">
                    <div class="row mx-0 w-100">
                        <div class="col-12">
                            <div class="d-flex justify-content-center">
                                <span>
                                    <i class="fa-solid fa-check"></i>
                                </span>
                                <div></div>
                                <span>
                                    <i class="fa-solid fa-check"></i>
                                </span>
                                <div></div>
                                <span>3</span>
                            </div>
                        </div>
                    </div>
                    <form action="" class="mt-5">
                        <div class="d-flex justify-content-center mb-5">
                            <div class="text-center">
                                <div class="col-6 float-start">
                                    <i class="fa-solid fa-building-columns mt-2"></i>
                                </div>
                                <div class="col-6 float-end text-start">Bank Transfer</div>
                            </div>
                        </div>
                        <p>Enter your bank account details correctly</p>
                        <div class="row w-100 mx-0 justify-content-between">
                            <div class="col-md-5 col-12 mb-3 p-0">
                                <label for="producer_balance_card_number" class="form-label mb-1">Card Number</label>
                                <input type="number" class="form-control px-2" name="producer_balance_card_number" id="producer_balance_card_number" placeholder="2124-2124-2124-2124">
                            </div>
                            <div class="col-md-5 mb-3 col-12 p-0">
                                <label for="producer_balance_expiry_date" class="form-label mb-1">Expiry Date</label>
                                <input type="date" class="form-control px-2" name="producer_balance_expiry_date" id="producer_balance_expiry_date" placeholder="2412-2143-8558-3423">
                            </div>
                        </div>
                        <div class="row w-100 mx-0 justify-content-between">
                            <div class="col-md-5 col-12 mb-3 p-0">
                                <label for="producer_balance_cvv_number" class="form-label mb-1">CVV Number</label>
                                <input type="number" class="form-control px-2" name="producer_balance_cvv_number" id="producer_balance_cvv_number" placeholder="327">
                            </div>
                            <div class="col-md-5 col-12 mb-3 p-0">
                                <label for="producer_balance_password" class="form-label mb-1">Password</label>
                                <input type="number" class="form-control px-2" name="producer_balance_password" id="producer_balance_password">
                            </div>
                        </div>
                        <div class="row w-100 mx-0 mb-3 mt-4 flex-column align-items-center">
                            <button type="button" class="border-0" data-bs-dismiss="modal" data-bs-toggle="modal" data-bs-target="#producer_fund_4">Fund Money</button>
                            <button type="button" class="border-0 bg-transparent mt-2" data-bs-dismiss="modal" data-bs-toggle="modal">Cancel</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal 3-->
    <div class="modal fade" id="producer_fund_4" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="producer_fund_4_Label" aria-hidden="true">
        <div class="modal-dialog m-0 top-50 start-50 translate-middle h-100 pt-5">
            <div class="modal-content">
                <div class="modal-body px-sm-5 px-2 mt-3">
                    <div class="row mx-0 w-100">
                        <div class="col-12">
                            <div class="d-flex justify-content-center">
                                <span>
                                    <i class="fa-solid fa-check"></i>
                                </span>
                                <div></div>
                                <span>
                                    <i class="fa-solid fa-check"></i>
                                </span>
                                <div></div>
                                <span>
                                    <i class="fa-solid fa-check"></i>
                                </span>
                            </div>
                        </div>
                    </div>
                    <div class="d-flex justify-content-center mt-4">
                        <div class="rounded-circle text-center">
                            <i class="fa-solid fa-check"></i>
                        </div>
                    </div>
                    <h4 class="mt-3 mb-3 text-center">Requested Submitted</h4>
                    <p class="text-center mb-4">Lorem ipsum dolor sit amet consectetur adipisicing elit. Vel repellendus enim illum doloremque eligendi ullam saepe rem, alias assumenda architecto.</p>
                    <div class="mb-3 text-center">
                        <button type="button" class="border-0 w-75" data-bs-dismiss="modal" data-bs-toggle="modal">
                            <a href="">See my Transactions</a>
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>
@endsection
