<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Producer Form</title>
    <link href="{{ asset('/css/app.css') }}" rel="stylesheet">
    <script src="{{ asset('/js/app.js') }}" defer></script>
    <style>
        body.producer_form {
            background-color: #fff;
        }

        .header {
            top: 0.5rem;
            right: 0.5rem;
        }

        .header>span:first-child>img {
            width: 25px;
            height: 25px;
        }

        .header>span:last-child {
            font-weight: 500;
            font-size: 14px;
        }

        .welcome_info>h4 {
            font-weight: 700;
        }

        .welcome_info>h4>span {
            color: #2B79BD;
        }

        .welcome_info>p:nth-of-type(1) {
            font-weight: 500;
        }

        .welcome_info>p:nth-of-type(2) {
            font-size: 12px;
        }

        .producer_types button {
            border-radius: 5px;
            width: 12rem;
            color: #fff;
            padding: 1rem 0;
        }

        .producer_types>div:first-child button {
            background-color: #3A5659;
        }

        .producer_types>div:last-child button {
            background-color: #34639A;
        }

        .producer_types>div:first-child>p {
            font-size: 12px;
            width: 12rem;
        }

        .producer_types>div:last-child>p {
            font-size: 12px;
            width: 12rem;
        }

        /* Small Screen */
        @media screen and (min-width: 576px) {
            .producer_form>div:nth-child(2)>img {
                width: 300px;
            }

            .header {
                top: 2rem;
                right: 2rem;
            }

            .header>span:first-child>img {
                width: 40px;
                height: 40px;
            }

            .header>span:last-child {
                font-size: 16px;
            }

        }
    </style>
</head>

<body class="producer_form min-vh-100 d-flex justify-content-center align-items-center flex-column">
    <div class="header position-fixed">
        <span class="me-2"><img src="https://picsum.photos/40/40" class="rounded-circle" alt="Profile Image"></span>
        <span>Karim Benmabrek</span>
    </div>
    <div class="mb-2">
        <img src="{{ asset('/img/wo accelerator Logo.jpg') }}" alt="Woaccelerator Logo" width="200px" height="100px" class="img-fluid">
    </div>
    <div class="mb-3 welcome_info">
        <h4>Welcome To <span>WoAccelerator</span></h4>
        <p class="text-center mb-0">You Have Selected "Producer"</p>
        <p class="text-center">Now choose a path that suits your needs.</p>
    </div>
    <div class="row w-100 producer_types mb-3">
        <div class="col-sm-6 d-flex align-items-sm-end align-items-center flex-column pe-sm-5">
            <a href="{{route('producer.form.nonunion')}}" class="text-decoration-none">
                <button type="button" class="border-0 mb-3">
                    Non-Union Producer
                </button>
            </a>
            <p class="text-center">Are you a Non-Union Producer looking for your next screenplay? Find your next script here.</p>
        </div>
        <div class="col-sm-6 d-flex align-items-sm-start align-items-center flex-column mt-sm-0 mt-2">
            <a href="{{route('producer.form.union')}}" class="text-decoration-none">
                <button type="button" class="border-0 mb-3">
                    Union Producer
                </button>
            </a>
            <p class="text-center">Are you a Union Producer looking for your next screenplay? Find your next script here.</p>
        </div>
    </div>
</body>

</html>