<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Producer Form</title>
    <link href="{{ asset('/css/app.css') }}" rel="stylesheet">
    <script src="{{ asset('/js/app.js') }}" defer></script>
    <script src="{{ asset('/js/producer.js') }}" defer></script>
    <style>
        body.producer_union_form {
            background-color: #fff;
        }

        .producer_union_form .header>div:first-child>img {
            width: 100px;
        }

        .producer_union_form .header>div:last-child>span:first-child>img {
            width: 25px;
            height: 25px;
        }

        .producer_union_form .header>div:last-child>span:last-child {
            font-weight: 500;
            font-size: 14px;
            display: none;
        }

        .producer_union_form .form_title {
            letter-spacing: 1px;
        }

        .producer_union_form p.form_info {
            font-size: 13px;
        }

        .producer_union_form .form_row>div:nth-child(1) {
            font-weight: 500;
            font-size: 18px;
        }

        .producer_union_form form button {
            background-color: #2B79BD;
            color: #fff;
            border-radius: 5px;
            padding: 0.5rem 1rem;
        }

        /* Small Screen */
        @media screen and (min-width: 768px) {
            .producer_union_form .header>div:first-child>img {
                width: 150px;
            }
        }

        @media screen and (min-width: 576px) {

            .producer_union_form .header>div:last-child>span:first-child>img {
                width: 40px;
                height: 40px;
            }

            .producer_union_form .header>div:last-child>span:last-child {
                display: inline-block;
            }

        }

        div#form_send div.modal-body>div:first-child>div {
            background-color: #3BB54A;
            height: 3rem;
            width: 3rem;
            line-height: 3rem;
        }

        div#form_send div.modal-body>div:first-child>div>i {
            color: #fff;
            font-size: 30px;
            vertical-align: middle;
        }

        div#form_send div.modal-body>h4 {
            font-weight: 600;
            color: #3BB54A;
        }

        div#form_send div.modal-body>p {
            font-size: 14px;
            line-height: 2rem;
            font-weight: 500;
        }

        div#form_send div.modal-body>div:nth-last-child(1) button {
            width: 100%;
            background-color: #207BF3;
            border-radius: 10px;
            padding-block: 0.7rem;
            font-size: 18px;
            letter-spacing: 0.1rem;
            text-decoration: none;
            color: #fff;
        }

        /* Loader  */

        .loader-parent {
            display: flex;
            justify-content: center;
            align-items: center;
            min-height: 100vh;
            position: fixed;
            width: 100%;
            z-index: 1;
        }

        .loader {
            border: 8px solid #d8cccc;
            border-radius: 50%;
            border-top: 8px solid #2B79BD;
            /* border-bottom: 16px solid #2B79BD;
            border-left: 16px solid #FF9330;
            border-right: 16px solid #FF9330; */
            width: 70px;
            height: 70px;
            -webkit-animation: spin 1s linear infinite;
            animation: spin 1s linear infinite;
        }

        @-webkit-keyframes spin {
            0% {
                -webkit-transform: rotate(0deg);
            }

            100% {
                -webkit-transform: rotate(360deg);
            }
        }

        @keyframes spin {
            0% {
                transform: rotate(0deg);
            }

            100% {
                transform: rotate(360deg);
            }
        }
    </style>
</head>

<body class="producer_union_form mx-md-5 mx-2">
    <div class="loader-parent d-none">
        <div class="loader"></div>
    </div>
    <div class="header d-flex justify-content-between px-2 mb-5 mt-2">
        <div class="mb-2">
            <img src="{{ asset('/img/wo accelerator Logo.png') }}" alt="Woaccelerator Logo" class="img-fluid">
        </div>
        <div>
            <span class="me-2"><img src="https://picsum.photos/40/40" class="rounded-circle" alt="Profile Image"></span>
            <span>Karim Benmabrek</span>
        </div>
    </div>
    <h3 class="form_title text-sm-start text-center mb-sm-2 mb-3">WoAccelerator Producer Application</h3>
    <p class="form_info mb-4">Please complete the form below to apply to to the Woccelerator Producer membership </p>
    <hr>
    <div class="row w-100 mx-0 mt-5 form_row">
        <div class="col-md-3 mb-md-0 mb-3">
            Fill Form
        </div>
        <div class="col-md-9">
            <form action="{{ route('producer.form.union') }}" id="producer_form_type" method="post">
                @csrf
                <div class="bg-danger p-4 rounded-lg mb-5 text-light text-center d-none auth_failed"></div>
                <div class="mb-3">
                    <label for="pronoun" class="form-label mb-md-1 mb-3">What pronoun do you prefer (Optional)?</label>
                    <input type="text" class="form-control" name="pronoun" id="pronoun" value="{{ old('pronoun') }}" placeholder="ie.he/she they">
                    <div class="text-danger mt-2 fs-6 pronoun_error">@error('pronoun') {{$message}} @enderror</div>
                </div>
                <div class="mb-3">
                    <label for="country" class="form-label mb-md-1 mb-3">What country are you from?</label>
                    <input type="text" class="form-control" name="country" id="country" value="{{ old('country') }}">
                    <div class="text-danger mt-2 fs-6 country_error">@error('country') {{$message}} @enderror</div>
                </div>
                <div class="mb-3">
                    <label for="experience" class="form-label mb-md-1 mb-3">Do you have any producing experience?</label>
                    <div class="form-check">
                        <input class="form-check-input" type="radio" name="experience" id="experience1" value="yes" {{ old('experience')=='yes' ? 'checked' : ''}}>
                        <label class="form-check-label" for="experience1">
                            Yes
                        </label>
                    </div>
                    <div class="form-check">
                        <input class="form-check-input" type="radio" name="experience" id="experience2" value="no" {{ old('experience')=='no' ? 'checked' : ''}}>
                        <label class="form-check-label" for="experience2">
                            No
                        </label>
                    </div>
                    <div class="text-danger mt-2 fs-6 experience_error">@error('experience') {{$message}} @enderror</div>
                </div>
                <div class="mb-3">
                    <label for="imdb_link" class="form-label mb-md-1 mb-3">Please provide your IMDB Link that list your experience</label>
                    <input type="url" class="form-control" name="imdb_link" id="imdb_link" value="{{ old('imdb_link') }}">
                    <div class="text-danger mt-2 fs-6 imdb_link_error">@error('imdb_link') {{$message}} @enderror</div>
                </div>
                <div class="mb-4">
                    <label for="meeting_available" class="form-label mb-md-1 mb-3">All Producers in our marketplace are vetted and require an interview. Are you available for a Zoom/Google Meet Interview?</label>
                    <select class="form-select" name="meeting_available">
                        <option selected disabled>Select the Option</option>
                        <option value="yes" {{ old('meeting_available')=='yes' ? 'selected' : ''}}>Yes</option>
                        <option value="I'll move things around" {{ old('meeting_available')=='I\'ll move things around' ? 'selected' : ''}}>I'll move things around</option>
                        <option value="no" {{ old('meeting_available')=='no' ? 'selected' : ''}}>No</option>
                    </select>
                    <div class="text-danger mt-2 fs-6 meeting_available_error">@error('meeting_available') {{$message}} @enderror</div>
                </div>
                <div class="mb-4">
                    <label for="member_of" class="form-label mb-md-1 mb-3">Do you belong to an industry guild or Trade Association?</label>
                    <select class="form-select" name="member_of">
                        <option selected disabled>Select the Option</option>
                        <option value="ASC" {{ old('member_of')=='ASC' ? 'selected' : ''}}>Member of ASC</option>
                        <option value="PGA" {{ old('member_of')=='PGA' ? 'selected' : ''}}>Member of PGA</option>
                        <option value="DGA" {{ old('member_of')=='DGA' ? 'selected' : ''}}>Member of DGA</option>
                        <option value="SAG/AFTRA" {{ old('member_of')=='SAG/AFTRA' ? 'selected' : ''}}>Member of SAG/AFTRA</option>
                        <option value="Producers Union" {{ old('member_of')=='Producers Union' ? 'selected' : ''}}>Member of Producers Union</option>
                        <option value="Non-Union/Non Trade Association" {{ old('member_of')=='Non-Union/Non Trade Association' ? 'selected' : ''}}>Non-Union/Non Trade Association</option>
                    </select>
                    <div class="text-danger mt-2 fs-6 member_of_error">@error('member_of') {{$message}} @enderror</div>
                </div>
                <div class="mb-4">
                    <label for="any_saying" class="form-label mb-md-1 mb-3">Anything else you would like us to know?</label>
                    <textarea class="form-control" name="any_saying" id="any_saying" rows="3">{{ old('any_saying') }}</textarea>
                    <div class="text-danger mt-2 fs-6 any_saying_error">@error('any_saying') {{$message}} @enderror</div>
                </div>
                <div class="mb-sm-5 mb-3 text-sm-start text-center">
                    <label class="form-check-label mb-sm-0 mb-3 mb-md-1 mb-3" for="terms">
                        <input type="checkbox" class="form-check-input me-1" name="terms" id="terms">
                        I agree to <a href="" class="text-underline-none">terms & conditions</a>.
                    </label>
                    <div class="text-danger mt-2 fs-6 terms_error">@error('terms') {{$message}} @enderror</div>
                </div>
                <div class="mb-sm-5 mb-3 text-sm-start text-center">
                    <button type="submit" class="border-0">Submit</button>
                </div>
            </form>
        </div>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="form_send" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="form_send_Label" aria-hidden="true">
        <div class="modal-dialog modal-lg m-0 top-50 start-50 translate-middle h-100 pt-5">
            <div class="modal-content">
                <div class="modal-body px-sm-5 px-2 mt-3">
                    <div class="d-flex justify-content-center">
                        <div class="rounded-circle text-center">
                            <i class="fa-solid fa-check"></i>
                        </div>
                    </div>
                    <h4 class="mt-3 mb-4 text-center">Form submitted successfuly</h4>
                    <p class="text-center mb-1">Our membership is currently limited to industry professionals, primary producers, and financiers. Also, you don't have to be a Union member to be a part of our WoAccelerator Producer membership. We only approve and give membership to those who can materially advance a writer's career.</p>
                    <p class="text-center mb-sm-5 mb-3">After applying to be a part of our membership, we may ask to schedule an interview personally handled by our team. Expect to receive a notification about your application within a few days, and if you do not hear back from us in that time, feel free to <a href="">contact us</a>.</p>
                    <div class="mb-3 text-center">
                        <a href="https://woaccelerator.com" class="text-decoration-none">
                            <button type="button" class="border-0 w-75">
                                Go back to the website
                            </button>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>

    @if($status != 'No Form' || @session('status') == 'success')
    <script>
        window.addEventListener('load', ()=>{
            $('#form_send').modal('show');
        })
    </script>
    @endif
</body>

</html>