<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>WoAccelerator Producer Dashboard</title>
    <link rel="stylesheet" href="{{ asset('/css/app.css') }}">
    <meta name="csrf-token" content="{{ csrf_token() }}" />
    <script src="{{ asset('/js/app.js') }}"></script>
    <script src="{{ asset('/js/common.js') }}" defer></script>
    <script src="{{ asset('/js/producer.js') }}" defer></script>
    <script src="https://js.stripe.com/v3/"></script>
</head>

<body class="producer_body">

    <!-- SideBar -->

    <nav class="pt-3 producer shadow">
        <a href="{{ route('producer.marketplace') }}" class="text-decoration-none">
            <span class="Logo_First">Wo</span>
            <span class="Logo_Second"> Accelerator</span>
        </a>
        <span class="cancel_menu ms-3"><i class="fa-solid fa-xmark"></i></span>
        <ul class="mt-5 ps-0 menu_items">
            <li class="{{ request()->is('producer/marketplace', 'producer/marketplace/*') ? 'active' : '' }}">
                <a href="{{ route('producer.marketplace') }}?subtype=filled&type=basic" class="text-decoration-none">
                    <span><i class="fa-solid fa-house"></i></span>
                    <span>Marketplace</span>
                </a>
            </li>
            <li class="{{ request()->is('producer/orders', 'producer/orders/*') ? 'active' : '' }}">
                <a href="{{ route('producer.orders') }}?subtype=filled&type=premium&expired=1&scripttype=scripts"
                    class="text-decoration-none">
                    <span><i class="fa-solid fa-bell"></i></span>
                    <span>My Orders</span>
                </a>
            </li>
            <li class="{{ request()->is('producer/balance', 'producer/balance/*') ? 'active' : '' }}">
                <a href="{{ route('producer.balance') }}" class="text-decoration-none">
                    <span><i class="fa-solid fa-scroll"></i></span>
                    <span>Balance</span>
                </a>
            </li>
            <li class="{{ request()->is('producer/settings', 'producer/settings/*') ? 'active' : '' }}">
                <a href="{{ route('producer.settings') }}" class="text-decoration-none">
                    <span><i class="fa-solid fa-gear"></i></span>
                    <span>Settings</span>
                </a>
            </li>
            <li>
                <form action="{{ route('logout') }}" method="post" class="inline">
                    @csrf
                    <button type="submit" class="border-0 bg-transparent">
                        <span><i class="fa-solid fa-arrow-right-from-bracket"></i></span>
                        <span>Logout</span>
                    </button>
                </form>
            </li>
            <!-- <li>
                <a href="" class="text-decoration-none">
                    <span><i class="fa-solid fa-message"></i></span>
                    <span class="d-block">Support</span>
                </a>
            </li> -->
        </ul>
    </nav>

    <!-- Top Menu -->

    <section id="producer_top_menu">
        <span class="menu_button"><i class="fa-solid fa-bars"></i></span>
        @if (Auth::user()->getSubscriptionType() == 'premium')
            <span class="subscription_status premium">Premium</span>
        @elseif(Auth::user()->getSubscriptionType() == 'basic')
            <span class="subscription_status basic" data-bs-toggle="modal"
                data-bs-target="#producer_upgrade_subscription">Basic</span>
        @endif
        <span>
            <i class="fa-solid fa-bell"></i>
        </span>
        <span class="me-2"><img src="https://picsum.photos/40/40" alt="Profile Picture" class="image-fluid"></span>
        <span class="me-2 d-sm-inline d-none">{{ Auth::user()->fullname }}</span>
    </section>

    <!-- modal 1 -->
    <div class="modal fade mb-3" id="producer_upgrade_subscription" data-bs-backdrop="static" data-bs-keyboard="false"
        tabindex="-1" aria-labelledby="producer_upgrade_subscription_Label" aria-hidden="true">
        <div class="modal-dialog m-0 top-50 start-50 translate-middle h-100 pt-5">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="col-12">
                        <h3 class="text-center mb-0">Our Services Has</h3>
                        <h3 class="text-center mb-3">Friendly Packages</h3>
                        <p class="text-center">Upgrade your plan to unlock that feature</p>
                        <div class="row w-100 mx-0 mt-5">
                            <div class="col-sm-6 basic_sub">
                                <div class="shadow p-4">
                                    <h4>
                                        <span>$25</span>
                                        <span>/month</span>
                                    </h4>
                                    <h4>
                                        Basic
                                    </h4>
                                    <p>Avaliable for business with large payments business models</p>
                                    <div>
                                        <i class="fa-solid fa-check"></i>
                                        <span>Treatment</span>
                                    </div>
                                    <div>
                                        <i class="fa-solid fa-check"></i>
                                        <span>Full Screenplay (6-12 Months)</span>
                                    </div>
                                    <div>
                                        <i class="fa-solid fa-check"></i>
                                        <span>Option Extension</span>
                                    </div>
                                    <div>
                                        <i class="fa-solid fa-check"></i>
                                        <span>Comittion Work</span>
                                    </div>
                                    <div>
                                        <i class="fa-solid fa-check"></i>
                                        <span>First Look</span>
                                    </div>
                                    <div class="text-center mt-5">
                                        <button type="button" class="border-0" data-bs-dismiss="modal"
                                            data-bs-toggle="modal">Current Plan</button>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6 premium_sub mt-sm-0 mt-3">
                                <div class="shadow p-4">
                                    <h4>
                                        <span>$50</span>
                                        <span>/month</span>
                                    </h4>
                                    <h4>
                                        Premium
                                    </h4>
                                    <p>Avaliable for business with large payments business models</p>
                                    <div>
                                        <i class="fa-solid fa-check"></i>
                                        <span>First Look</span>
                                    </div>
                                    <div>
                                        <i class="fa-solid fa-check"></i>
                                        <span>Treatment</span>
                                    </div>
                                    <div>
                                        <i class="fa-solid fa-check"></i>
                                        <span>Full Screenplay (6-12 Months)</span>
                                    </div>
                                    <div>
                                        <i class="fa-solid fa-check"></i>
                                        <span>Option Extension</span>
                                    </div>
                                    <div>
                                        <i class="fa-solid fa-check"></i>
                                        <span>Comittion Work</span>
                                    </div>
                                    <div class="text-center mt-5">
                                        <button type="button" class="border-0 premium_upgrade" data-name="Premium"
                                            data-price="50" data-bs-dismiss="modal" data-bs-toggle="modal"
                                            data-bs-target="#producer_premium_2">Upgrade</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- modal 1 -->
    <div class="modal fade mb-3" id="producer_premium_1" data-bs-backdrop="static" data-bs-keyboard="false"
        tabindex="-1" aria-labelledby="producer_premium_1_Label" aria-hidden="true">
        <div class="modal-dialog m-0 top-50 start-50 translate-middle h-100 pt-5">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="col-12">
                        <h3 class="text-center mb-0">Get Started Today</h3>
                        <p class="text-center">Choose the right plan</p>
                        <div class="row mx-0 w-100">
                            <div class="col-sm-6 text-sm-start text-center">
                                <div>
                                    <span class="getname"></span>
                                    <span> Membership</span>
                                </div>
                                <span>
                                    <span>
                                        <span>$</span>
                                        <span class="getprice" id="selected_plan_price"></span>
                                    </span>
                                    <span>/ Month</span>
                                </span>
                            </div>
                            @if (!request()->query('subtype') == 'empty')
                                <div class="col-sm-6 mt-sm-0 mt-2 text-sm-left text-center">
                                    <button type="button" class="float-sm-end border-0" data-bs-dismiss="modal"
                                        data-bs-toggle="modal" data-bs-target="#producer_upgrade_subscription">Change
                                        Plan</button>
                                </div>
                            @endif
                        </div>
                        <h6 class="text-center mt-4">Choose Payment Method</h6>
                        <form action="" method="post" class="">
                            <div class="row mx-0 w-100">
                                <div class="col-md-4 col-sm-5 col-12 px-0">
                                    <div class="mx-auto">
                                        <label class="form-check-label">
                                            <input type="radio" class="form-check-input" name="card_type"
                                                value="credit_card">
                                            <span><i class="fa-solid fa-credit-card"></i></span>
                                            <span class="ms-4">Credit Card</span>
                                        </label>
                                    </div>
                                </div>
                                <div class="col-md-4 col-sm-5 col-12 px-0 mt-sm-0 mt-2">
                                    <div class="mx-auto">
                                        <label class="form-check-label">
                                            <input type="radio" class="form-check-input" name="card_type"
                                                value="google_card">
                                            <span><i class="fa-solid fa-g"></i></span>
                                            <span class="ms-4">Google Card</span>
                                        </label>
                                    </div>
                                </div>
                            </div>
                            <div class="row mx-0 w-100 mt-sm-3 mt-2">
                                <div class="col-md-4 col-sm-5 col-12 px-0">
                                    <div class="mx-auto">
                                        <label class="form-check-label">
                                            <input type="radio" class="form-check-input" name="card_type"
                                                value="paypal">
                                            <span><i class="fa-brands fa-paypal"></i></span>
                                            <span class="ms-4">Paypal</span>
                                        </label>
                                    </div>
                                </div>
                                <div class="col-md-4 col-sm-5 col-12 px-0 mt-sm-0 mt-2">
                                    <div class="mx-auto">
                                        <label class="form-check-label">
                                            <input type="radio" class="form-check-input" name="card_type"
                                                value="apple_card">
                                            <span><i class="fa-brands fa-apple"></i></span>
                                            <span class="ms-4">Apple Card</span>
                                        </label>
                                    </div>
                                </div>
                            </div>
                            <div class="row mx-0 w-100 mt-sm-5 mt-4">
                                <button type="button" class="float-end border-0" data-bs-dismiss="modal"
                                    data-bs-toggle="modal" data-bs-target="#producer_premium_2">Continue</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- modal 2 -->
    <div class="modal fade mb-3" id="producer_premium_2" data-bs-backdrop="static" data-bs-keyboard="false"
        tabindex="-1" aria-labelledby="producer_premium_2_Label" aria-hidden="true">
        <div class="modal-dialog m-0 top-50 start-50 translate-middle h-100 pt-5">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="col-12">
                        <h3 class="text-center mb-0">Get Started Today</h3>
                        {{-- <p class="text-center">Choose the right plan</p> --}}

                        <div class="row mx-0 w-100">
                            <div class="col-sm-6 text-sm-start text-center">
                                <div>
                                    <span class="getname"></span>
                                    <span id="membership">Membership</span>
                                </div>
                                <span>
                                    <span>
                                        <span>$</span>
                                        <span class="getprice"></span>
                                    </span>
                                    <span>/ Month</span>
                                </span>
                            </div>
                            @if (!request()->query('subtype') == 'empty')
                                <div class="col-sm-6 mt-sm-0 mt-2 text-sm-left text-center">
                                    <button type="button" class="float-sm-end border-0" data-bs-dismiss="modal"
                                        data-bs-toggle="modal" data-bs-target="#producer_upgrade_subscription">Change
                                        Plan</button>
                                </div>
                            @endif
                        </div>
                        <h6 class="text-center mt-4">Payment Details</h6>
                        <p class="text-center mt-4 mb-5">Choose Your Subscription</p>
                        <div class="row px-4">
                            <div class="col-6">
                                <div class="form-check shadow-sm radio_checkbox_parent">
                                    <label class="form-check-label" for="biannual_sub">
                                        <input type="radio" class="form-check-input position-relative"
                                            name="subscription" id="biannual_sub" value="checkedValue" checked>
                                        <span class="ms-2">$</span>
                                        <span>125</span>
                                        <span>/Biannually</span>
                                    </label>
                                    <div class="ms-2 mt-2">Quartely subscription</div>
                                </div>
                            </div>
                            <div class="col-6">
                                <div class="form-check shadow-sm radio_checkbox_parent mt-sm-0 mt-2">
                                    <label class="form-check-label" for="annual_sub">
                                        <input type="radio" class="form-check-input position-relative"
                                            name="subscription" id="annual_sub" value="checkedValue">
                                        <span class="ms-2">$</span>
                                        <span>125</span>
                                        <span>/Anually</span>
                                    </label>
                                    <div class="ms-2 mt-2">Anually Subscription</div>
                                </div>
                            </div>
                        </div>

                        <form id="payment-form" class="mt-4 mb-3">
                            <div class="row mx-0 w-100">

                                <div id="error-message" class="text-danger text-center text-sm my-1">
                                </div>
                                <div class="row mx-0 w-100 mt-sm-3 mt-2">
                                    <div id="payment-element">
                                    </div>
                                </div>
                                <div class="row mx-0 w-100 mt-sm-5 mt-4 ">
                                    <button id="submit" class="btn-warning float-end border-0 py-2 mx-auto rounded"
                                        style="width: 30%">Pay</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <!-- Marketplace Script, Orders Page and Order Script Modals -->

    <!-- modal 1 -->
    <div class="modal fade" id="producer_marketplace_script_screenplay_purchase_1" data-bs-backdrop="static"
        data-bs-keyboard="false" tabindex="-1"
        aria-labelledby="producer_marketplace_script_screenplay_purchase_1_Label" aria-hidden="true">
        <div class="modal-dialog m-0 top-50 start-50 translate-middle h-100 pt-5">
            <div class="modal-content">
                <div class="modal-header border-0">
                    <div class="text-center w-100">0 min: 30 sec</div>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body pt-0">
                    <h4 class="text-center mb-sm-5 mb-4">Choose Screenplay Time</h4>
                    <form action="">
                        <div class="row mx-0 w-100">
                            <div class="col-12 px-0">
                                <div class="mx-auto">
                                    <label class="form-check-label">
                                        <input type="radio" class="form-check-input" name="card_type"
                                            value="credit_card">
                                        <h6 class="mb-1">12 Months</h6>
                                        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit.</p>
                                        <i class="fa-solid fa-check"></i>
                                    </label>
                                </div>
                            </div>
                            <div class="col-12 px-0 mt-3">
                                <div class="mx-auto">
                                    <label class="form-check-label">
                                        <input type="radio" class="form-check-input" name="card_type"
                                            value="google_card">
                                        <h6 class="mb-1">6 Months</h6>
                                        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit.</p>
                                        <i class="fa-solid fa-check"></i>
                                    </label>
                                </div>
                            </div>
                        </div>
                        <div class="row w-100 mx-0 mt-5">
                            <div class="col-12">
                                <button type="button" class="border-0 w-100" data-bs-dismiss="modal"
                                    data-bs-toggle="modal"
                                    data-bs-target="#producer_marketplace_script_screenplay_purchase_2">Continue</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal 2-->
    <div class="modal fade" id="producer_marketplace_script_screenplay_purchase_2" data-bs-backdrop="static"
        data-bs-keyboard="false" tabindex="-1"
        aria-labelledby="producer_marketplace_script_screenplay_purchase_2_Label" aria-hidden="true">
        <div class="modal-dialog m-0 top-50 start-50 translate-middle h-100 pt-5">
            <div class="modal-content">
                <div class="modal-body px-sm-3 px-2 pt-0 mt-1">
                    <h5 class="mt-3 mb-3 text-center">Sign the Script</h5>
                    <p class="text-center mb-1">Sign the Script Option Contract To Get To The Next Step</p>
                    <p class="text-center">Click on 'View the contract' to see the contract</p>
                    <div>
                        <div class="text-center mx-auto d-flex justify-content-center align-items-center">
                            <span><i class="fa-solid fa-file"></i></span>
                        </div>
                    </div>
                    <div class="text-center mb-3">
                        <a href="">View the contract</a>
                    </div>
                    <div class="mb-3 text-center">
                        <button type="button" class="border-0 w-75" data-bs-dismiss="modal" data-bs-toggle="modal"
                            data-bs-target="#producer_marketplace_script_screenplay_purchase_complete">Continue</button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- modal 3 -->
    <div class="modal fade" id="producer_marketplace_script_screenplay_purchase_complete" data-bs-backdrop="static"
        data-bs-keyboard="false" tabindex="-1"
        aria-labelledby="producer_marketplace_script_screenplay_purchase_complete_Label" aria-hidden="true">
        <div class="modal-dialog m-0 top-50 start-50 translate-middle h-100 pt-5">
            <div class="modal-content">
                <div class="modal-body px-sm-5 px-2 mt-3">
                    <div class="d-flex justify-content-center">
                        <i class="fa-solid fa-check"></i>
                    </div>
                    <h4 class="mt-3 mb-2 text-center">Payment Done</h4>
                    @if (strpos(request()->url(), 'Order'))
                        <p class="text-center">The Script has been Purchased</p>
                    @else
                        <p class="text-center">The Screenplay has been Unlocked</p>
                    @endif
                    <div class="mb-3 text-center">
                        <a
                            href="{{ route('producer.marketplace') }}?subtype=filled&type={{ request()->query('type') }}">
                            <button type="button" class="border-0">Explore App</button>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @yield('content')

    @yield('scriptcontent')

    <script>
        var paymentElement = {};
        var plan = '';
        var plan_type = '';

        $('#start_basic_subscription_button').click(function() {
            plan = 'semi-annual';
            plan_type = 'basic';
            setupStripe(plan_type + '-' + plan );
        });
        $('#start_premium_subscription_button').click(function() {
            plan = 'semi-annual';
            plan_type = 'premium';
            setupStripe(plan_type + '-' + plan );
        });

        const setupStripe = function(plan) {
            $('#membership').html(plan.replace(/-/g, ' ').toUpperCase());
            fetch('{{ route("producer.stripe.subscription.create") }}', {
                    method: 'POST',
                    headers: {
                        'Content-Type': 'application/json',
                        'X-CSRF-TOKEN': document.querySelector('meta[name="csrf-token"]').content,
                    },
                    body: JSON.stringify({
                        plan: plan,
                    }),
                })
                .then(response => response.json())
                .then(data => {
                    console.dir(data);
                    console.dir(data.client_secret);
                    const options = {
                        clientSecret: data.client_secret,
                        appearance: {
                            theme: 'stripe',
                            labels: 'floating',
                            variables: {
                                colorPrimary: '#0570de',
                                colorBackground: '#ffffff',
                                colorText: '#30313d',
                                colorDanger: '#df1b41',
                                fontFamily: 'Ideal Sans, system-ui, sans-serif',
                                spacingUnit: '2px',
                                borderRadius: '4px'
                            },
                            rules: {
                                '.Label': {
                                    marginBottom: '6px',
                                }
                            }
                        },
                    };

                    const elements = stripe.elements(options);

                    // Create and mount the Payment Element
                    paymentElement = elements.create('payment', {
                        fields: {
                            billingDetails: {
                                address: {
                                    country: 'never',
                                }
                            }
                        }
                    });
                    paymentElement.mount('#payment-element');

                    const form = document.getElementById('payment-form');

                    form.addEventListener('submit', async (event) => {
                        event.preventDefault();

                        const {
                            error
                        } = await stripe.confirmPayment({
                            elements,
                            confirmParams: {
                                return_url: "{{ route('producer.marketplace', ['subtype' => 'payment']) }}",
                                payment_method_data: {
                                    billing_details: {
                                        address: {
                                            country: 'US',
                                        }
                                    }
                                },
                            }
                        });

                        if (error) {
                            const messageContainer = document.querySelector('#error-message');
                            messageContainer.textContent = error.message;
                        } else {

                        }
                    });
                })
                .catch((error) => {
                    console.error('Error:', error);
                });
        }
        const stripe = Stripe("{{ config('services.stripe.key_identifier') }}")

        var clientSecret = new URLSearchParams(window.location.search).get(
            'payment_intent_client_secret'
        );
        if (clientSecret != null) {
            // Retrieve the PaymentIntent
            stripe.retrievePaymentIntent(clientSecret).then(({
                paymentIntent
            }) => {
                const icon = document.querySelector('#payment_info_icon');
                const text = document.querySelector('#payment_info_text');
                const desc = document.querySelector('#payment_info_description');
                const link = document.querySelector('#payment_info_link');

                console.dir(paymentIntent.status);
                switch (paymentIntent.status) {
                    case 'succeeded':
                        break;
                    case 'processing':
                        console.log('processing');
                        icon.className = "fa fa-times text-danger";
                        text.innerText = 'Payment failed';
                        desc.innerText = 'Payment failed. Please try another payment method.';
                        break;

                    case 'requires_payment_method':
                        // Redirect your user back to your payment page to attempt collecting
                        // payment again
                        icon.className = "fa fa-times text-danger";
                        text.innerText = 'Payment failed';
                        desc.innerText = 'Payment failed. Please try another payment method.';
                        link.innerText = 'Go back'
                        break;

                    default:
                        text.innerText = 'Something went wrong.';
                        break;
                }
            });
        }
    </script>
</body>

</html>
