@extends('producer.producer_layout.app')

@section('content')


    <div class="page_right">

        <!-- Beardcrumbs -->
        <div class="breadcrumbs">
            <a href="{{ route('producer.marketplace') }}?subtype=filled&type=basic">Marketplace</a><span> / Script</span>
        </div>

        <section class="producer_marketplace_script">
            <div class="row mx-0 w-100 ps-md-4 ps-0">
                <h5>{{ $script->title }}</h5>
                <div>
                    <span>Synopsis:</span>
                    <span class="pt-md-0 pt-2 d-inline-block">{{ $script->synopsis }}</span>
                </div>
                <div>
                    <span>Logline:</span>
                    <span class="pt-md-0 pt-2 d-inline-block">{{ $script->logline }}</span>
                </div>
                <div>
                    <span>Tagline:</span>
                    <span class="pt-md-0 pt-2 d-inline-block">{{ $script->tagline }}</span>
                </div>
                <div>
                    <span>Treatment:</span>
                    @if (request()->query('purchased') == 'single')
                        <span class="ms-md-0 ms-3"><i class="fa-solid fa-file-pdf"></i></span>
                    @else
                        <span class="ms-md-0 ms-3"><i class="fa-solid fa-lock"></i></span>
                    @endif
                </div>
                <div>
                    <span>Screenplay:</span>
                    <span class="ms-md-0 ms-3"><i class="fa-solid fa-lock"></i></span>
                </div>
                <div class="text-md-start text-center">
                    @if (!request()->query('money') == 'no')
                        @if (request()->query('type') == 'basic')
                            <button type="button" class="border-0" data-bs-dismiss="modal" data-bs-toggle="modal"
                                data-bs-target="#producer_marketplace_script_purchase_1">Purchase</button>
                        @elseif(request()->query('type') == 'premium')
                            <button type="button" class="border-0" data-bs-dismiss="modal" data-bs-toggle="modal"
                                data-bs-target="#producer_marketplace_script_purchase_2">Purchase</button>
                        @endif
                    @else
                        <div class="popup" id="popover_button_id">Purchase
                            <span class="popuptext" id="myPopup">You don't have enough balance in your account. <a
                                    href="{{ route('producer.balance') }}">Click Here</a> to view your wallet.</span>
                        </div>
                    @endif
                </div>
            </div>
        </section>

        <!-- modal 1 -->
        <div class="modal fade mb-3" id="producer_marketplace_script_purchase_1" data-bs-backdrop="static"
            data-bs-keyboard="false" tabindex="-1" aria-labelledby="producer_marketplace_script_purchase_1_Label"
            aria-hidden="true">
            <div class="modal-dialog m-0 top-50 start-50 translate-middle h-100 pt-5">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <h4 class="text-center">Choose</h4>
                        <div class="row mx-0 w-100 mb-3">
                            <div class="col-6 text-center">
                                <span><i class="fa-solid fa-file-lines"></i></span>
                                <h6 class="mt-4">Treatment</h6>
                                <button type="button" class="border-0" data-bs-dismiss="modal" data-bs-toggle="modal"
                                    data-bs-target="#producer_marketplace_script_purchase_complete_1">Get Started</button>
                            </div>
                            <div class="col-6 text-center">
                                <span><i class="fa-solid fa-file-signature"></i></span>
                                <h6 class="mt-4">Screenplay</h6>
                                <button type="button" class="border-0" data-bs-dismiss="modal" data-bs-toggle="modal"
                                    data-bs-target="#producer_marketplace_script_screenplay_purchase_1">Get Started</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- modal 2 -->
        <div class="modal fade mb-3" id="producer_marketplace_script_purchase_2" data-bs-backdrop="static"
            data-bs-keyboard="false" tabindex="-1" aria-labelledby="producer_marketplace_script_purchase_2_Label"
            aria-hidden="true">
            <div class="modal-dialog m-0 top-50 start-50 translate-middle h-100 pt-5">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <h4 class="text-center">Choose</h4>
                        <div class="row mx-0 w-100 mb-3">
                            <div class="col-sm-4 col-6 text-center">
                                <span><i class="fa-solid fa-file-lines"></i></span>
                                <h6 class="mt-4">Treatment</h6>
                                <button type="button" class="border-0" data-bs-dismiss="modal" data-bs-toggle="modal"
                                    data-bs-target="#producer_marketplace_script_purchase_complete_1">Get Started</button>
                            </div>
                            <div class="col-sm-4 col-6 text-center">
                                <span><i class="fa-solid fa-file-signature"></i></span>
                                <h6 class="mt-4">Screenplay</h6>
                                <button type="button" class="border-0" data-bs-dismiss="modal" data-bs-toggle="modal"
                                    data-bs-target="#producer_marketplace_script_screenplay_purchase_1">Get Started</button>
                            </div>
                            <div class="col-sm-4 col-12 text-center mt-sm-0 mt-5">
                                <span><i class="fa-solid fa-handshake"></i></span>
                                <h6 class="mt-4">Commission</h6>
                                <button type="button" class="border-0" data-bs-dismiss="modal" data-bs-toggle="modal"
                                    data-bs-target="#producer_marketplace_script_commission_purchase_1">Get
                                    Started</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>


        <!-- modal 3 -->
        <div class="modal fade" id="producer_marketplace_script_purchase_complete_1" data-bs-backdrop="static"
            data-bs-keyboard="false" tabindex="-1"
            aria-labelledby="producer_marketplace_script_purchase_complete_1_Label" aria-hidden="true">
            <div class="modal-dialog m-0 top-50 start-50 translate-middle h-100 pt-5">
                <div class="modal-content">
                    <div class="modal-body px-sm-5 px-2 mt-3">
                        <div class="d-flex justify-content-center">
                            <i class="fa-solid fa-check"></i>
                        </div>
                        <h4 class="mt-3 mb-2 text-center">Payment Done</h4>
                        <p class="text-center">The treatment has been unlocked</p>
                        <div class="mb-3 text-center">
                            <a
                                href="{{ route('producer.marketplace') }}?subtype=filled&type={{ request()->query('type') }}">
                                <button type="button" class="border-0">Explore App</button>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- modal 7 -->
        <div class="modal fade" id="producer_marketplace_script_commission_purchase_1" data-bs-backdrop="static"
            data-bs-keyboard="false" tabindex="-1"
            aria-labelledby="producer_marketplace_script_commission_purchase_1_Label" aria-hidden="true">
            <div class="modal-dialog m-0 top-50 start-50 translate-middle h-100 pt-5">
                <div class="modal-content">
                    <div class="modal-header border-0">
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body pt-0">
                        <h4 class="text-center mb-1">Commissioned Work</h4>
                        <p class="text-center">Please fill in the details below so that we can get in contact with you</p>
                        <form action="" method="POST" enctype="multipart/form-data"
                            id="screenwriter-upload-script">
                            <div class="row w-100 mx-0 text-start">
                                <div class="col-sm-6 mb-3">
                                    <label for="firstname" class="form-label mb-2">First Name</label>
                                    <input type="text" class="form-control" name="firstname" id="firstname"
                                        placeholder="Your First Name">
                                </div>
                                <div class="col-sm-6 mb-3">
                                    <label for="lastname" class="form-label mb-2">Last Name</label>
                                    <input type="text" class="form-control" name="lastname" id="lastname"
                                        placeholder="Your Last Name">
                                </div>
                                <div class="col-12 mb-3">
                                    <label for="phonenumber" class="form-label mb-2">Phone Number</label>
                                    <input type="tel" class="form-control" name="phonenumber" id="phonenumber"
                                        placeholder="Your Phone Number">
                                </div>
                                <div class="col-12 mb-3">
                                    <label for="email" class="form-label mb-2">Email</label>
                                    <input type="email" class="form-control" name="email" id="email"
                                        placeholder="Your Email Address">
                                </div>
                                <div class="col-12 mb-3">
                                    <label for="text" class="form-label mb-2">Type</label>
                                    <input type="text" class="form-control" name="text" id="text"
                                        placeholder="Your Type">
                                </div>
                                <div class="col-12">
                                    <label for="description" class="form-label">Description</label>
                                    <textarea class="form-control" name="description" id="description" rows="3"></textarea>
                                </div>
                                <div class="col-12 d-flex justify-content-center">
                                    <button type="button" class="cancel me-4">Cancel</button>
                                    <button type="submit" class="submit">Submit</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
