@extends('producer.producer_layout.app')

@section('content')
<div class="page_right">

    @if(request()->query('subtype') == 'filled')
    <header class="producer_header px-4 mb-md-5 mb-4 mt-md-0 mt-3">
        <h4 class="text-sm-start text-center">Welcome to Wo Marketplace</h4>
    </header>
    @endif

    <section class="producer_orders">
        @if(request()->query('subtype') == 'filled')
        <div class="row mx-0 w-100 mb-3 px-3 producer_orders_selectors_all">
            <div class="col-md-3 col-sm-4 col-6 mb-3">
                <select class="form-select" id="genre" name="genre">
                    <option selected>Genre</option>
                    <option value="action">Action</option>
                    <option value="adventure">Adventure</option>
                    <option value="comedy">Comedy</option>
                    <option value="drama">Drama</option>
                    <option value="fantasy">Fantasy</option>
                    <option value="foreign">Foreign</option>
                    <option value="historical">Historical</option>
                    <option value="horrow">Horror</option>
                    <option value="science">Science</option>
                    <option value="thriller">Thriller</option>
                    <option value="western">Western</option>
                    <option value="other">Other</option>
                </select>
            </div>
            <div class="col-md-3 col-sm-4 col-6 mb-3">
                <select class="form-select" id="mpaa_rating" name="mpaa_rating">
                    <option selected>Rated</option>
                    <option value="g">G</option>
                    <option value="pg">PG</option>
                    <option value="pg-13">PG-13</option>
                    <option value="r">R</option>
                </select>
            </div>
            <div class="col-md-3 col-sm-4 col-6 mb-3">
                <select class="form-select" id="budget" name="budget">
                    <option selected>Budget</option>
                    <option value="nobudget">No Budget < 500K (Independent</option>
                    <option value="microbudget">Micro Budget 500k > 1m (Independent)</option>
                    <option value="ultralowbudget">Ultra Low Budget 1m to 5m (Independent)</option>
                    <option value="lowbudget">Low Budget 5m to 20m (Independent or Studio)</option>
                    <option value="mediumbudget">Medium Budget 20m - 100m (Studio Backed)</option>
                    <option value="bigbudget">Big Budget 100m+ (Studio Backed)</option>
                </select>
            </div>
            <div class="col-md-3 col-sm-4 col-6 mb-3">
                <select class="form-select" id="timeline">
                    <option selected>Timeline</option>
                    <option value="past">Past</option>
                    <option value="present">Present</option>
                    <option value="future">Future</option>
                </select>
            </div>
            <div class="col-md-3 col-sm-4 col-6 mb-3">
                <select class="form-select" id="pages" name="pages">
                    <option selected>Pages</option>
                    <option value="90to110">90-110</option>
                    <option value="111-140">111-140</option>
                    <option value="140plus">140+</option>
                </select>
            </div>
            <div class="col-md-3 col-sm-4 col-6 mb-3">
                <select class="form-select" id="where" name="where">
                    <option selected>Where</option>
                    <option value="asia">Asia</option>
                    <option value="europe">Europe</option>
                    <option value="africar">Africa</option>
                    <option value="northamerica">North America</option>
                    <option value="southamerica">South America</option>
                    <option value="antarctica">Antarctica</option>
                    <option value="australia">Australia</option>
                </select>
            </div>
            <div class="col-md-3 col-sm-4 col-6 mb-3">
                <input type="text" class="form-control" name="similarstories" id="similarstories" placeholder="Similar Stories">
            </div>
        </div>
        <div class="row mx-0 w-100 px-3 scriptstab">
            <div class="col-sm-auto text-center {{ request()->query('scripttype') == 'scripts' ? 'active' : '' }} ">
                <a href="{{route('producer.orders')}}?subtype=filled&type=premium&expired=1&scripttype=scripts">
                    <span class="me-2">Scripts</span>
                </a>
            </div>
            <div class="col-sm-auto text-center mt-sm-0 mt-2 {{ request()->query('scripttype') == 'treatment' ? 'active' : '' }} ">
                <a href="{{route('producer.orders')}}?subtype=filled&type=premium&expired=1&scripttype=treatment">
                    <span class="ms-1">Treatment</span>
                </a>
            </div>
            @if(request()->query('type') == 'premium')
            <div class="col-sm-auto text-center mt-sm-0 mt-2 {{ request()->query('scripttype') == 'commission' ? 'active' : '' }} ">
                <a href="{{route('producer.orders')}}?subtype=filled&type=premium&expired=1&scripttype=commission">
                    <span class="me-2">Commission Work</span>
                </a>
            </div>
            @endif
            @if(request()->query('expired') == '1')
            <div class="col-sm-auto text-center mt-sm-0 mt-2 {{ request()->query('scripttype') == 'expired' ? 'active' : '' }} ">
                <a href="{{route('producer.orders')}}?subtype=filled&type=premium&expired=1&scripttype=expired">
                    <span class="me-2">Expired Scripts</span>
                </a>
            </div>
            @endif
        </div>
        <hr class="mb-3 mt-2 mx-4">
        <div class="row w-100 mx-0 mb-4">
            <div class="col-12">
                <div class="row mx-0 w-100">
                    @if(request()->query('scripttype')=='scripts')
                    @for($i=0; $i < 15; $i++) <div class="col-xl-3 col-lg-4 col-sm-6 col-12 producer_orders_withscripts mb-5">
                        <div>
                            <a href="{{ route('producer.script.orders') }}?subtype=filled&type={{request()->query('type')}}&scriptstatus=scripts">
                                <img src="/img/branded-script-image.png" width="100%" height="100%" alt="Profile Picture" class="image-fluid">
                            </a>
                            <div class="ratingshow text-center">Rating: <span>37</span></div>
                        </div>
                        <h6 class="mt-3 mb-1 text-center">
                            <span>DM Compaign 2020.pdf</span>
                            <span class="float-end"></span>
                        </h6>
                        <p class="text-center mb-0">Today, 9 January 2021</p>
                        <hr class="mb-2 mt-3">
                        <div class="text-center">
                            <img src="https://picsum.photos/40/40" alt="Profile Picture" class="image-fluid rounded-circle mb-1">
                            <div class="mb-1">Josha</div>
                            <div>example@gmail.com</div>
                        </div>
                        <div class="mt-3">
                            <button type="button" class="border-0 w-100 purchase" data-bs-dismiss="modal" data-bs-toggle="modal" data-bs-target="#producer_marketplace_script_screenplay_purchase_2">Purchase</button>
                        </div>
                </div>
                @endfor
                @elseif(request()->query('scripttype')=='treatment')
                @for($i=0; $i < 15; $i++) <div class="col-xl-3 col-lg-4 col-sm-6 col-12 producer_orders_withscripts mb-5">
                    <div>
                        <a href="{{ route('producer.script.orders') }}?subtype=filled&type={{request()->query('type')}}&scriptstatus=treatment">
                            <img src="/img/branded-script-image.png" width="100%" height="100%" alt="Profile Picture" class="image-fluid">
                        </a>
                        <div class="ratingshow text-center">Rating: <span>37</span></div>
                    </div>
                    <h6 class="mt-3 mb-1 text-center">
                        <span>DM Compaign 2020.pdf</span>
                        <span class="float-end"></span>
                    </h6>
                    <p class="text-center mb-0">Today, 9 January 2021</p>
                    <hr class="mb-2 mt-3">
                    <div class="text-center">
                        <img src="https://picsum.photos/40/40" alt="Profile Picture" class="image-fluid rounded-circle mb-1">
                        <div class="mb-1">Josha</div>
                        <div>example@gmail.com</div>
                    </div>
            </div>
            @endfor
            @elseif(request()->query('scripttype')=='commission')
            @for($i=0; $i < 6; $i++) <div class="col-xl-3 col-lg-4 col-sm-6 col-12 producer_orders_withscripts mb-5">
                <div>
                    <a href="">
                        <img src="/img/branded-script-image.png" width="100%" height="100%" alt="Profile Picture" class="image-fluid">
                    </a>
                    <div class="ratingshow text-center">Rating: <span>37</span></div>
                </div>
                <h6 class="mt-3 mb-1 text-center">
                    <span>DM Compaign 2020.pdf</span>
                    <span class="float-end"></span>
                </h6>
                <p class="text-center mb-0">Today, 9 January 2021</p>
                <hr class="mb-2 mt-3">
                <div class="text-center">
                    <img src="https://picsum.photos/40/40" alt="Profile Picture" class="image-fluid rounded-circle mb-1">
                    <div class="mb-1">Josha</div>
                    <div>example@gmail.com</div>
                </div>
        </div>
        @endfor
        @elseif(request()->query('scripttype')=='expired')
        @for($i=0; $i < 4; $i++) <div class="col-xl-3 col-lg-4 col-sm-6 col-12 producer_orders_withscripts mb-5">
            <div>
                <img src="/img/branded-script-image.png" width="100%" height="100%" alt="Profile Picture" class="image-fluid">
                <div class="ratingshow text-center">Rating: <span>37</span></div>
            </div>
            <h6 class="mt-3 mb-1 text-center">
                <span>DM Compaign 2020.pdf</span>
                <span class="float-end"></span>
            </h6>
            <p class="text-center mb-1">Today, 9 January 2021</p>
            <p class="text-center mb-0">
                <span>Time Until Expired:</span>
                <span>3 Months</span>
            </p>
            <hr class="mb-2 mt-3">
            <div class="text-center">
                <img src="https://picsum.photos/40/40" alt="Profile Picture" class="image-fluid rounded-circle mb-1">
                <div class="mb-1">Josha</div>
                <div>example@gmail.com</div>
            </div>
            <div class="mt-3">
                <button type="button" class="border-0 w-100 purchase" data-bs-dismiss="modal" data-bs-toggle="modal" data-bs-target="#producer_marketplace_script_screenplay_purchase_2">Purchase</button>
            </div>
            <div class="mt-2">
                <button type="button" class="border-0 w-100 renewal" data-bs-dismiss="modal" data-bs-toggle="modal" data-bs-target="#">6 Month Renewal</button>
            </div>
</div>
@endfor
@endif
</div>
</div>
</div>
@endif


</section>


</div>
@endsection
