<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="csrf-token" content="{{ csrf_token() }}" />
    <title>WoAccelerator Screenwriter Dashboard</title>
    <link rel="stylesheet" href="{{ asset('/css/app.css') }}">
    <script src="{{ asset('/js/app.js') }}" defer></script>
    <script src="{{ asset('/js/common.js') }}" defer></script>
    <script src="{{ asset('/js/screenwriter.js') }}" defer></script>
    <script src="https://js.stripe.com/v3/"></script>
</head>

<body class="screenwriter_body">


    <!-- Loading Loader -->

    <div class="loader-parent d-none">
        <div class="loader"></div>
    </div>

    <!-- SideBar -->

    <nav class="pt-3 screenwriter shadow">
        <a href="{{ route('screenwriter.index') }}" class="text-decoration-none">
            <span class="Logo_First">Wo</span>
            <span class="Logo_Second"> Accelerator</span>
        </a>
        <span class="cancel_menu ms-3"><i class="fa-solid fa-xmark"></i></span>
        <ul class="mt-5 ps-0 menu_items">
            <li class="{{ request()->is('screenwriter') ? 'active' : '' }}">
                <a href="{{ route('screenwriter.index') }}" class="text-decoration-none">
                    <span><i class="fa-solid fa-house"></i></span>
                    <span>Dashboard</span>
                </a>
            </li>
            <li
                class="{{ request()->is('screenwriter/scripts', 'screenwriter/scripts/*', 'screenwriter/script/draft', 'screenwriter/script/draft/*') ? 'active' : '' }}">
                <a href="{{ route('screenwriter.scripts') }}" class="text-decoration-none">
                    <span><i class="fa-solid fa-bell"></i></span>
                    <span>My Script</span>
                </a>
            </li>
            <li class="{{ request()->is('screenwriter/marketplace', 'screenwriter/marketplace/*') ? 'active' : '' }}">
                <a href="{{ route('screenwriter.marketplace') }}" class="text-decoration-none">
                    <span><i class="fa-solid fa-calendar"></i></span>
                    <span>Marketplace Scripts</span>
                </a>
            </li>
            <li class="{{ request()->is('screenwriter/wallet', 'screenwriter/wallet/*') ? 'active' : '' }}">
                <a href="{{ route('screenwriter.wallet') }}" class="text-decoration-none">
                    <span><i class="fa-solid fa-scroll"></i></span>
                    <span>Wallet</span>
                </a>
            </li>
            <li class="{{ request()->is('screenwriter/settings', 'screenwriter/settings/*') ? 'active' : '' }}">
                <a href="{{ route('screenwriter.settings') }}" class="text-decoration-none">
                    <span><i class="fa-solid fa-gear"></i></span>
                    <span>Settings</span>
                </a>
            </li>
            <li>
                <form action="{{ route('logout') }}" method="post" class="inline">
                    @csrf
                    <button type="submit" class="border-0 bg-transparent">
                        <span><i class="fa-solid fa-arrow-right-from-bracket"></i></span>
                        <span>Logout</span>
                    </button>
                </form>
            </li>
            <!--  <li>
                <a href="" class="text-decoration-none">
                    <span><i class="fa-solid fa-message"></i></span>
                    <span class="d-block">Support</span>
                </a>
            </li> -->
        </ul>
    </nav>

    <!-- Top Menu -->

    <section id="screenwriter_top_menu">
        <span class="menu_button"><i class="fa-solid fa-bars"></i></span>
        <span><i class="fa-solid fa-bell"></i></span>
        <span class="me-2"><img src="https://picsum.photos/40/40" alt="Profile Picture" class="image-fluid"></span>
        <span class="me-2 d-sm-inline d-none">{{ $fullname }}</span>
    </section>

    @yield('content')
    <div class="modal fade" id="screenwriter_script_payment2_to_marketplace" data-bs-backdrop="static"
        data-bs-keyboard="false" tabindex="-1" aria-labelledby="screenwriter_script_payment2_to_marketplace_Label"
        aria-hidden="true">
        <div class="modal-dialog m-0 top-50 start-50 translate-middle h-100 pt-5">
            <div class="modal-content">
                <div class="modal-header d-flex justify-content-end pb-1">
                    <button type="button" class="border-0" data-bs-dismiss="modal" aria-label="Close"><i
                            class="fa-solid fa-xmark"></i></button>
                </div>
                <div class="modal-body px-sm-3 px-2 pt-1 mt-1">
                    <h5 class="mb-2 text-center">
                        Subscribe
                    </h5>
                    <hr>
                    <p class="text-center mt-4 mb-5">Choose Your Subscription</p>
                    <div class="row px-4">
                        <div class="col-6">
                            <div class="form-check shadow-sm radio_checkbox_parent">
                                <label class="form-check-label" for="biannual_sub">
                                    <input type="radio" class="form-check-input position-relative"
                                        name="subscription" id="biannual_sub" value="checkedValue" checked>
                                    <span class="ms-2">$</span>
                                    <span>125</span>
                                    <span>/Biannually</span>
                                </label>
                                <div class="ms-2 mt-2">Quartely subscription</div>
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="form-check shadow-sm radio_checkbox_parent mt-sm-0 mt-2">
                                <label class="form-check-label" for="annual_sub">
                                    <input type="radio" class="form-check-input position-relative"
                                        name="subscription" id="annual_sub" value="checkedValue">
                                    <span class="ms-2">$</span>
                                    <span>125</span>
                                    <span>/Anually</span>
                                </label>
                                <div class="ms-2 mt-2">Anually Subscription</div>
                            </div>
                        </div>
                    </div>
                    <div class="form_section mt-5 px-3">
                        {{-- Create form and style --}}
                        <form id="payment-form">
                            <div class="row mx-0 w-100">
                                <div class="row mx-0 w-100 mt-sm-3 mt-2">
                                    <div id="payment-element">
                                        <!-- Elements will create form elements here -->
                                    </div>
                                </div>
                                <div class="row mx-0 w-100 mt-sm-5 mt-4 ">
                                    <button id="submit" class="btn-primary float-end border-0 py-2 mx-auto rounded"
                                        style="width: 30%">Pay</button>
                                </div>
                                <div id="error-message">
                                    <!-- Display error message to your customers here -->
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>



    <!-- Modal for uplaod Confirmation -->
    <div class="modal fade" id="screenwriter_review_confirmation" data-bs-backdrop="static" data-bs-keyboard="false"
        tabindex="-1" aria-labelledby="screenwriter_review_confirmation_Label" aria-hidden="true">
        <div class="modal-dialog m-0 top-50 start-50 translate-middle h-100 pt-5">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body text-center">
                    <span><i class="fa-solid fa-question"></i></span>
                    <p class="mt-3">Warning</p>
                    <p>Are you sure you want to submit the script?</p>
                </div>
                <div class="modal-footer justify-content-around px-4">
                    <button type="button" data-bs-dismiss="modal" class="no">No</button>
                    <button type="button" data-bs-dismiss="modal" class="yes">Yes</button>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal for uplaod Confirmation Message-->
    <div class="modal fade" id="screenwriter_review_submit_message" data-bs-backdrop="static"
        data-bs-keyboard="false" tabindex="-1" aria-labelledby="screenwriter_review_submit_message_Label"
        aria-hidden="true">
        <div class="modal-dialog m-0 top-50 start-50 translate-middle h-100 pt-5">
            <div class="modal-content">
                <div class="modal-body px-sm-5 px-2 mt-3">
                    <div class="d-flex justify-content-center">
                        <div class="rounded-circle text-center">
                            <i class="fa-solid fa-check"></i>
                        </div>
                    </div>
                    <h4 class="mt-3 mb-3 text-center">You have submitted your script</h4>
                    <p class="text-center mb-4">Your script is now in Queue for Review. Once our team reviews it, your
                        script status will be updated</p>
                    <div class="mb-3 text-center">
                        <a href="{{ route('screenwriter.scripts') }}" class="text-decoration-none">
                            <button type="button" class="border-0 w-75" data-bs-dismiss="modal">
                                Ok
                            </button>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal for Contract Send Complete Message-->
    <div class="modal fade" id="screenwriter_contract_send_message" data-bs-backdrop="static"
        data-bs-keyboard="false" tabindex="-1" aria-labelledby="Contract Send Message Modal" aria-hidden="true">
        <div class="modal fade" id="screenwriter_contract_send_message" data-bs-backdrop="static"
            data-bs-keyboard="false" tabindex="-1" aria-labelledby="Contract Send Message Modal"
            aria-hidden="true">
            <div class="modal-dialog m-0 top-50 start-50 translate-middle h-100 pt-5">
                <div class="modal-content">
                    <div class="modal-body px-sm-5 px-2 mt-3">
                        <div class="d-flex justify-content-center">
                            <div class="rounded-circle text-center">
                                <i class="fa-solid fa-check"></i>
                            </div>
                        </div>
                        <h4 class="mt-3 mb-3 text-center">Contract has been Send</h4>
                        <p class="text-center mb-4">The Contract is send to your Email Address. Once you signed the
                            contract, your script status will be updated</p>
                        <div class="mb-3 text-center">
                            <a href="{{ route('screenwriter.scripts') }}" class="text-decoration-none">
                                <button type="button" class="border-0 w-75" data-bs-dismiss="modal">
                                    Ok
                                </button>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal for Confirmation of deletion-->
    <div class="modal fade" id="screenwriter_script_delete" data-bs-backdrop="static" data-bs-keyboard="false"
        tabindex="-1" aria-labelledby="screenwriter_script_delete_Label" aria-hidden="true">
        <div class="modal-dialog m-0 top-50 start-50 translate-middle h-100 pt-5">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body text-center">
                    <span><i class="fa-solid fa-question"></i></span>
                    <p class="mt-3">Warning</p>
                    <p>Are you sure you want to delete the script?</p>
                </div>
                <div class="modal-footer justify-content-around px-4">
                    <button type="button" data-bs-dismiss="modal" class="no">No</button>
                    <button type="button" data-bs-dismiss="modal" class="yes">Yes</button>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal For Esignature before Submitting Script-->
    <div class="modal fade" id="screenwriter_script_esignature_to_submit" data-bs-backdrop="static"
        data-bs-keyboard="false" tabindex="-1" aria-labelledby="screenwriter_script_payment1_to_marketplace_Label"
        aria-hidden="true">
        <div class="modal-dialog m-0 top-50 start-50 translate-middle h-100 pt-5">
            <div class="modal-content">
                <div class="modal-header d-flex justify-content-end pb-1">
                    <button type="button" class="border-0" data-bs-dismiss="modal" aria-label="Close"><i
                            class="fa-solid fa-xmark"></i></button>
                </div>
                <div class="modal-body px-sm-3 px-2 pt-0 mt-1">
                    <h5 class="mb-2 text-center">
                        Sign the
                        <span>Contract</span>
                        In Order To
                        <span>Submit</span>
                        the Script
                    </h5>
                    <div class="d-flex justify-content-center">
                        <span class="me-sm-3 me-1">Sign the Contract</span>
                    </div>
                    <hr>
                    <p class="text-center mb-1">Sign the Script Option Contract To Submit the Script</p>
                    <p class="text-center">Click on 'Send' to get the contract</p>
                    <div>
                        <div class="text-center mx-auto d-flex justify-content-center align-items-center">
                            <span><i class="fa-solid fa-file"></i></span>
                        </div>
                    </div>
                    <div class="text-center my-3">
                        <button type="button" class="border-0 send">Send the contract</button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal for Contract Send Complete Message-->
    <div class="modal fade" id="dwolla_setup_required" data-bs-backdrop="static" data-bs-keyboard="false"
        tabindex="-1" aria-labelledby="Dwolla Setup Modal" aria-hidden="true">
        <div class="modal-dialog m-0 top-50 start-50 translate-middle h-100 pt-5">
            <div class="modal-content">
                <div class="modal-body px-sm-5 px-2 mt-3">
                    <div class="d-flex justify-content-center">
                        <div class="rounded-circle text-center">
                            <i class="fa-solid fa-building-columns"></i>
                        </div>
                    </div>
                    <h4 class="mt-3 mb-3 text-center">Setup Your Balance Account</h4>
                    <p class="text-center mb-4">Click Continue to Setup your Balance Account</p>
                    <div class="mb-3 text-center">
                        <a href="{{ route('dwolla.writer') }}" class="text-decoration-none">
                            <button type="button" class="border-0 w-75" data-bs-dismiss="modal">
                                Continue
                            </button>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>

    @if (@session('dwolla_status') == 'success')
        <script>
            window.addEventListener('load', () => {
                $('#dwolla_setup_required').modal('show');
            })
        </script>
    @endif

    @if (@session('contract_status') == 'success')
        <script>
            window.addEventListener('load', () => {
                $('#screenwriter_contract_send_message').modal('show');
            })
        </script>
    @endif

    @if (@session('submit_status') == 'success')
        <script>
            window.addEventListener('load', () => {
                $('#screenwriter_review_submit_message').modal('show');
            })
        </script>
    @endif

    @if (@session('error_status') == 'success')
        <script>
            window.alert('An Error Occured');
        </script>
    @endif

    <script defer>
        var paymentElement = {};
        const setupStripe = function(plan) {
            fetch('{{ route("screenwriter.stripe.subscription.create") }}', {
                    method: 'POST',
                    headers: {
                        'Content-Type': 'application/json',
                        'X-CSRF-TOKEN': document.querySelector('meta[name="csrf-token"]').content,
                    },
                    body: JSON.stringify({
                        plan: plan,
                    }),
                })
                .then(response => response.json())
                .then(data => {
                    const options = {
                            clientSecret: data.client_secret,
                            appearance: {
                                theme: 'stripe',
                                variables: {
                                    colorPrimary: '#0570de',
                                    colorBackground: '#ffffff',
                                    colorText: '#30313d',
                                    colorDanger: '#df1b41',
                                    fontFamily: 'Ideal Sans, system-ui, sans-serif',
                                    spacingUnit: '2px',
                                    borderRadius: '4px'
                                },
                                rules: {
                                    '.Label': {
                                        marginBottom: '6px',
                                    }
                                }
                            },
                            rules: {
                                '.Label': {
                                    marginBottom: '6px',
                                }
                            }
                        },

                        elements = stripe.elements(options);

                    // Create and mount the Payment Element
                    paymentElement = elements.create('payment', {
                        fields: {
                            billingDetails: {
                                address: {
                                    country: 'never',
                                }
                            }
                        }
                    });

                    paymentElement.mount('#payment-element');

                    paymentElement.on('ready', function() {
                        const form = document.getElementById('payment-form');
                        form.addEventListener('submit', async (event) => {
                            event.preventDefault();

                            const {
                                error
                            } = await stripe.confirmPayment({
                                elements,
                                confirmParams: {
                                    return_url: "{{ route('screenwriter.index', ['subtype' => 'payment']) }}",
                                    payment_method_data: {
                                        billing_details: {
                                            address: {
                                                country: 'US',
                                            }
                                        }
                                    },
                                }
                            });

                            if (error) {
                                const messageContainer = document.querySelector(
                                    '#error-message');
                                messageContainer.textContent = error.message;
                            } else {
                                const error = await response.json();
                                console.log(error);
                            }
                        });
                    });
                });
        }

        const stripe = Stripe("{{ config('services.stripe.key_identifier') }}")

        var clientSecret = new URLSearchParams(window.location.search).get(
            'payment_intent_client_secret'
        );
        if (clientSecret != null) {
            // Retrieve the PaymentIntent
            stripe.retrievePaymentIntent(clientSecret).then(({
                paymentIntent
            }) => {
                const icon = document.querySelector('#payment_info_icon');
                const text = document.querySelector('#payment_info_text');
                const desc = document.querySelector('#payment_info_description');
                const link = document.querySelector('#payment_info_link');

                console.dir(paymentIntent.status);
                switch (paymentIntent.status) {
                    case 'succeeded':
                        break;
                    case 'processing':
                        console.log('processing');
                        icon.className = "fa fa-times text-danger";
                        text.innerText = 'Payment failed';
                        desc.innerText = 'Payment failed. Please try another payment method.';
                        break;

                    case 'requires_payment_method':
                        // Redirect your user back to your payment page to attempt collecting
                        // payment again
                        icon.className = "fa fa-times text-danger";
                        text.innerText = 'Payment failed';
                        desc.innerText = 'Payment failed. Please try another payment method.';
                        link.innerText = 'Go back'
                        break;

                    default:
                        text.innerText = 'Something went wrong.';
                        break;
                }
            });
        }
        setupStripe("semi-annual");
    </script>
</body>

</html>
