@extends('screenwriter.screenwriter_layout.app')

@section('content')
<div class="page_right">

    <!-- Beardcrumbs -->
    <div class="breadcrumbs">
        <a href="{{ route('screenwriter.index') }}">Dashboard</a><span>/{{ ucfirst(Route::current()->getName()) }}</span>
    </div>

    <section class="screenwriter_script_details mt-5">
        <div class="row w-100">
            <div class="col-md-5 col-12 text-center">
                <h5 class="mb-4">Script Details</h5>
                <div class="row mx-0 w-100 mb-3">
                    <div class="col-12">
                        <div>
                            <img src="https://picsum.photos/300/300" width="90%" height="90%" alt="Profile Picture" class="image-fluid">
                            @if($script->publish_status == 'submitted')
                            <div class="submittedbtn text-center">Submitted</div>
                            @elseif($script->publish_status == 'in_review')
                            <div class="inreviewbtn text-center">In Review</div>
                            @elseif($script->publish_status == 'accepted')
                            <div class="livebtn text-center">Live</div>
                            @elseif($script->publish_status == 'denied')
                            <div class="deniedbtn text-center">Denied</div>
                            @endif
                        </div>
                    </div>
                </div>
                <h6 class="mb-0">{{$script->title}}.pdf</h6>
                <span>{{$script->updated_at->diffForHumans()}}</span>
                <div class="row w-100 mx-0 mt-md-5 mt-3">
                    @if($script->publish_status == 'denied' && $script->submissions == 1)
                    <div class="col-6 mb-sm-0 mb-2 px-sm-auto px-0 text-end">
                        <form id="screenwriter_draft_script_details_form_status_update" action="{{route('screenwriter.script.draft.updatedenied', $script->id)}}" method="post">
                            @csrf
                                @if ( !Auth::user()->subscribed())
                                    <button type="button" class="border-0" data-bs-toggle="modal" data-bs-target="#screenwriter_script_payment2_to_marketplace">Subscribe To enable Submission</button>
                                @else
                                    <button type="submit" class="border-0" data-bs-toggle="modal" data-bs-target="#screenwriter_draft_edit_script_submit">Submit (1/2)</button>
                                @endif
                        </form>
                    </div>
                    <div class="col-6 text-start">
                        <button type="button" class="border-0">
                            <a href="{{ route('screenwriter.script.draft', $script->id) }}" class="text-decoration-none">Edit</a>
                        </button>
                    </div>
                    @endif
                </div>
            </div>
            <div class="col-md-7 col-12 mt-4 mt-md-2">
                <div class="row mx-0 w-100">
                    <div class="col-12">
                        <h4 class="mb-md-5 mb-4 text-sm-left text-center">{{$script->title}}.pdf</h4>
                    </div>
                </div>
                <div class="row w-100 mx-0">
                    <div class="col-12">
                        <h6 class="mb-4">
                            <span>1. </span>
                            <span>Marketplace Details</span>
                        </h6>
                    </div>
                    <div class="row w-100 text-start mb-sm-5 mb-3">
                        <div class="col-sm-4 mb-3">
                            <label for="genre" class="form-label">Genre</label>
                            <select class="form-select" id="genre" name="genre" disabled>
                                <option value="action" {{($script->genre == 'action') ? 'selected' : ''}}>Action</option>
                                <option value="adventure" {{($script->genre == 'adventure') ? 'selected' : ''}}>Adventure</option>
                                <option value="comedy" {{($script->genre == 'comedy') ? 'selected' : ''}}>Comedy</option>
                                <option value="drama" {{($script->genre == 'drama') ? 'selected' : ''}}>Drama</option>
                                <option value="fantasy" {{($script->genre == 'fantasy') ? 'selected' : ''}}>Fantasy</option>
                                <option value="foreign" {{($script->genre == 'foreign') ? 'selected' : ''}}>Foreign</option>
                                <option value="historical" {{($script->genre == 'historical') ? 'selected' : ''}}>Historical</option>
                                <option value="horrow" {{($script->genre == 'horrow') ? 'selected' : ''}}>Horror</option>
                                <option value="science" {{($script->genre == 'science') ? 'selected' : ''}}>Science</option>
                                <option value="thriller" {{($script->genre == 'thriller') ? 'selected' : ''}}>Thriller</option>
                                <option value="western" {{($script->genre == 'western') ? 'selected' : ''}}>Western</option>
                                <option value="other" {{($script->genre == 'other') ? 'selected' : ''}}>Other</option>
                            </select>
                        </div>
                        <div class="col-sm-4 mb-3">
                            <label for="pages" class="form-label">Pages</label>
                            <select class="form-select" id="pages" name="pages" disabled>
                                <option value="90-110" {{($script->pages == '90-110') ? 'selected' : ''}}>90-110</option>
                                <option value="111-140" {{($script->pages == '111-140') ? 'selected' : ''}}>111-140</option>
                                <option value="140+" {{($script->pages == '140+') ? 'selected' : ''}}>140+</option>
                            </select>
                        </div>
                        <div class="col-sm-4 mb-3">
                            <label for="mpaa_rating" class="form-label">MPAA Rating</label>
                            <select class="form-select" id="mpaa_rating" name="mpaa_rating" disabled>
                                <option value="g" {{($script->content_ratings == 'g') ? 'selected' : ''}}>G</option>
                                <option value="pg" {{($script->content_ratings == 'pg') ? 'selected' : ''}}>PG</option>
                                <option value="pg-13" {{($script->content_ratings == 'pg-13') ? 'selected' : ''}}>PG-13</option>
                                <option value="r" {{($script->content_ratings == 'r') ? 'selected' : ''}}>R</option>
                            </select>
                        </div>
                        <div class="col-sm-4 mb-3">
                            <label for="budget" class="form-label">Budget</label>
                            <select class="form-select" id="budget" name="budget" disabled>
                                <option value="No Budget < 500K (Independent)" {{($script->budget == 'No Budget < 500K (Independent)') ? 'selected' : ''}}>No Budget < 500K (Independent</option>
                                <option value="Micro Budget 500k > 1m (Independent)" {{($script->budget == 'Micro Budget 500k > 1m (Independent)') ? 'selected' : ''}}>Micro Budget 500k > 1m (Independent)</option>
                                <option value="Ultra Low Budget 1m to 5m (Independent)" {{($script->budget == 'Ultra Low Budget 1m to 5m (Independent)') ? 'selected' : ''}}>Ultra Low Budget 1m to 5m (Independent)</option>
                                <option value="Low Budget 5m to 20m (Independent or Studio)" {{($script->budget == 'Low Budget 5m to 20m (Independent or Studio)') ? 'selected' : ''}}>Low Budget 5m to 20m (Independent or Studio)</option>
                                <option value="Medium Budget 20m - 100m (Studio Backed)" {{($script->budget == 'Medium Budget 20m - 100m (Studio Backed)') ? 'selected' : ''}}>Medium Budget 20m - 100m (Studio Backed)</option>
                                <option value="Big Budget 100m+ (Studio Backed)" {{($script->budget == 'Big Budget 100m+ (Studio Backed)') ? 'selected' : ''}}>Big Budget 100m+ (Studio Backed)</option>
                            </select>
                        </div>
                        <div class="col-sm-4 mb-3">
                            <label for="timeline" class="form-label">Timeline</label>
                            <select class="form-select" id="timeline" disabled>
                                <option value="past" {{($script->timeline == 'past') ? 'selected' : ''}}>Past</option>
                                <option value="present" {{($script->timeline == 'present') ? 'selected' : ''}}>Present</option>
                                <option value="future" {{($script->timeline == 'future') ? 'selected' : ''}}>Future</option>
                            </select>
                        </div>
                        <div class="col-sm-4 mb-3">
                            <label for="where" class="form-label">Where</label>
                            <select class="form-select" id="where" name="where" disabled>
                                <option value="asia" {{($script->where == 'asia') ? 'selected' : ''}}>Asia</option>
                                <option value="europe" {{($script->where == 'europe') ? 'selected' : ''}}>Europe</option>
                                <option value="africa" {{($script->where == 'africa') ? 'selected' : ''}}>Africa</option>
                                <option value="north-america" {{($script->where == 'north-america') ? 'selected' : ''}}>North America</option>
                                <option value="south-america" {{($script->where == 'south-america') ? 'selected' : ''}}>South America</option>
                                <option value="antarctica" {{($script->where == 'antarctica') ? 'selected' : ''}}>Antarctica</option>
                                <option value="australia" {{($script->where == 'australia') ? 'selected' : ''}}>Australia</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="row w-100 mx-0">
                    <div class="col-12">
                        <h6 class="mb-4">
                            <span>2. </span>
                            <span>Script Details</span>
                        </h6>
                        <p>*Title:</p>
                        <p>{{$script->title}}</p>
                        <p>*Synopsis:</p>
                        <p>{{$script->synopsis}}</p>
                        <p>*Logline:</p>
                        <p>{{$script->logline}}</p>
                        <p>*Tagline:</p>
                        <p>{{$script->tagline}}</p>
                        <p>
                            <span>*Treatment:</span>
                            <span class="ms-2"><a href="{{config('services.gcs.storage_api_uri')}}treatments/{{$script->treatment}}" download>Download</a><i class="fa-solid fa-file-pdf ms-2"></i></span>
                        </p>
                        <p>
                            <span>*Script:</span>
                            <span class="ms-2"><a href="{{config('services.gcs.storage_api_uri')}}scripts/{{$script->script}}" download>Download</a><i class="fa-solid fa-file-pdf ms-2"></i></span>
                        </p>
                    </div>
                </div>

                @if($script->publish_status == 'denied' || $script->publish_status == 'accepted')
                <div class="row w-100 mx-0 mt-sm-5 mt-3">
                    <div class="col-12 text-center">
                        <h6 class="mb-4">Script Info</h6>
                        <div class="row w-100 mx-0">
                            <div class="col-4 text-center">
                                <label class="form-label">Character</label>
                                <input type="number" class="form-control py-3 text-center" value="{{$script_ratings->character}}" disabled>
                            </div>
                            <div class="col-4 text-center">
                                <label class="form-label">Conflict</label>
                                <input type="number" class="form-control py-3 text-center" value="{{$script_ratings->conflict}}" disabled>
                            </div>
                            <div class="col-4 text-center">
                                <label class="form-label">Dialogue</label>
                                <input type="number" class="form-control py-3 text-center" value="{{$script_ratings->dialogue}}" disabled>
                            </div>
                        </div>
                        <div class="row w-100 mx-0 mt-2">
                            <div class="col-4 text-center">
                                <label class="form-label">Logic</label>
                                <input type="number" class="form-control py-3 text-center" value="{{$script_ratings->logic}}" disabled>
                            </div>
                            <div class="col-4 text-center">
                                <label class="form-label">Originality</label>
                                <input type="number" class="form-control py-3 text-center" value="{{$script_ratings->originality}}" disabled>
                            </div>
                            <div class="col-4 text-center">
                                <label class="form-label">Pacing</label>
                                <input type="number" class="form-control py-3 text-center" value="{{$script_ratings->pacing}}" disabled>
                            </div>
                        </div>
                        <div class="row w-100 mx-0 mt-2">
                            <div class="col-4 text-center">
                                <label class="form-label">Premise</label>
                                <input type="number" class="form-control py-3 text-center" value="{{$script_ratings->premise}}" disabled>
                            </div>
                            <div class="col-4 text-center">
                                <label class="form-label">Stucture</label>
                                <input type="number" class="form-control py-3 text-center" value="{{$script_ratings->structure}}" disabled>
                            </div>
                            <div class="col-4 text-center">
                                <label class="form-label">Tone</label>
                                <input type="number" class="form-control py-3 text-center" value="{{$script_ratings->tone}}" disabled>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row w-100 mb-5 mx-0">
                    <div class="col-12 text-center mt-5">
                        <div class="row mx-0 w-100 justify-content-center">
                            <div class="col-auto text-center">
                                <div class="mb-2 text-center">27pt</div>
                                <span>Solid</span>
                            </div>
                            <div class="col-12 text-start">
                                <h5 class="mb-0 mt-3 text-start">Analyst Feedback</h5>
                                <span class="text-start">{{$script_ratings->updated_at->diffForHumans()}}</span>
                                <p class="mt-2 text-start">{{$script_ratings->feedback}}</p>
                            </div>
                        </div>
                    </div>
                </div>
                @endif
            </div>
        </div>
    </section>

</div>
@endsection
