@extends('screenwriter.screenwriter_layout.app')

@section('content')
<div class="page_right">

    <!-- Beardcrumbs -->
    <div class="breadcrumbs">
        <a href="{{ route('screenwriter.index') }}">Dashboard</a><span>/{{ ucfirst(Route::current()->getName()) }}</span>
    </div>

    <section class="screenwriter_draft_script_details mt-md-5 mt-3">
        <div class="row w-100">
            <div class="col-md-5 col-12 text-center">
                <h5 class="mb-4">Script Details</h5>
                <div class="row mx-0 w-100 mb-3">
                    <div class="col-12">
                        <div>
                            <img src="/img/branded-script-image.png" width="90%" height="90%" alt="Profile Picture" class="image-fluid">
                            @if($script->publish_status == 'draft')
                            <div class="draftbtn text-center">Draft</div>
                            @elseif($script->publish_status == 'denied')
                            <div class="deniedbtn text-center">Denied</div>
                            @endif
                        </div>
                    </div>
                </div>
                <h6 class="mb-1">
                    <span>{{$script->title}}.pdf</span>
                    @if($script->publish_status == 'draft')
                    <form id="screenwriter_draft_script_delete" action="{{route('screenwriter.script.draft.delete', $script->id)}}" method="post">
                        @csrf
                        <button type="submit" class="border-0 bg-transparent"><i class="fa-solid fa-trash-can"></i></button>
                    </form>
                    @endif
                </h6>
                <span>{{$script->updated_at->diffForHumans()}}</span>
                <div class="row w-100 mx-0 mt-md-4 mt-3">
                    @if(!Auth::user()->subscribed())
                        <button type="button" class="accept border-0 mb-4" data-bs-toggle="modal"
                        data-bs-target="#screenwriter_script_payment2_to_marketplace">Subscribe to submit</button>
                    @elseif($script->publish_status == 'draft')
                    <div class="col-12 mb-sm-0 mb-2 px-sm-auto px-0 text-center">
                        @if(empty($script->esignatures[0]))
                        <form id="screenwriter_draft_script_details_form_status_update" action="{{route('screenwriter.script.draft.updatedraft', $script->id)}}" method="post">
                            @csrf
                            <button type="submit" class="border-0">Submit for Review</button>
                        </form>
                        @else
                        <button type="button" class="border-0" disabled>Signature Requested</button>
                        @endif
                    </div>
                    @endif
                </div>
            </div>
            <div class="col-md-7 col-12 mt-4 mt-md-2">
                <form action="{{route('screenwriter.script.draft', $script->id)}}" id="screenwriter_draft_script_details_form" method="POST" enctype="multipart/form-data">
                    <p class="bg-danger p-4 rounded-lg mb-5 text-light text-center d-none auth_failed"></p>
                    <div class="row mx-0 w-100">
                        <div class="col-12">
                            <h4 class="mb-md-5 mb-4 text-sm-left text-center">{{$script->title}}.pdf</h4>
                        </div>
                    </div>
                    <div class="row w-100 mx-0">
                        @csrf
                        <div class="col-12">
                            <h6 class="mb-4">
                                <span>1. </span>
                                <span>Marketplace Details</span>
                            </h6>
                        </div>
                        <div class="row w-100 text-start mb-sm-5 mb-3">
                            <div class="col-sm-4 mb-3">
                                <label for="genre" class="form-label">Genre</label>
                                <select class="form-select" id="genre" name="genre">
                                    <option disabled>Select Genre</option>
                                    <option value="action" @if(old('genre')) {{(old('genre') == '=action') ? 'selected' : ''}} @else {{($script->genre == '=action') ? 'selected' : ''}} @endif>Action</option>
                                    <option value="adventure" @if(old('genre')) {{(old('genre') == 'adventure') ? 'selected' : ''}} @else {{($script->genre == 'adventure') ? 'selected' : ''}} @endif>Adventure</option>
                                    <option value="comedy" @if(old('genre')) {{(old('genre') == 'comedy') ? 'selected' : ''}} @else {{($script->genre == 'comedy') ? 'selected' : ''}} @endif>Comedy</option>
                                    <option value="drama" @if(old('genre')) {{(old('genre') == 'drama') ? 'selected' : ''}} @else {{($script->genre == 'drama') ? 'selected' : ''}} @endif>Drama</option>
                                    <option value="fantasy" @if(old('genre')) {{(old('genre') == 'fantasy') ? 'selected' : ''}} @else {{($script->genre == 'fantasy') ? 'selected' : ''}} @endif>Fantasy</option>
                                    <option value="foreign" @if(old('genre')) {{(old('genre') == 'foreign') ? 'selected' : ''}} @else {{($script->genre == 'foreign') ? 'selected' : ''}} @endif>Foreign</option>
                                    <option value="historical" @if(old('genre')) {{(old('genre') == 'historical') ? 'selected' : ''}} @else {{($script->genre == 'historical') ? 'selected' : ''}} @endif>Historical</option>
                                    <option value="horrow" @if(old('genre')) {{(old('genre') == 'horrow') ? 'selected' : ''}} @else {{($script->genre == 'horrow') ? 'selected' : ''}} @endif>Horror</option>
                                    <option value="science" @if(old('genre')) {{(old('genre') == 'science') ? 'selected' : ''}} @else {{($script->genre == 'science') ? 'selected' : ''}} @endif>Science</option>
                                    <option value="thriller" @if(old('genre')) {{(old('genre') == 'thriller') ? 'selected' : ''}} @else {{($script->genre == 'thriller') ? 'selected' : ''}} @endif>Thriller</option>
                                    <option value="western" @if(old('genre')) {{(old('genre') == 'western') ? 'selected' : ''}} @else {{($script->genre == 'western') ? 'selected' : ''}} @endif>Western</option>
                                    <option value="other" @if(old('genre')) {{(old('genre') == 'other') ? 'selected' : ''}} @else {{($script->genre == 'other') ? 'selected' : ''}} @endif>Other</option>
                                </select>
                                <div class="text-danger mt-2 fs-6 genre_error">@error('genre') {{$message}} @enderror</div>
                            </div>
                            <div class="col-sm-4 mb-3">
                                <label for="pages" class="form-label">Pages</label>
                                <select class="form-select" id="pages" name="pages">
                                    <option disabled>Select Pages</option>
                                    <option value="90-110" @if(old('pages')) {{(old('pages') == '90-110') ? 'selected' : ''}} @else {{($script->pages == '90-110') ? 'selected' : ''}} @endif>90-110</option>
                                    <option value="111-140" @if(old('pages')) {{(old('pages') == '111-140') ? 'selected' : ''}} @else {{($script->pages == '111-140') ? 'selected' : ''}} @endif>111-140</option>
                                    <option value="140+" @if(old('pages')) {{(old('pages') == '140+') ? 'selected' : ''}} @else {{($script->pages == '140+') ? 'selected' : ''}} @endif>140+</option>
                                </select>
                                <div class="text-danger mt-2 fs-6 pages_error">@error('pages') {{$message}} @enderror</div>
                            </div>
                            <div class="col-sm-4 mb-3">
                                <label for="mpaa_rating" class="form-label">MPAA Rating</label>
                                <select class="form-select" id="mpaa_rating" name="mpaa_rating">
                                    <option disabled>Select MPAA Rating</option>
                                    <option value="g" @if(old('mpaa_rating')) {{(old('mpaa_rating') == 'g') ? 'selected' : ''}} @else {{($script->content_ratings == 'g') ? 'selected' : ''}} @endif>G</option>
                                    <option value="pg" @if(old('mpaa_rating')) {{(old('mpaa_rating') == 'pg') ? 'selected' : ''}} @else {{($script->content_ratings == 'pg') ? 'selected' : ''}} @endif>PG</option>
                                    <option value="pg-13" @if(old('mpaa_rating')) {{(old('mpaa_rating') == 'pg-13') ? 'selected' : ''}} @else {{($script->content_ratings == 'pg-13') ? 'selected' : ''}} @endif>PG-13</option>
                                    <option value="r" @if(old('mpaa_rating')) {{(old('mpaa_rating') == 'r') ? 'selected' : ''}} @else {{($script->content_ratings == 'r') ? 'selected' : ''}} @endif>R</option>
                                </select>
                                <div class="text-danger mt-2 fs-6 mpaa_rating_error">@error('content_ratings') {{$message}} @enderror</div>
                            </div>
                            <div class="col-sm-4 mb-3">
                                <label for="budget" class="form-label">Budget</label>
                                <select class="form-select" id="budget" name="budget">
                                    <option disabled>Select Budget</option>
                                    <option value="No Budget < 500K (Independent)" @if(old('budget')) {{(old('budget') == 'No Budget < 500K (Independent)') ? 'selected' : ''}} @else {{($script->budget == 'No Budget < 500K (Independent)') ? 'selected' : ''}} @endif>No Budget < 500K (Independent</option>
                                    <option value="Micro Budget 500k > 1m (Independent)" @if(old('budget')) {{(old('budget') == 'Micro Budget 500k > 1m (Independent)') ? 'selected' : ''}} @else {{($script->budget == 'Micro Budget 500k > 1m (Independent)') ? 'selected' : ''}} @endif>Micro Budget 500k > 1m (Independent)</option>
                                    <option value="Ultra Low Budget 1m to 5m (Independent)" @if(old('budget')) {{(old('budget') == 'Ultra Low Budget 1m to 5m (Independent)') ? 'selected' : ''}} @else {{($script->budget == 'Ultra Low Budget 1m to 5m (Independent)') ? 'selected' : ''}} @endif>Ultra Low Budget 1m to 5m (Independent)</option>
                                    <option value="Low Budget 5m to 20m (Independent or Studio)" @if(old('budget')) {{(old('budget') == 'Low Budget 5m to 20m (Independent or Studio)') ? 'selected' : ''}} @else {{($script->budget == 'Low Budget 5m to 20m (Independent or Studio)') ? 'selected' : ''}} @endif>Low Budget 5m to 20m (Independent or Studio)</option>
                                    <option value="Medium Budget 20m - 100m (Studio Backed)" @if(old('budget')) {{(old('budget') == 'Medium Budget 20m - 100m (Studio Backed)') ? 'selected' : ''}} @else {{($script->budget == 'Medium Budget 20m - 100m (Studio Backed)') ? 'selected' : ''}} @endif>Medium Budget 20m - 100m (Studio Backed)</option>
                                    <option value="Big Budget 100m+ (Studio Backed)" @if(old('budget')) {{(old('budget') == 'Big Budget 100m+ (Studio Backed)') ? 'selected' : ''}} @else {{($script->budget == 'Big Budget 100m+ (Studio Backed)') ? 'selected' : ''}} @endif>Big Budget 100m+ (Studio Backed)</option>
                                </select>
                                <div class="text-danger mt-2 fs-6 budget_error">@error('budget') {{$message}} @enderror</div>
                            </div>
                            <div class="col-sm-4 mb-3">
                                <label for="timeline" class="form-label">Timeline</label>
                                <select class="form-select" id="timeline" name="timeline">
                                    <option disabled>Select Timeline</option>
                                    <option value="past" @if(old('timeline')) {{(old('timeline') == 'past') ? 'selected' : ''}} @else {{($script->timeline == 'past') ? 'selected' : ''}} @endif>Past</option>
                                    <option value="present" @if(old('timeline')) {{(old('timeline') == 'present') ? 'selected' : ''}} @else {{($script->timeline == 'present') ? 'selected' : ''}} @endif>Present</option>
                                    <option value="future" @if(old('timeline')) {{(old('timeline') == 'future') ? 'selected' : ''}} @else {{($script->timeline == 'future') ? 'selected' : ''}} @endif>Future</option>
                                </select>
                                <div class="text-danger mt-2 fs-6 timeline_error">@error('timeline') {{$message}} @enderror</div>
                            </div>
                            <div class="col-sm-4 mb-3">
                                <label for="where" class="form-label">Where</label>
                                <select class="form-select" id="where" name="where">
                                    <option disabled>Select Continent</option>
                                    <option value="asia" @if(old('where')) {{(old('where') == 'asia') ? 'selected' : ''}} @else {{($script->where == 'asia') ? 'selected' : ''}} @endif>Asia</option>
                                    <option value="europe" @if(old('where')) {{(old('where') == 'europe') ? 'selected' : ''}} @else {{($script->where == 'europe') ? 'selected' : ''}} @endif>Europe</option>
                                    <option value="africa" @if(old('where')) {{(old('where') == 'africa') ? 'selected' : ''}} @else {{($script->where == 'africa') ? 'selected' : ''}} @endif>Africa</option>
                                    <option value="north-america" @if(old('where')) {{(old('where') == 'north-america') ? 'selected' : ''}} @else {{($script->where == 'north-america') ? 'selected' : ''}} @endif>North America</option>
                                    <option value="south-america" @if(old('where')) {{(old('where') == 'south-america') ? 'selected' : ''}} @else {{($script->where == 'south-america') ? 'selected' : ''}} @endif>South America</option>
                                    <option value="antarctica" @if(old('where')) {{(old('where') == 'antarctica') ? 'selected' : ''}} @else {{($script->where == 'antarctica') ? 'selected' : ''}} @endif>Antarctica</option>
                                    <option value="australia" @if(old('where')) {{(old('where') == 'australia') ? 'selected' : ''}} @else {{($script->where == 'australia') ? 'selected' : ''}} @endif>Australia</option>
                                </select>
                                <div class="text-danger mt-2 fs-6 where_error">@error('where') {{$message}} @enderror</div>
                            </div>
                        </div>
                    </div>
                    <div class="row w-100 mx-0">
                        <div class="col-12">
                            <h6 class="mb-4">
                                <span>2. </span>
                                <span>Script Details</span>
                            </h6>
                            <div class="row w-100 text-start">
                                <div class="mb-3">
                                    <label for="title" class="form-label">Script Name:</label>
                                    <input type="text" class="form-control" id="title" name="title" value="{{ (old('title')) ? old('title') : $script->title }}">
                                    <div class="text-danger mt-2 fs-6 title_error">@error('title') {{$message}} @enderror</div>
                                </div>
                                <div class="mb-3">
                                    <label for="synopsis" class="form-label">Synopsis:</label>
                                    <input type="text" class="form-control" id="synopsis" name="synopsis" value="{{ (old('synopsis')) ? old('synopsis') : $script->synopsis }}">
                                    <div class="text-danger mt-2 fs-6 synopsis_error">@error('synopsis') {{$message}} @enderror</div>
                                </div>
                                <div class="mb-3">
                                    <label for="tagline" class="form-label">Tagline:</label>
                                    <input type="text" class="form-control" id="tagline" name="tagline" value="{{ (old('tagline')) ? old('tagline') : $script->tagline }}">
                                    <div class="text-danger mt-2 fs-6 tagline_error">@error('tagline') {{$message}} @enderror</div>
                                </div>
                                <div class="mb-3">
                                    <label for="logline" class="form-label">Logline:</label>
                                    <input type="text" class="form-control" id="logline" name="logline" value="{{ (old('logline')) ? old('logline') : $script->logline }}">
                                    <div class="text-danger mt-2 fs-6 logline_error">@error('logline') {{$message}} @enderror</div>
                                </div>
                            </div>
                            <p class="mt-3">
                                <span class="mb-sm-0 mb-3 align-self-center d-sm-inline d-block">Treatment:</span>
                                <span class="mx-3 mb-sm-0 mb-2 align-self-center">
                                    <a href="{{config('services.gcs.storage_api_uri')}}treatments/{{$script->treatment}}" download><i class="fa-solid fa-file-pdf ms-2"></i> Download</a>
                                </span>
                                <label for="treatment" class="align-self-center">
                                    <input type="file" name="treatment" id="treatment" value="{{$script->treatment}}">
                                    Change
                                </label>
                            </p>
                            <div class="text-danger mt-2 fs-6 treatment_error">@error('treatment') {{$message}} @enderror</div>
                            <p class="mt-5">
                                <span class="mb-sm-0 mb-3 align-self-center d-sm-inline d-block">Script:</span>
                                <span class="mx-3 mb-sm-0 mb-2 align-self-center"><a href="{{config('services.gcs.storage_api_uri')}}scripts/{{$script->script}}" download><i class="fa-solid fa-file-pdf ms-2"></i> Download</a></span>
                                <label for="script" class="align-self-center">
                                    <input type="file" name="script" id="script" value="{{$script->script}}">
                                    Change
                                </label>
                            </p>
                            <div class="text-danger mt-2 fs-6 script_error">@error('script') {{$message}} @enderror</div>
                            <div class="text-sm-start text-center">
                                @if(empty($script->esignatures[0]))
                                <button type="submit" class="border-0">Save Changes</button>
                                @endif
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </section>

    <!-- Modal 1 For Delete Script-->
    <div class="modal fade" id="screenwriter_draft_script_delete" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="screenwriter_draft_script_delete_Label" aria-hidden="true">
        <div class="modal-dialog m-0 top-50 start-50 translate-middle h-100 pt-5">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body text-center">
                    <span><i class="fa-solid fa-question"></i></span>
                    <p class="mt-3">Warning</p>
                    <p>Are you sure you want to delete the script?</p>
                </div>
                <div class="modal-footer justify-content-around px-4">
                    <button type="button" data-bs-dismiss="modal">No</button>
                    <button type="button" data-bs-dismiss="modal">Yes</button>
                </div>
            </div>
        </div>
    </div>

</div>

@endsection
