<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <title>Modal bootstrap</title>
  <!--bootstrap 5.2 Css cdn-->
  <link href="{{ asset('/css/app.css') }}" rel="stylesheet">

  <script src="{{ asset('/js/app.js') }}" defer></script>
  <script src="{{ asset('/js/screenwriter.js') }}" defer></script>
  


  <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>

<body>
  <section class="screenWriter">
    <div class="container my-3">
      <!-- Button trigger modal -->
      <button id="openModal" type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#staticBackdrop">
        Open
      </button>

      <!-- Modal -->
      <div class="modal fade" id="staticBackdrop" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable modal-xl">
          <div class="modal-content">
            <div class="modal-header">
              <div class="title">
                <h2>WoAccelerator TV Program Screenwriter Application</h2>
                <p>please complete the form below to apply to become a WoAccelerator Screenwriter</p>
              </div>
              <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">


            
                <form id="myform" class="screenwriter-form" method="POST" action="" enctype="multipart/form-data" onsubmit="return checkvalidation();">
                  @csrf  
                <section>
                    <div class="section-title border-bottom my-2 mb-5">
                      <span class="text-secondary fw-bold fs-3">01</span>
                      <p class="fw-semibold fs-4">Basic info</p>
                    </div>
                    <div class="row justify-content-end align-items-center mb-5">
                      <div class="col-sm-12 col-md-6 col-lg-3">
                        <label for="inputPassword6" class="col-form-label fw-bold">
                          What pronoun do you prefer(optional)?
                        </label>
                      </div>
                      <div class="col-sm-12 col-md-6 col-lg-6">
                        <input type="text" id="inputpronoun" class="form-control" aria-describedby="passwordHelpInline" name="pronoun" placeholder="i.e: he/she they">
                      </div>
                    </div>
                    <div class="row justify-content-end align-items-center mb-5">
                      <div class="col-sm-12 col-md-4 col-lg-3">
                        <label for="inputPassword6" class="col-form-label fw-bold">
                          Full Name
                        </label>
                      </div>
                      <div class="col-sm-12 col-md-4 col-lg-3 py-2">
                        <input type="text" required id="inputFirstnamef" class="form-control" aria-describedby="passwordHelpInline" placeholder="First name">
                      </div>
                      <div class="col-sm-12 col-md-4 col-lg-3 py-2">
                        <input type="text" required id="inputLastnamef" class="form-control" aria-describedby="passwordHelpInline" placeholder="Last name">
                      </div>
                    </div>
                    <div class="row justify-content-end align-items-center mb-5">
                      <div class="col-sm-12 col-md-6 col-lg-3">
                        <label for="inputPassword6" class="col-form-label fw-bold">
                          Email
                        </label>
                      </div>
                      <div class="col-sm-12 col-md-6 col-lg-6">
                        <input type="email" name="email" id="inputemailf" required class="form-control" aria-describedby="passwordHelpInline" placeholder="example@example.com">
                      </div>
                    </div>
                    <div class="row justify-content-end align-items-center mb-5">
                      <div class="col-sm-12 col-md-6 col-lg-3">
                        <label for="inputPassword6" class="col-form-label fw-bold">
                          Age Ranges
                        </label>
                      </div>
                      <div class="col-sm-12 col-md-6 col-lg-6">
                        <div class="form-check form-check-inline">
                          <input class="form-check-input" type="radio" name="age_group" id="exampleRadios1" value="1">
                          <label class="form-check-label fw-bold" for="exampleRadios1">
                            18-25
                          </label>
                        </div>
                        <div class="form-check form-check-inline">
                          <input class="form-check-input" type="radio" name="age_group" id="exampleRadios2" value="2">
                          <label class="form-check-label fw-bold" for="exampleRadios2">
                            26-39
                          </label>
                        </div>
                        <div class="form-check form-check-inline">
                          <input class="form-check-input" type="radio" name="age_group" value="3">
                          <label class="form-check-label fw-bold" for="exampleRadios3">
                            40-55
                          </label>
                        </div>
                        <div class="form-check form-check-inline">
                          <input class="form-check-input" type="radio" name="age_group" id="exampleRadios4" value="4">
                          <label class="form-check-label fw-bold" for="exampleRadios4">
                            +56
                          </label>
                        </div>
                      </div>
                    </div>
                    <div class="row justify-content-end align-items-center mb-5">
                      <div class="col-sm-12 col-md-6 col-lg-3">
                        <label for="inputPassword6" class="col-form-label fw-bold">
                          What country are you from?
                        </label>
                      </div>
                      <div class="col-sm-12 col-md-6 col-lg-6">
                        <select class="form-select" aria-label="Default select example">
                          <option value="Afghanistan">Afghanistan</option>
                          <option value="Albania">Albania</option>
                          <option value="Algeria">Algeria</option>
                          <option value="American Samoa" >American Samoa</option>
                          <option value="Andorra">Andorra</option>
                          <option value="Angola">Angola</option>
                          <option value="Anguilla">Anguilla</option>
                          <option value="Antartica">Antarctica</option>
                          <option value="Antigua and Barbuda">Antigua and Barbuda</option>
                          <option value="Argentina">Argentina</option>
                          <option value="Armenia">Armenia</option>
                          <option value="Aruba">Aruba</option>
                          <option value="Australia">Australia</option>
                          <option value="Austria">Austria</option>
                          <option value="Azerbaijan">Azerbaijan</option>
                          <option value="Bahamas">Bahamas</option>
                          <option value="Bahrain">Bahrain</option>
                          <option value="Bangladesh">Bangladesh</option>
                          <option value="Barbados">Barbados</option>
                          <option value="Belarus">Belarus</option>
                          <option value="Belgium">Belgium</option>
                          <option value="Belize">Belize</option>
                          <option value="Benin">Benin</option>
                          <option value="Bermuda">Bermuda</option>
                          <option value="Bhutan">Bhutan</option>
                          <option value="Bolivia">Bolivia</option>
                          <option value="Bosnia and Herzegowina">Bosnia and Herzegowina</option>
                          <option value="Botswana">Botswana</option>
                          <option value="Bouvet Island">Bouvet Island</option>
                          <option value="Brazil">Brazil</option>
                          <option value="British Indian Ocean Territory">British Indian Ocean Territory</option>
                          <option value="Brunei Darussalam">Brunei Darussalam</option>
                          <option value="Bulgaria">Bulgaria</option>
                          <option value="Burkina Faso">Burkina Faso</option>
                          <option value="Burundi">Burundi</option>
                          <option value="Cambodia">Cambodia</option>
                          <option value="Cameroon">Cameroon</option>
                          <option value="Canada">Canada</option>
                          <option value="Cape Verde">Cape Verde</option>
                          <option value="Cayman Islands">Cayman Islands</option>
                          <option value="Central African Republic">Central African Republic</option>
                          <option value="Chad">Chad</option>
                          <option value="Chile">Chile</option>
                          <option value="China">China</option>
                          <option value="Christmas Island">Christmas Island</option>
                          <option value="Cocos Islands">Cocos (Keeling) Islands</option>
                          <option value="Colombia">Colombia</option>
                          <option value="Comoros">Comoros</option>
                          <option value="Congo">Congo</option>
                          <option value="Congo">Congo, the Democratic Republic of the</option>
                          <option value="Cook Islands">Cook Islands</option>
                          <option value="Costa Rica">Costa Rica</option>
                          <option value="Cota D'Ivoire">Cote d'Ivoire</option>
                          <option value="Croatia">Croatia (Hrvatska)</option>
                          <option value="Cuba">Cuba</option>
                          <option value="Cyprus">Cyprus</option>
                          <option value="Czech Republic">Czech Republic</option>
                          <option value="Denmark">Denmark</option>
                          <option value="Djibouti">Djibouti</option>
                          <option value="Dominica">Dominica</option>
                          <option value="Dominican Republic">Dominican Republic</option>
                          <option value="East Timor">East Timor</option>
                          <option value="Ecuador">Ecuador</option>
                          <option value="Egypt">Egypt</option>
                          <option value="El Salvador">El Salvador</option>
                          <option value="Equatorial Guinea">Equatorial Guinea</option>
                          <option value="Eritrea">Eritrea</option>
                          <option value="Estonia">Estonia</option>
                          <option value="Ethiopia">Ethiopia</option>
                          <option value="Falkland Islands">Falkland Islands (Malvinas)</option>
                          <option value="Faroe Islands">Faroe Islands</option>
                          <option value="Fiji">Fiji</option>
                          <option value="Finland">Finland</option>
                          <option value="France">France</option>
                          <option value="France Metropolitan">France, Metropolitan</option>
                          <option value="French Guiana">French Guiana</option>
                          <option value="French Polynesia">French Polynesia</option>
                          <option value="French Southern Territories">French Southern Territories</option>
                          <option value="Gabon">Gabon</option>
                          <option value="Gambia">Gambia</option>
                          <option value="Georgia">Georgia</option>
                          <option value="Germany">Germany</option>
                          <option value="Ghana">Ghana</option>
                          <option value="Gibraltar">Gibraltar</option>
                          <option value="Greece">Greece</option>
                          <option value="Greenland">Greenland</option>
                          <option value="Grenada">Grenada</option>
                          <option value="Guadeloupe">Guadeloupe</option>
                          <option value="Guam">Guam</option>
                          <option value="Guatemala">Guatemala</option>
                          <option value="Guinea">Guinea</option>
                          <option value="Guinea-Bissau">Guinea-Bissau</option>
                          <option value="Guyana">Guyana</option>
                          <option value="Haiti">Haiti</option>
                          <option value="Heard and McDonald Islands">Heard and Mc Donald Islands</option>
                          <option value="Holy See">Holy See (Vatican City State)</option>
                          <option value="Honduras">Honduras</option>
                          <option value="Hong Kong">Hong Kong</option>
                          <option value="Hungary">Hungary</option>
                          <option value="Iceland">Iceland</option>
                          <option value="India">India</option>
                          <option value="Indonesia">Indonesia</option>
                          <option value="Iran">Iran (Islamic Republic of)</option>
                          <option value="Iraq">Iraq</option>
                          <option value="Ireland">Ireland</option>
                          <option value="Israel">Israel</option>
                          <option value="Italy">Italy</option>
                          <option value="Jamaica">Jamaica</option>
                          <option value="Japan">Japan</option>
                          <option value="Jordan">Jordan</option>
                          <option value="Kazakhstan">Kazakhstan</option>
                          <option value="Kenya">Kenya</option>
                          <option value="Kiribati">Kiribati</option>
                          <option value="Democratic People's Republic of Korea">Korea, Democratic People's Republic of</option>
                          <option value="Korea">Korea, Republic of</option>
                          <option value="Kuwait">Kuwait</option>
                          <option value="Kyrgyzstan">Kyrgyzstan</option>
                          <option value="Lao">Lao People's Democratic Republic</option>
                          <option value="Latvia">Latvia</option>
                          <option value="Lebanon" >Lebanon</option>
                          <option value="Lesotho">Lesotho</option>
                          <option value="Liberia">Liberia</option>
                          <option value="Libyan Arab Jamahiriya">Libyan Arab Jamahiriya</option>
                          <option value="Liechtenstein">Liechtenstein</option>
                          <option value="Lithuania">Lithuania</option>
                          <option value="Luxembourg">Luxembourg</option>
                          <option value="Macau">Macau</option>
                          <option value="Macedonia">Macedonia, The Former Yugoslav Republic of</option>
                          <option value="Madagascar">Madagascar</option>
                          <option value="Malawi">Malawi</option>
                          <option value="Malaysia">Malaysia</option>
                          <option value="Maldives">Maldives</option>
                          <option value="Mali">Mali</option>
                          <option value="Malta">Malta</option>
                          <option value="Marshall Islands">Marshall Islands</option>
                          <option value="Martinique">Martinique</option>
                          <option value="Mauritania">Mauritania</option>
                          <option value="Mauritius">Mauritius</option>
                          <option value="Mayotte">Mayotte</option>
                          <option value="Mexico">Mexico</option>
                          <option value="Micronesia">Micronesia, Federated States of</option>
                          <option value="Moldova">Moldova, Republic of</option>
                          <option value="Monaco">Monaco</option>
                          <option value="Mongolia">Mongolia</option>
                          <option value="Montserrat">Montserrat</option>
                          <option value="Morocco">Morocco</option>
                          <option value="Mozambique">Mozambique</option>
                          <option value="Myanmar">Myanmar</option>
                          <option value="Namibia">Namibia</option>
                          <option value="Nauru">Nauru</option>
                          <option value="Nepal">Nepal</option>
                          <option value="Netherlands">Netherlands</option>
                          <option value="Netherlands Antilles">Netherlands Antilles</option>
                          <option value="New Caledonia">New Caledonia</option>
                          <option value="New Zealand">New Zealand</option>
                          <option value="Nicaragua">Nicaragua</option>
                          <option value="Niger">Niger</option>
                          <option value="Nigeria">Nigeria</option>
                          <option value="Niue">Niue</option>
                          <option value="Norfolk Island">Norfolk Island</option>
                          <option value="Northern Mariana Islands">Northern Mariana Islands</option>
                          <option value="Norway">Norway</option>
                          <option value="Oman">Oman</option>
                          <option value="Pakistan">Pakistan</option>
                          <option value="Palau">Palau</option>
                          <option value="Panama">Panama</option>
                          <option value="Papua New Guinea">Papua New Guinea</option>
                          <option value="Paraguay">Paraguay</option>
                          <option value="Peru">Peru</option>
                          <option value="Philippines">Philippines</option>
                          <option value="Pitcairn">Pitcairn</option>
                          <option value="Poland">Poland</option>
                          <option value="Portugal">Portugal</option>
                          <option value="Puerto Rico">Puerto Rico</option>
                          <option value="Qatar">Qatar</option>
                          <option value="Reunion">Reunion</option>
                          <option value="Romania">Romania</option>
                          <option value="Russia">Russian Federation</option>
                          <option value="Rwanda">Rwanda</option>
                          <option value="Saint Kitts and Nevis">Saint Kitts and Nevis</option>
                          <option value="Saint LUCIA">Saint LUCIA</option>
                          <option value="Saint Vincent">Saint Vincent and the Grenadines</option>
                          <option value="Samoa">Samoa</option>
                          <option value="San Marino">San Marino</option>
                          <option value="Sao Tome and Principe">Sao Tome and Principe</option>
                          <option value="Saudi Arabia">Saudi Arabia</option>
                          <option value="Senegal">Senegal</option>
                          <option value="Seychelles">Seychelles</option>
                          <option value="Sierra">Sierra Leone</option>
                          <option value="Singapore">Singapore</option>
                          <option value="Slovakia">Slovakia (Slovak Republic)</option>
                          <option value="Slovenia">Slovenia</option>
                          <option value="Solomon Islands">Solomon Islands</option>
                          <option value="Somalia">Somalia</option>
                          <option value="South Africa">South Africa</option>
                          <option value="South Georgia">South Georgia and the South Sandwich Islands</option>
                          <option value="Span">Spain</option>
                          <option value="SriLanka">Sri Lanka</option>
                          <option value="St. Helena">St. Helena</option>
                          <option value="St. Pierre and Miguelon">St. Pierre and Miquelon</option>
                          <option value="Sudan">Sudan</option>
                          <option value="Suriname">Suriname</option>
                          <option value="Svalbard">Svalbard and Jan Mayen Islands</option>
                          <option value="Swaziland">Swaziland</option>
                          <option value="Sweden">Sweden</option>
                          <option value="Switzerland">Switzerland</option>
                          <option value="Syria">Syrian Arab Republic</option>
                          <option value="Taiwan">Taiwan, Province of China</option>
                          <option value="Tajikistan">Tajikistan</option>
                          <option value="Tanzania">Tanzania, United Republic of</option>
                          <option value="Thailand">Thailand</option>
                          <option value="Togo">Togo</option>
                          <option value="Tokelau">Tokelau</option>
                          <option value="Tonga">Tonga</option>
                          <option value="Trinidad and Tobago">Trinidad and Tobago</option>
                          <option value="Tunisia">Tunisia</option>
                          <option value="Turkey">Turkey</option>
                          <option value="Turkmenistan">Turkmenistan</option>
                          <option value="Turks and Caicos">Turks and Caicos Islands</option>
                          <option value="Tuvalu">Tuvalu</option>
                          <option value="Uganda">Uganda</option>
                          <option value="Ukraine">Ukraine</option>
                          <option value="United Arab Emirates">United Arab Emirates</option>
                          <option value="United Kingdom">United Kingdom</option>
                          <option value="United States" selected>United States</option>
                          <option value="United States Minor Outlying Islands">United States Minor Outlying Islands</option>
                          <option value="Uruguay">Uruguay</option>
                          <option value="Uzbekistan">Uzbekistan</option>
                          <option value="Vanuatu">Vanuatu</option>
                          <option value="Venezuela">Venezuela</option>
                          <option value="Vietnam">Viet Nam</option>
                          <option value="Virgin Islands (British)">Virgin Islands (British)</option>
                          <option value="Virgin Islands (U.S)">Virgin Islands (U.S.)</option>
                          <option value="Wallis and Futana Islands">Wallis and Futuna Islands</option>
                          <option value="Western Sahara">Western Sahara</option>
                          <option value="Yemen">Yemen</option>
                          <option value="Serbia">Serbia</option>
                          <option value="Zambia">Zambia</option>
                          <option value="Zimbabwe">Zimbabwe</option>
                        </select>
                      </div>
                    </div>
                  
                    <div class="row justify-content-end align-items-start mb-5">
                      <div class="col-sm-12 col-md-6 col-lg-3">
                        <label for="inputPassword6" class="col-form-label fw-bold">
                          Who is someone in the industry you admire and why? <span class="text-danger">(100 words or less)</span>
                        </label>
                      </div>
                      <div class="col-sm-12 col-md-6 col-lg-6">
                        <textarea id="industry_admire"  name="industry_admire"  required class="form-control txt-area" placeholder="Type here ..." id="exampleFormControlTextarea1" rows="5"></textarea>
                      </div>
                    </div>
                    <div class="row justify-content-end align-items-start mb-5">
                      <div class="col-sm-12 col-md-6 col-lg-3">
                        <label for="inputPassword6" class="col-form-label fw-bold">
                          What are your long term plans as it relates to screenwriting?<span class="text-success"> (i.e.finishing college, going to grad school)</span>
                        </label>
                      </div>
                      <div class="col-sm-12 col-md-6 col-lg-6">
                        <textarea id="lng_term_plans" name="lng_term_plans" required class="form-control txt-area" placeholder="Type here ..." id="exampleFormControlTextarea1" rows="5"></textarea>
                      </div>
                    </div>
                  </section>

                  <section>
                    <div class="section-title border-bottom my-2 mb-5">
                      <span class="text-secondary fw-bold fs-3">02</span>
                      <p class="fw-semibold fs-4">Screenwriting Background</p>
                    </div>
                    <div class="row justify-content-end align-items-start mb-5">
                      <div class="col-sm-12 col-md-6 col-lg-3">
                        <label for="inputPassword6" class="col-form-label fw-bold">
                          Do you consider yourself a dramatic writer, comedy writer, or something in between? If something in between,<br> please explain
                        </label>
                      </div>
                      <div class="col-sm-12 col-md-6 col-lg-6">
                        <div class="form-check form-check-inline">
                          <input class="form-check-input" type="radio" name="consider_type" id="exampleRadios1" value="1">
                          <label class="form-check-label fw-bold" for="exampleRadios1">
                            Drama
                          </label>
                        </div>
                        <div class="form-check form-check-inline">
                          <input class="form-check-input" type="radio" name="consider_type" id="exampleRadios2" value="2">
                          <label class="form-check-label fw-bold" for="exampleRadios2">
                            Comedy
                          </label>
                        </div>
                        <div class="form-check form-check-inline">
                          <input class="form-check-input" type="radio" name="consider_type" id="exampleRadios3" value="3">
                          <label class="form-check-label fw-bold" for="exampleRadios3">
                            Other
                          </label>
                        </div>
                      </div>
                    </div>
                    <div class="row justify-content-end align-items-start mb-5">
                      <div class="col-sm-12 col-md-6 col-lg-3">
                        <label for="inputPassword6" class="col-form-label fw-bold">
                          Please describe to us a time when your script was optioned. If you have never been optioned, tell us of a time when
                          you tried to sell your script to producers and what happened <span class="text-danger"> (max 100 words)</span>
                        </label>
                      </div>
                      <div class="col-sm-12 col-md-6 col-lg-6">
                        <textarea name="optioned_before"  required class="form-control txt-area" placeholder="Type here ..." id="optioned_before" rows="5"></textarea>
                      </div>
                    </div>
                    <div class="row justify-content-end align-items-start mb-5">
                      <div class="col-sm-12 col-md-6 col-lg-3">
                        <label for="inputPassword6" class="col-form-label fw-bold">
                          what interests you most about our accelerator program? <span class="text-danger"> (100 words for less)</span>
                        </label>
                      </div>
                      <div class="col-sm-12 col-md-6 col-lg-6">
                        <textarea name="acceleratorprogram"  class="form-control txt-area" placeholder="Type here ..." id="acceleratorprogram" rows="5"></textarea>
                      </div>
                    </div>
                    <div class="row justify-content-end align-items-start mb-5">
                      <div class="col-sm-12 col-md-6 col-lg-3">
                        <label for="inputPassword6" class="col-form-label fw-bold">
                          What discipline best suits your skill set?
                        </label>
                      </div>
                      <div class="col-sm-12 col-md-6 col-lg-6 d-flex justify-content-between flex-wrap p-0">
                        <div class="form-check form-check-inline">
                          <input class="form-check-input" type="radio" name="skill_discipline" id="exampleRadios1" value="1">
                          <label class="form-check-label fw-bold" for="exampleRadios1">
                            TV Writing
                          </label>
                        </div>
                        <div class="form-check form-check-inline">
                          <input class="form-check-input" type="radio" name="skill_discipline" id="exampleRadios2" value="2">
                          <label class="form-check-label fw-bold" for="exampleRadios2">
                            Fim Writing
                          </label>
                        </div>
                        <div class="form-check form-check-inline">
                          <input class="form-check-input" type="radio" name="skill_discipline" id="exampleRadios3" value="3">
                          <label class="form-check-label fw-bold" for="exampleRadios3">
                            Video Game Writing
                          </label>
                        </div>
                        <div class="form-check form-check-inline">
                          <input class="form-check-input" type="radio" name="skill_discipline" id="exampleRadios3" value="4">
                          <label class="form-check-label fw-bold" for="exampleRadios3">
                            AR/VR Writing
                          </label>
                        </div>
                      </div>
                    </div>
                    <div class="row justify-content-end align-items-start mb-5">
                      <div class="col-sm-12 col-md-6 col-lg-3">
                        <label for="inputPassword6" class="col-form-label fw-bold">
                          Anything else you would like us to know?
                        </label>
                      </div>
                      <div class="col-sm-12 col-md-6 col-lg-6">
                        <textarea name="other" id="other" required class="form-control txt-area" placeholder="Type here ..." id="exampleFormControlTextarea1" rows="5"></textarea>
                      </div>
                    </div>
                    <div class="row justify-content-end align-items-start mb-5">
                      <div class="col-sm-12 col-md-6 col-lg-3">
                        <label for="inputPassword6" class="col-form-label fw-bold">
                          What are you most hoping to learn from this program?<span class="text-danger"> (100 words for less)</span>
                        </label>
                      </div>
                      <div class="col-sm-12 col-md-6 col-lg-6">
                        <textarea name="except_learn" class="form-control txt-area" required placeholder="Type here ..." id="except_learn" rows="5"></textarea>
                      </div>
                    </div>
                    <div class="row justify-content-end align-items-start mb-5">
                      <div class="col-sm-12 col-md-6 col-lg-3">
                        <label for="inputPassword6" class="col-form-label fw-bold">
                          Please list any producer, screenwriter, or other entertainment industry related awards or scholarships you have received.
                        </label>
                      </div>
                      <div class="col-sm-12 col-md-6 col-lg-6">
                        <textarea  name="awards_achievements" required class="form-control txt-area" placeholder="Type here ..." id="awards_achievements" rows="5"></textarea>
                      </div>
                    </div>
                    <div class="row justify-content-end align-items-center mb-5">
                      <div class="col-sm-12 col-md-6 col-lg-3">
                        <label for="inputPassword6" class="col-form-label fw-bold">
                          How many scripts have you completed in the past?
                        </label>
                      </div>
                      <div class="col-sm-12 col-md-6 col-lg-6">
                        <input name="scripted" required type="number" id="scripted" class="form-control" aria-describedby="passwordHelpInline" placeholder="ex: 23">
                      </div>
                    </div>
                    <div class="row justify-content-end align-items-start mb-5">
                      <div class="col-sm-12 col-md-6 col-lg-3">
                        <label for="inputPassword6" class="col-form-label fw-bold">
                          Please provide a brief summary of a script that you would be interested in working on in the program<span class="text-danger"> (1000 words max)</span>
                        </label>
                      </div>
                      <div class="col-sm-12 col-md-6 col-lg-6">
                        <textarea name="interested_in" class="form-control txt-area" placeholder="Type here ..." id="interested_in" rows="5"></textarea>
                      </div>
                    </div>
                    <div class="row justify-content-end align-items-start mb-5">
                      <div class="col-sm-12 col-md-6 col-lg-3">
                        <label for="inputPassword6" class="col-form-label fw-bold">
                          Please attach a 10 page script sample of what you believe is a good example of your work. If your file is too LARGE, you can use <span class="text-danger"> (1000 words max)</span>
                          the below to shrink. <a href="#" class="btn-link">https//smallpdf.com/compress-pdf</a>
                        </label>
                      </div>
                      <div class="col-sm-12 col-md-6 col-lg-6">
                        <div class="drop-zone">
                          <span class="drop-zone__prompt">
                            <i class=" upload-icon fas fa-cloud-upload-alt"></i>Drop file here or click to upload</span>
                          <input type="file" accept="application/pdf" name="script_ptn" class="drop-zone__input">
                        </div>
                      </div>
                    </div>
                  </section>

                  <section>
                    <div class="section-title border-bottom mt-2 mb-4 py-3">
                      <span class="text-secondary fw-bold fs-3">03</span>
                      <p class="fw-semibold fs-4 m-0">References</p>
                      <span class="sub-title fw-semibold">please list two(2) references who are familiar with your work</span>
                    </div>
                    <div class="ref-1 py-3">
                      <div class="row justify-content-end align-items-center mb-5">
                        <div class="col-sm-12 col-md-12 col-lg-3">
                          <h4>Reference1</h4>
                        </div>
                        <div class="col-sm-12 col-md-4 col-lg-3">
                          <label for="inputPassword6" class="col-form-label fw-bold">
                            Full Name
                          </label>
                        </div>
                        <div class="col-sm-12 col-md-4 col-lg-3 py-2">
                          <input type="text" id="inputPassword6" class="form-control" aria-describedby="passwordHelpInline" placeholder="First name">
                        </div>
                        <div class="col-sm-12 col-md-4 col-lg-3 py-2">
                          <input type="text" id="inputPassword6" class="form-control" aria-describedby="passwordHelpInline" placeholder="Last name">
                        </div>
                      </div>
                      <div class="row justify-content-end align-items-center mb-5">
                        <div class="col-sm-12 col-md-6 col-lg-3">
                          <label for="inputPassword6" class="col-form-label fw-bold">
                            Full Number
                          </label>
                        </div>
                        <div class="col-sm-12 col-md-6 col-lg-6">
                          <input type="number" id="inputPassword6" class="form-control" aria-describedby="passwordHelpInline" placeholder="(000) 000-000">
                        </div>
                      </div>
                      <div class="row justify-content-end align-items-center mb-5">
                        <div class="col-sm-12 col-md-6 col-lg-3">
                          <label for="inputPassword6" class="col-form-label fw-bold">
                            Email Address
                          </label>
                        </div>
                        <div class="col-sm-12 col-md-6 col-lg-6">
                          <input type="email" id="inputPassword6" class="form-control" aria-describedby="passwordHelpInline" placeholder="example@example.com">
                        </div>
                      </div>
                      <div class="row justify-content-end align-items-center mb-5">
                        <div class="col-sm-12 col-md-6 col-lg-3">
                          <label for="inputPassword6" class="col-form-label fw-bold">
                            Years Known
                          </label>
                        </div>
                        <div class="col-sm-12 col-md-6 col-lg-6 d-flex">
                          <div class="value-button decrease">-</div>
                          <input type="number" class="known-years-num" id="number" value="0" />
                          <div class="value-button increase">+</div>
                        </div>
                      </div>
                    </div>
                    <hr class="w-75 mx-auto mb-5">
                    <div class="ref-2">
                      <div class="row justify-content-end align-items-center mb-5">
                        <div class="col-sm-12 col-md-12 col-lg-3">
                          <h4>Reference2</h4>
                        </div>
                        <div class="col-sm-12 col-md-4 col-lg-3">
                          <label for="inputPassword6" class="col-form-label fw-bold">
                            Full Name
                          </label>
                        </div>
                        <div class="col-sm-12 col-md-4 col-lg-3 py-2">
                          <input type="text" id="inputPassword6" class="form-control" aria-describedby="passwordHelpInline" placeholder="First name">
                        </div>
                        <div class="col-sm-12 col-md-4 col-lg-3 py-2">
                          <input type="text" id="inputPassword6" class="form-control" aria-describedby="passwordHelpInline" placeholder="Last name">
                        </div>
                      </div>
                      <div class="row justify-content-end align-items-center mb-5">
                        <div class="col-sm-12 col-md-6 col-lg-3">
                          <label for="inputPassword6" class="col-form-label fw-bold">
                            Full Number
                          </label>
                        </div>
                        <div class="col-sm-12 col-md-6 col-lg-6">
                          <input type="number" id="inputPassword6" class="form-control" aria-describedby="passwordHelpInline" placeholder="(000) 000-000">
                        </div>
                      </div>
                      <div class="row justify-content-end align-items-center mb-5">
                        <div class="col-sm-12 col-md-6 col-lg-3">
                          <label for="inputPassword6" class="col-form-label fw-bold">
                            Email Address
                          </label>
                        </div>
                        <div class="col-sm-12 col-md-6 col-lg-6">
                          <input type="email" id="inputPassword6" class="form-control" aria-describedby="passwordHelpInline" placeholder="example@example.com">
                        </div>
                      </div>
                      <div class="row justify-content-end align-items-center mb-5">
                        <div class="col-sm-12 col-md-6 col-lg-3">
                          <label for="inputPassword6" class="col-form-label fw-bold">
                            Years Known
                          </label>
                        </div>
                        <div class="col-sm-12 col-md-6 col-lg-6 d-flex">
                          <div class="value-button decrease">-</div>
                          <input type="number" class="known-years-num" id="number" value="0" />
                          <div class="value-button increase">+</div>
                        </div>
                      </div>
                    </div>


                    <div class="row justify-content-end align-items-center mb-5">
                      <div class="col-sm-12 col-md-12 col-lg-9">
                        <div class="mb-3 form-check mb-4">
                          <input id="checkterms" name="committed" type="checkbox" class="form-check-input" value="true" id="exampleCheck1" required>
                          <label class="form-check-label" for="exampleCheck1">I agree to <a href="#" class="btn-link">terms & conditions</a></label>
                        </div>
                        <button id="submitbtn" type="submit" class="btn btn-primary px-5">Send</button>
                      </div>
                    </div>
                  </section>

                  <div id="diverror" class="wrong_list alert alert-danger " style="display: none;" role="alert">
                    <h4 class="alert-heading">Please fill content correctly</h4>
                    <ul style="list-style-type: square;" id="listerror">

                    </ul>
                  </div>
                </form>
              
            </div>

          </div>
        </div>
      </div>
    </div>
  </section>



</body>

</html>