<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Admin\AdminDashboardController;
use App\Http\Controllers\Admin\AdminTeam\AdminTeamController;
use App\Http\Controllers\Admin\AdminTeam\AdminTeamsController;
use App\Http\Controllers\Admin\AdminUsers\AdminUserController;
use App\Http\Controllers\Admin\AdminLogin\AdminLoginController;
use App\Http\Controllers\Admin\AdminUsers\AdminUsersController;
use App\Http\Controllers\Admin\AdminTeam\AdminTeamAddController;
use App\Http\Controllers\Admin\AdminUsers\AdminUserAddController;
use App\Http\Controllers\Admin\AdminScripts\AdminScriptController;
use App\Http\Controllers\Admin\AdminScripts\AdminScriptsController;
use App\Http\Controllers\Admin\AdminTeam\AdminTeamScriptController;
use App\Http\Controllers\Admin\AdminUsers\AdminUserScriptController;
use App\Http\Controllers\Admin\AdminSchedule\AdminScheduleController;
use App\Http\Controllers\Admin\AdminSettings\AdminSettingsController;
use App\Http\Controllers\Admin\AdminScripts\AdminScriptwriterController;
use App\Http\Controllers\Admin\AdminApplications\AdminApplicationController;
use App\Http\Controllers\Admin\AdminApplications\AdminApplicationsController;
use App\Http\Controllers\Admin\AdminNotifications\AdminNotificationsController;

// Admin Routes
Route::group(['prefix' => 'wocontrolpanel20', 'as' => 'management.'], function () {
    Route::get('/', [AdminDashboardController::class, 'dashboard'])->name('index');
    Route::get('/login', [AdminLoginController::class, 'index'])->name('login');
    Route::post('/login', [AdminLoginController::class, 'store']);
    Route::get('/schedule', [AdminScheduleController::class, 'index'])->name('schedule');


    Route::get('/notifications', [AdminNotificationsController::class, 'index'])->name('notifications');
    Route::post('/notifications', [AdminNotificationsController::class, 'store']);

    Route::get('/scripts', [AdminScriptsController::class, 'index'])->name('scripts');

    Route::get('/scripts/script/{id}', [AdminScriptController::class, 'index'])->name('script');
    Route::put('/script/status/{id}', [AdminScriptController::class, 'update_status'])->name('script.updatestatus');
    Route::put('/script/script/{id}', [AdminScriptController::class, 'rating_form'])->name('script.rating_form');
    Route::put('/script/feedback/{id}', [AdminScriptController::class, 'update_feedback'])->name('script.updatefeedback');
    Route::put('/script/marketplace/{id}', [AdminScriptController::class, 'update_marketplace'])->name('script.update_marketplace');

    Route::get('/scripts/scriptwriter/{id}', [AdminScriptwriterController::class, 'index'])->name('scriptwriter');
    Route::post('/script/assign-analyst', [AdminScriptController::class, 'assign_analyst'])->name('script.assign_analyst');

    Route::get('/applications', [AdminApplicationsController::class, 'index'])->name('applications');
    Route::get('/applications/application/{id}', [AdminApplicationController::class, 'index'])->name('application');
    Route::delete('/applications/application/{id}', [AdminApplicationController::class, 'destroy'])->name('application.destroy');
    Route::put('/applications/application/{id}', [AdminApplicationController::class, 'accept_application'])->name('application.accept');
    Route::put('/applications/application/reject/{id}', [AdminApplicationController::class, 'reject_application'])->name('application.reject');

    Route::get('/users', [AdminUsersController::class, 'index'])->name('users');
    Route::post('/users/add', [AdminUserAddController::class, 'store'])->name('users.add');
    Route::post('/users/{id}', [AdminUsersController::class, 'destroy'])->name('users.destroy');
    Route::get('/users/user', [AdminUserController::class, 'index'])->name('user');

    Route::get('/users/script', [AdminUserScriptController::class, 'index'])->name('user.script');
    Route::post('/users/script/{id}', [AdminUserScriptController::class, 'destroy'])->name('user.script.destroy');

    Route::get('/teams', [AdminTeamsController::class, 'index'])->name('teams');
    Route::post('/teams/add', [AdminTeamAddController::class, 'store'])->name('team.add');
    Route::post('/teams/{id}', [AdminTeamsController::class, 'destroy'])->name('teams.destroy');
    Route::get('/teams/member', [AdminTeamController::class, 'index'])->name('team');

    Route::get('/teams/script', [AdminTeamScriptController::class, 'index'])->name('team.script');
    Route::post('/teams/script/{id}', [AdminTeamScriptController::class, 'destroy'])->name('team.script.destroy');

    Route::get('/settings', [AdminSettingsController::class, 'index'])->name('settings');
});
