<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Analyst\AnalystLogin\AnalystLoginController;
use App\Http\Controllers\Analyst\AnalystScripts\AnalystScriptController;
use App\Http\Controllers\Analyst\AnalystSettings\AnalystSettingsController;
use App\Http\Controllers\Analyst\AnalystScripts\AnalystScriptsSentController;
use App\Http\Controllers\Analyst\AnalystScripts\AnalystScriptsQueueController;
use App\Http\Controllers\Analyst\AnalystScripts\AnalystScriptsReviewController;

// Analyist Routes
Route::group(['prefix' => 'analyst', 'as' => 'analyst.'], function () {
    Route::get('/login', [AnalystLoginController::class, 'index'])->name('login');
    Route::post('/login', [AnalystLoginController::class, 'store']);

    Route::get('/scriptsqueue', [AnalystScriptsQueueController::class, 'index'])->name('scriptsqueue');
    Route::get('/scriptsreview', [AnalystScriptsReviewController::class, 'index'])->name('scriptsreview');
    Route::get('/scriptssent', [AnalystScriptsSentController::class, 'index'])->name('scriptssent');
    Route::get('/script/{id}', [AnalystScriptController::class, 'index'])->name('script');
    Route::put('/script/{id}', [AnalystScriptController::class, 'update_status'])->name('script.updatestatus');
    Route::put('/script/feedback/{id}', [AnalystScriptController::class, 'update_feedback'])->name('script.updatefeedback');
    Route::post('/script/rating-form', [AnalystScriptController::class, 'rating_form'])->name('script.rating_form');

    Route::get('/settings', [AnalystSettingsController::class, 'index'])->name('settings');
});
?>
