<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Email\WelcomeEmailController;
use App\Http\Controllers\Esignature\EsignatureWebhookController;
use App\Http\Controllers\Stripe\StripeWebhookController;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});

// For Sending Emails
Route::post('/send', [WelcomeEmailController::class, 'send']);
Route::post('/stripe/webhooks', [StripeWebhookController::class, 'webhooks'])->name('stripe.webhooks');

// For Esignature Webhook
Route::post('/contract/signed', [EsignatureWebhookController::class, 'watch']);
