<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Producer\ProducerOrders\ProducerOrdersController;
use App\Http\Controllers\Producer\ProducerBalance\ProducerBalanceController;
use App\Http\Controllers\Producer\ProducerSettings\ProducerSettingsController;
use App\Http\Controllers\Producer\ProducerOrders\ProducerOrdersScriptController;
use App\Http\Controllers\Producer\ProducerMarketplace\ProducerMarketplaceController;
use App\Http\Controllers\Producer\ProducerMarketplace\ProducerMarketplaceScriptController;
use App\Http\Controllers\Producer\ProducerForms\ProducerFormController;
use App\Http\Controllers\Producer\ProducerForms\ProducerUnionFormController;
use App\Http\Controllers\Producer\ProducerForms\ProducerNonUnionFormController;
use App\Http\Controllers\Stripe\ProducerStripeController;

// Producer Routes
Route::group(['prefix' => 'producer', 'as' => 'producer.'], function () {
    Route::get('/form', [ProducerFormController::class, 'index'])->name('form');

    Route::get('/form/union', [ProducerUnionFormController::class, 'index'])->name('form.union');
    Route::post('/form/union', [ProducerUnionFormController::class, 'store']);

    Route::get('/form/nonunion', [ProducerNonUnionFormController::class, 'index'])->name('form.nonunion');
    Route::post('/form/nonunion', [ProducerNonUnionFormController::class, 'store']);

    Route::get('/marketplace', [ProducerMarketplaceController::class, 'index'])->name('marketplace');
    Route::get('/marketplace/early-access', [ProducerMarketplaceController::class, 'early_access'])->name('marketplace.early_access');

    Route::get('/marketplace/script/{script}', [ProducerMarketplaceScriptController::class, 'index'])->name('script.marketplace');

    Route::get('/orders', [ProducerOrdersController::class, 'index'])->name('orders');
    Route::get('/orders/script', [ProducerOrdersScriptController::class, 'index'])->name('script.orders');

    Route::get('/balance', [ProducerBalanceController::class, 'index'])->name('balance');

    Route::get('/settings', [ProducerSettingsController::class, 'index'])->name('settings');
    Route::post('/settings', [ProducerSettingsController::class, 'store']);

    Route::post('/stripe/subscription/create', [ProducerStripeController::class, 'create_subscription'])->name('stripe.subscription.create');
    Route::post('/stripe/portal/session', [ProducerStripeController::class, 'create_portal_session'])->name('stripe.portal.session');
});
?>
