<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Stripe\ScreenwriterStripeController;
use App\Http\Controllers\Screenwriter\ScreenwriterWallet\ScreenwriterWalletController;
use App\Http\Controllers\Screenwriter\ScreenwriterScripts\ScreenwriterScriptController;
use App\Http\Controllers\Screenwriter\ScreenwriterScripts\ScreenwriterScriptsController;
use App\Http\Controllers\Screenwriter\ScreenwriterSettings\ScreenwriterSettingsController;
use App\Http\Controllers\Screenwriter\ScreenwriterDashboard\ScreenwriterDashboardController;
use App\Http\Controllers\Screenwriter\ScreenwriterScripts\ScreenwriterDraftScriptController;
use App\Http\Controllers\Screenwriter\ScreenwriterMarketplaceScript\ScreenwriterMarketplaceScriptController;

// // Screenwriter Routes
Route::group(['prefix' => 'screenwriter', 'as' => 'screenwriter.'], function () {

    Route::get('', [ScreenwriterDashboardController::class, 'index'])->name('index');

    Route::get('/scripts', [ScreenwriterScriptsController::class, 'index'])->name('scripts');
    Route::get('/scripts/script/{id}', [ScreenwriterScriptController::class, 'index'])->name('script');

    Route::get('/script/draft/{id}', [ScreenwriterDraftScriptController::class, 'index'])->name('script.draft');
    Route::post('/script/draft/{id}', [ScreenwriterDraftScriptController::class, 'store']);
    Route::post('/script/draft/updatedraft/{id}', [ScreenwriterDraftScriptController::class, 'updateDraft'])->name('script.draft.updatedraft');
    Route::post('/script/draft/updatedenied/{id}', [ScreenwriterDraftScriptController::class, 'updateDenied'])->name('script.draft.updatedenied');
    Route::post('/script/draft/delete/{id}', [ScreenwriterDraftScriptController::class, 'delete'])->name('script.draft.delete');

    Route::get('/marketplace', [ScreenwriterMarketplaceScriptController::class, 'index'])->name('marketplace');

    Route::get('/wallet', [ScreenwriterWalletController::class, 'index'])->name('wallet');
    Route::post('/wallet/addsource', [ScreenwriterWalletController::class, 'addBank'])->name('wallet.add.source');

    Route::get('/settings', [ScreenwriterSettingsController::class, 'index'])->name('settings');

    Route::post('/update-profile', [ScreenwriterSettingsController::class, 'update_profile'])->name('profile');

    Route::post('/upload-script', [ScreenwriterScriptsController::class, 'upload_script'])->name('script.upload');

    Route::post('/stripe/subscription/create', [ScreenwriterStripeController::class, 'create_subscription'])->name('stripe.subscription.create');

    Route::post('/stripe/portal/session', [ScreenwriterStripeController::class, 'create_portal_session'])->name('stripe.portal.session');
});



?>
