<?php

// SuperAdmin Controller
use App\Http\Controllers\SuperAdmin\SuperAdminLogin\SuperAdminLoginController;

// Admin Controllers

use Illuminate\Support\Facades\Auth;

// Auth Controller
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\CheckoutController;
use App\Http\Controllers\Logout\LogoutController;
// use App\Http\Controllers\Auth\User\Reset\ResetController;

// Logout Controller
use App\Http\Controllers\Stripe\StripeController;

// Select Role Controller
use App\Http\Controllers\Auth\User\LoginController;
use App\Http\Controllers\Auth\User\SignupController;
// Dwolla Controllers
use App\Http\Controllers\Auth\User\Reset\ResetMailController;
use App\Http\Controllers\Auth\SelectRole\SelectRoleController;
use App\Http\Controllers\Dwolla\Auth\DwollaTestController;
use App\Http\Controllers\Dwolla\Auth\DwollaTokenController;
use App\Http\Controllers\Dwolla\Producer\BankVerifyController;
use App\Http\Controllers\Dwolla\Producer\BusinessVerifiedController;
use App\Http\Controllers\Dwolla\Screenwriter\PersonalVerifiedController;

// Checklist Controller
use App\Http\Controllers\Checklists\UpdateChecklistController;

// Esignature Controller
use App\Http\Controllers\Esignature\EsignatureController;
use App\Http\Controllers\Screenwriter\ScreenwriterForm\ScreenwriterForm;

// Stripe

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


// SuperAdmin Route

Route::get('superadmin/login', [SuperAdminLoginController::class, 'index'])->name('superadmin.login');
Route::post('superadmin/login', [SuperAdminLoginController::class, 'store']);

//  Auth Route

Route::get('/login', [LoginController::class, 'index'])->name('login');
Route::post('/login', [LoginController::class, 'store']);

Route::get('/signup', [SignupController::class, 'index'])->name('signup');
Route::post('/signup', [SignupController::class, 'store']);

Route::get('/reset', [ResetMailController::class, 'index'])->name('resetmail');
Route::post('/reset', [ResetMailController::class, 'store']);
// Route::get('/reset', [ResetController::class, 'index'])->name('reset');

// Logout Route
Route::post('/logout', [LogoutController::class, 'logout'])->name('logout');

// Select Role Route
Route::get('/role', [SelectRoleController::class, 'index'])->name('selectrole');
Route::post('/role', [SelectRoleController::class, 'store']);

// Dwolla Routes
Route::get('/dwollascreenwriter', [PersonalVerifiedController::class, 'index'])->name('dwolla.writer');
Route::post('/dwollascreenwriter', [PersonalVerifiedController::class, 'store']);

Route::get('/dwollaproducer', [BusinessVerifiedController::class, 'index'])->name('dwolla.producer');
Route::post('/dwollaproducer', [BusinessVerifiedController::class, 'store']);

Route::get('/verifybank', [BankVerifyController::class, 'index'])->name('verifybank');

// Stripe Routes
Route::post('/stripe/subscription/create', [StripeController::class, 'create_subscription'])->name('stripe.subscription.create');
Route::post('/stripe/portal/session', [StripeController::class, 'create_portal_session'])->name('stripe.portal.session');

// Load admin routes
require __DIR__ . '/admin.php';

// Load analyst routes
require __DIR__ . '/analyst.php';

// Load producer routes
require __DIR__ . '/producer.php';

// Load screenwriter routes
require __DIR__ . '/screenwriter.php';

// For Checklist
Route::post('/checklist/update', [UpdateChecklistController::class, 'update'])->name('checklist.update');

// For Esignature
Route::post('/esignature/send', [EsignatureController::class, 'send'])->name('esignature.contract.send');

//Test
Route::get('/dw', [DwollaTestController::class, 'index']);

Route::get('/Screenwriter-TV-Program-Application-Form', [ScreenwriterForm::class, 'index']);
